/*		Definitions of symbolic constants etc for FINDER */

#define NEWCL_MAX 1000      // pasrsed wff max ???
#define WF_MAX 100000       // Number of [sub]expressions
#define JL_MAX 10000        // Length of input line
#define CL_MAX 3000         // Number of clauses in a theory
#define ST_MAX 20           // Number of sorts		       
#define FN_MAX 256          // Number of function symbols	      
#define ARGMAX 10           // Number of argument places           
#define LEX_MAX 1000        // Number of meaningful strings		
#define VARMAX 100          // Number of different variables	
#define LEXLENGTH 80        // Number of characters in a name	
#define VCMAX 8             // Number of variables easy to test	
#define PRE_MAX 6           // Weight of clauses it makes sense to pre-test 
#define MAXMATRIX V_LENGTH  // Biggest possible value table
#define MAXTIME 3600        // Absolute time limit

/* Kal's contribution to readability */
#define TRUE 1
#define FALSE 0

#define MAX_FILE_NAME 1024

#define S_ITSY 1
#define S_BITSY 2
#define S_TINY 4
#define S_SMALL 8
#define S_MEDIUM 16
#define S_LARGE 32
#define S_VERYLARGE 64
#define S_HUGE 128
#define S_MAXIMAL (REF_MAX-1)
/* Stack sizes				*/

/* this ordering is insisted during initialization */
#define Bool sort 
#define Integer (sort+1)

/* The following are used for bit-coding print modes */
#define pbmodels ((unsigned) 1)
#define pfmodels ((unsigned) 2)
#define pmodels ((unsigned) 3)
#define pbjob ((unsigned) 4)
#define pfjob ((unsigned) 8)
#define pjob ((unsigned) 12)
#define pbstats ((unsigned) 16)
#define pfstats ((unsigned) 32)
#define pstats ((unsigned) 48)
#define pugly ((unsigned) 5)

/*=============================== END ===================================*/


