/*----------------------------------------------------------------------*\
                          "SFOshared_defs.h": 

       Constants global to SCOTT, OTTER and FINDER sources.

  Sheader.h was split into into Sglobs.h, Sdef.h and Sprotos.h so that
  we could save on re-compilation time whenever small modifications to
  the Sglobs.h were made.

\*----------------------------------------------------------------------*/

// limits on character arrays
#define FILE_NAME_ARRAY      1024     // just in case it gets real big eg TPTP
#define FUNCTION_NAME_ARRAY  32       // probably too large
#define CLAUSE_STRING_ARRAY  10000    // large enough to hold many functor names 

// avaible positions for building maxisets
#define MAXISET_ARRAY       10

// maximum data points in estimation code
#define NUM_POINTS 5

// SCOTT parms and stats
#define MAX_TSTATS           40 
#define MAX_TPARMS           20
#define MAX_FPARMS           10

// this is redefined in a number of places
#define boolean char
#define false   ((boolean)0)
#define true    ((boolean)1)

