(module input
	(include "setheo.sch")
	(export (read-tptp filename))
	(import (parser "parser.scm")))

(define tptp-base "/group/TPTP/TPTP-v2.1.0/Problems/all_probs/")
(define tptp-extension ".p")

;(define (read-tptp filename)
;  (let ((infile (open-input-file "/group/TPTP/TPTP-v2.1.0/Problems/all_probs/ANA002-1.p")))
;    (do ((c #\ ))
;	((eof-object? c))
;      (set! c (read-char infile))
;      (if (not (eof-object? c))
;	  (write-char c)))
;    (close-input-port infile)))

(define (read-tptp filename)
  (let (infile)
;    (display "Please enter TPTP file name (no extension): ")
;    (set! filename (read-string (current-input-port) 255))
;    (set! filename (substring filename 0 (- (string-length filename) 1)))
    ;;(display filename) (display ": ")
    ;;(display (string-length filename))
;    (set! filename (string-append filename tptp-extension))
    (display filename) (display ": ")
    (if (not (file-exists? filename))
	(begin
	  (display "File not found")
	  (newline)
	  (exit 1)
	  #f)
	(begin (display "Trying to parse")
	       (newline)
	       (set! infile (open-input-file filename))
	       (read/lalrp tptp-parser tptp-scanner infile)
	       (close-input-port infile)
	       (display-statistics)
	       #t
	       ))))
