/*
COPYRIGHT UNIVERSITY OF MANCHESTER, 2002, 2003

Contributors:
  Alexandre Riazanov
  Andrei Voronkov

LICENCE TERMS

Please note the following:

(1) this code was intended for CASC only, can only be used for
CASC-related experiments and cannot be used otherwise;

(2) Vampire is free for non-commercial use and a standard non-commercial
licence can be found on the Vampire Web page that is currently:

  http://www.cs.man.ac.uk/~riazanoa/Vampire/index.html

BY USING THIS CODE YOU AGREE TO THE TERMS IN THIS LICENCE.
 
(3) To get a licence for commercial use, please consult the Vampire Web
page.

(4) Disclaimer.

THIS MATERIAL IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. THE ENTIRE RISK AS TO THE QUALITY AND
PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE
DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR
CORRECTION.

*/
#ifndef INC_TPTPLexer_hpp_
#define INC_TPTPLexer_hpp_

#include "antlr/config.hpp"
/* $ANTLR 2.7.1: "TPTP.g" -> "TPTPLexer.hpp"$ */
#include "antlr/CommonToken.hpp"
#include "antlr/InputBuffer.hpp"
#include "antlr/BitSet.hpp"
#include "TPTPLexerTokenTypes.hpp"
#include "antlr/CharScanner.hpp"
#line 18 "TPTP.g"

#include <iostream>
#include "Unit.hpp"

#line 17 "TPTPLexer.hpp"
class TPTPLexer : public ANTLR_USE_NAMESPACE(antlr)CharScanner, public TPTPLexerTokenTypes
 {
#line 1 "TPTP.g"
#line 21 "TPTPLexer.hpp"
private:
	void initLiterals();
public:
	bool getCaseSensitiveLiterals() const;
public:
	TPTPLexer(ANTLR_USE_NAMESPACE(std)istream& in);
	TPTPLexer(ANTLR_USE_NAMESPACE(antlr)InputBuffer& ib);
	TPTPLexer(const ANTLR_USE_NAMESPACE(antlr)LexerSharedInputState& state);
	ANTLR_USE_NAMESPACE(antlr)RefToken nextToken();
	protected: void mUPPER(bool _createToken);
	protected: void mLOWER(bool _createToken);
	protected: void mDIGIT(bool _createToken);
	protected: void mWHITE(bool _createToken);
	protected: void mNUMBER(bool _createToken);
	protected: void mWORDCHAR(bool _createToken);
	protected: void mCHARACTER(bool _createToken);
	public: void mSKIP_RULE(bool _createToken);
	public: void mCOMMENT_LINE(bool _createToken);
	protected: void mQUOTE(bool _createToken);
	public: void mFILE_NAME(bool _createToken);
	public: void mLPAR(bool _createToken);
	public: void mRPAR(bool _createToken);
	public: void mLBRA(bool _createToken);
	public: void mRBRA(bool _createToken);
	public: void mCOMMA(bool _createToken);
	public: void mCOLON(bool _createToken);
	public: void mDOT(bool _createToken);
	public: void mAND(bool _createToken);
	public: void mNOT(bool _createToken);
	public: void mOR(bool _createToken);
	public: void mIFF(bool _createToken);
	public: void mIMP(bool _createToken);
	public: void mXOR(bool _createToken);
	public: void mFORALL(bool _createToken);
	public: void mEXISTS(bool _createToken);
	public: void mPP(bool _createToken);
	public: void mMM(bool _createToken);
	public: void mNAME(bool _createToken);
	public: void mVAR(bool _createToken);
private:
	
	static const unsigned long _tokenSet_0_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_2;
};

#endif /*INC_TPTPLexer_hpp_*/
