#ifndef INC_XMLParser_hpp_
#define INC_XMLParser_hpp_

#include "antlr/config.hpp"
/* $ANTLR 2.7.1: "XML.g" -> "XMLParser.hpp"$ */
#include "antlr/TokenStream.hpp"
#include "antlr/TokenBuffer.hpp"
#include "XMLLexerTokenTypes.hpp"
#include "antlr/LLkParser.hpp"

#line 20 "XML.g"

  // head of lexer file
#include <iostream>
#include "Query.hpp"

#line 18 "XMLParser.hpp"
class XMLParser : public ANTLR_USE_NAMESPACE(antlr)LLkParser, public XMLLexerTokenTypes
 {
#line 117 "XML.g"

#line 22 "XMLParser.hpp"
protected:
	XMLParser(ANTLR_USE_NAMESPACE(antlr)TokenBuffer& tokenBuf, int k);
public:
	XMLParser(ANTLR_USE_NAMESPACE(antlr)TokenBuffer& tokenBuf);
protected:
	XMLParser(ANTLR_USE_NAMESPACE(antlr)TokenStream& lexer, int k);
public:
	XMLParser(ANTLR_USE_NAMESPACE(antlr)TokenStream& lexer);
	XMLParser(const ANTLR_USE_NAMESPACE(antlr)ParserSharedInputState& state);
	public: Query*  start();
	public: Query*  query();
	public: Query*  assertion();
	public: void terminate();
	public: void kw_bye();
	public: void kw_query();
	public: Query::Attribute*  attributes();
	public: void kw_assertion();
	public: Query::Attribute*  attribute();
	public: void recover();
private:
	static const char* _tokenNames[];
	
};

#endif /*INC_XMLParser_hpp_*/
