/*===========================================================================*/
/*   (cputime.scm)                                                           */
/*   Bigloo (2.6d)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 13 10:21:57 CEST 2004       */
/*===========================================================================*/
/* COMPILATION: (bigloo -O6 -unsafe -farithmetic -rm -c cputime.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <sys/time.h>
#include <sys/resource.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcputimez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_getcputimez00zzcputimez00();
static obj_t BGl__getcputimez00zzcputimez00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcputimez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcputimez00();
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_getcputimezd2envzd2zzcputimez00, BgL_bgl__getcputimeza700za7za7cputimeza7001024z00, BGl__getcputimez00zzcputimez00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcputimez00(long BgL_checksumz00_16, char * BgL_fromz00_17)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcputimez00))
{ 
BGl_requirezd2initializa7ationz75zzcputimez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcputimez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcputimez00()
{ AN_OBJECT;
{ /* ./cputime.scm 5 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cputime"); 
return BUNSPEC;} 
}



/* getcputime */
BGL_EXPORTED_DEF obj_t BGl_getcputimez00zzcputimez00()
{ AN_OBJECT;
{ /* ./cputime.scm 10 */
{ /* ./cputime.scm 11 */

struct rusage ru; 
{ /* ./cputime.scm 13 */
obj_t BgL_secondsz00_1;obj_t BgL_microsecondsz00_2;
BgL_secondsz00_1 = BUNSPEC; 
BgL_microsecondsz00_2 = BUNSPEC; 
getrusage(RUSAGE_SELF,&ru); 
{ /* ./cputime.scm 15 */
long BgL_auxz00_25;
BgL_auxz00_25 = 
ru.ru_utime.tv_sec; 
BgL_secondsz00_1 = 
BINT(BgL_auxz00_25); } 
{ /* ./cputime.scm 16 */
long BgL_auxz00_28;
BgL_auxz00_28 = 
ru.ru_utime.tv_usec; 
BgL_microsecondsz00_2 = 
BINT(BgL_auxz00_28); } 
{ /* ./cputime.scm 17 */
long BgL_arg1004z00_3;long BgL_arg1005z00_4;
{ /* ./cputime.scm 17 */
long BgL_auxz00_31;
BgL_auxz00_31 = 
(long)CINT(BgL_secondsz00_1); 
BgL_arg1004z00_3 = 
(BgL_auxz00_31*((long)100)); } 
{ /* ./cputime.scm 17 */
long BgL_auxz00_34;
BgL_auxz00_34 = 
(long)CINT(BgL_microsecondsz00_2); 
BgL_arg1005z00_4 = 
(BgL_auxz00_34/((long)10000)); } 
{ /* ./cputime.scm 17 */
long BgL_auxz00_37;
BgL_auxz00_37 = 
(BgL_arg1004z00_3+BgL_arg1005z00_4); 
return 
BINT(BgL_auxz00_37);} } } } } 
}



/* _getcputime */
obj_t BGl__getcputimez00zzcputimez00(obj_t BgL_envz00_13)
{ AN_OBJECT;
{ /* ./cputime.scm 10 */
return 
BGl_getcputimez00zzcputimez00();} 
}

