#include "header.h"

#include "ioutil.h"
#include "fastparse.h"

/*************
 *
 *   main()
 *
 *************/

int main(int argc, char **argv)
{
  Clause t;

  declare_standard_parse_types();

  fast_set_symbol('m', 2);
  fast_set_symbol('j', 2);
  fast_set_symbol('=', 2);

  t = fast_read_term(stdin, stderr);

  while (t != NULL) {
    fwrite_term_nl(stdout, t);
    zap_term(t);
    t = fast_read_term(stdin, stderr);
  }

  exit(0);
}  /* main */

