#ifndef TP_ACCANON_H
#define TP_ACCANON_H

#include "termflag.h"
#include "termorder.h"

/* INTRODUCTION
*/

/* Public definitions */

/* If you get an error message "flatten, too many arguments", increase
 * the following symbol (2500 is enough for the dem_alu problem.)
 */

#define MAX_ACM_ARGS 2500

/* End of public definitions */

/* Public function prototypes from accanon.c */

void flatten(Term t, Term *a, int *ip);

void ac_canonical(Term t, int bit);

int check_ac_canonical(Term t);

#endif  /* conditional compilation of whole file */
