#ifndef TP_PARAUTIL_H
#define TP_PARAUTIL_H

#include "termflag.h"
#include "termorder.h"
#include "unify.h"
#include "just.h"

/* INTRODUCTION
This package contains a few utilites for paramodulation and demodulation.
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from parautil.c */

BOOL eq_atom(Term a);

BOOL pos_eq_unit(Clause c);

void mark_renamable_flip(Term atom);

BOOL renamable_flip_eq(Term atom);

void mark_oriented_eq(Term atom);

BOOL oriented_eq(Term atom);

Ordertype term_compare_primary(Term alpha, Term beta);

BOOL same_term_structure(Term t1, Term t2);

void orient_equalities(Clause c);

BOOL eq_tautology(Clause c);

#endif  /* conditional compilation of whole file */
