#ifndef TP_SUBSUME_H
#define TP_SUBSUME_H

#include "clauseid.h"
#include "lindex.h"
#include "just.h"
#include "parautil.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from subsume.c */

int nonunit_subsumption_tests(void);

int unit_deletion_failures(void);

BOOL subsumes(Clause c, Clause d);

BOOL subsumes_bt(Clause c, Clause d);

Clause forward_subsume(Clause d, Lindex idx);

Plist back_subsume(Clause c, Lindex idx);

Clause back_subsume_one(Clause c, Lindex idx);

Clause any_subsumes(Plist g, Clause d, Uniftype utype);

Clause unit_conflict_by_index(Clause c, Lindex idx);

void simplify_literals(Clause c);

void unit_delete(Clause c, Lindex idx);

Clause forward_subsumex(Clause d, Lindex idx);

Clause forward_subsumey(Clause d, Lindex idx);

#endif  /* conditional compilation of whole file */
