#include "header.h"

#include "formula.h"
#include "ioutil.h"
#include "clock.h"

/*************
 *
 *   main()
 *
 *************/

int main(int argc, char **argv)
{
  Term t;

  set_malloc_megs(32);
  set_max_megs(300);

  declare_standard_parse_types();

  t = read_term(stdin, stderr);

  while (t != NULL) {
    formula_test(t);
    t = read_term(stdin, stderr);
  }

  printf("User time: %.2f\n", user_time() / 1000.0);

  exit(0);
}  /* main */

