
/*
 * File Normalisation.hpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#ifndef __Normalisation__
#define __Normalisation__


class Unit;
class Formula;
class Literal;
class Clause;
class Atom;


class Normalisation
{
public:
  static void normalise (Unit&);
private:
  static void normalise (Formula&);
  static void normalise (Literal&);
  static void normalise (Atom&);
  static void normalise (Clause&);
}; 


#endif
