#ifndef INC_XMLLexerTokenTypes_hpp_
#define INC_XMLLexerTokenTypes_hpp_

/* $ANTLR 2.7.3 (20040506-1): "XML.g" -> "XMLLexerTokenTypes.hpp"$ */

#ifndef CUSTOM_API
# define CUSTOM_API
#endif

#ifdef __cplusplus
struct CUSTOM_API XMLLexerTokenTypes {
#endif
	enum {
		EOF_ = 1,
		UPPER = 4,
		LOWER = 5,
		DIGIT = 6,
		SPECIAL = 7,
		WHITE = 8,
		INITIALCHAR = 9,
		WORDCHAR = 10,
		CHARACTER = 11,
		TICK = 12,
		WORD = 13,
		STRING = 14,
		VARIABLE = 15,
		FIGURE = 16,
		NUMBER = 17,
		EXPONENT = 18,
		QUOTE = 19,
		SKIP_RULE = 20,
		COMMENT_LINE = 21,
		LPAR = 22,
		RPAR = 23,
		LESS = 24,
		MORE = 25,
		LESSEQ = 26,
		GEQ = 27,
		IMPLY = 28,
		EQUIVALENCE = 29,
		LITERAL_equal = 30,
		LITERAL_not = 31,
		LITERAL_and = 32,
		LITERAL_or = 33,
		LITERAL_forall = 34,
		LITERAL_exists = 35,
		LETTER = 36,
		NAME = 37,
		START_TAG = 38,
		START_OF_END_TAG = 39,
		END_OF_TAG = 40,
		END_OF_EMPTY_TAG = 41,
		EQ = 42,
		COMMENT = 43,
		LITERAL_query = 44,
		LITERAL_assertion = 45,
		LITERAL_bye = 46,
		NULL_TREE_LOOKAHEAD = 3
	};
#ifdef __cplusplus
};
#endif
#endif /*INC_XMLLexerTokenTypes_hpp_*/
