/*
COPYRIGHT UNIVERSITY OF MANCHESTER, 2002, 2003

Contributors:
  Alexandre Riazanov
  Andrei Voronkov

LICENCE TERMS

Please note the following:

(1) this code was intended for CASC only, can only be used for
CASC-related experiments and cannot be used otherwise;

(2) Vampire is free for non-commercial use and a standard non-commercial
licence can be found on the Vampire Web page that is currently:

  http://www.cs.man.ac.uk/~riazanoa/Vampire/index.html

BY USING THIS CODE YOU AGREE TO THE TERMS IN THIS LICENCE.
 
(3) To get a licence for commercial use, please consult the Vampire Web
page.

(4) Disclaimer.

THIS MATERIAL IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. THE ENTIRE RISK AS TO THE QUALITY AND
PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE
DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR
CORRECTION.

*/
//
// File:         GematogenDebugFlags.hpp
// Description:  Debugging flags for the Gematogen library
// Created:      Jan 26, 2001, 10:00
// Author:       Alexandre Riazanov
// mail:         riazanov@cs.man.ac.uk
//=================================================================== 
#include "BlodKorvDebugFlags.hpp"
//=================================================================== 

#ifdef NO_DEBUG
 #undef NO_DEBUG_VIS
 #define NO_DEBUG_VIS
#endif
//#define DEBUG_BACKWARD_SUBSUMPTION_WITH_PATH_INDEXING_AND_JOINS
//#define DEBUG_STANDARD_PATH_INDEXING_WITH_COMPILED_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
//#define DEBUG_FORWARD_MATCHING_INDEX
//#define DEBUG_FORWARD_MATCHING_INDEX_PLUS
//#define DEBUG_FORWARD_MATCHING_INDEX_PLUS_TREE
//#define DEBUG_FORWARD_MATCHING_INDEX_TREE
//#define DEBUG_INSTANCE_RETRIEVAL_FROM_DISC_TREE
//#define DEBUG_PATH_INDEXING_WITH_JOINS_FOR_INSTANCE_RETRIEVAL
//#define DEBUG_PATH_INDEXING_WITH_JOINS_AND_EARLY_AND_COMPILED_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
//#define DEBUG_PATH_INDEXING_WITH_JOINS_AND_EARLY_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
//#define DEBUG_INSTANCE_RETRIEVAL_WITH_PATH_INDEX
//#define DEBUG_STANDARD_PATH_INDEXING_FOR_INSTANCE_RETRIEVAL
//#define DEBUG_PATH_INDEX
//#define DEBUG_PATH_INDEX_WITH_OPEN_PATHS
//#define DEBUG_PATH_INDEX_FOR_BACKWARD_SUBSUMPTION
//#define DEBUG_PATH_PROBE_INDEX

#ifdef NO_DEBUG
 #undef DEBUG_BACKWARD_SUBSUMPTION_WITH_PATH_INDEXING_AND_JOINS
 #undef DEBUG_STANDARD_PATH_INDEXING_WITH_COMPILED_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
 #undef DEBUG_FORWARD_MATCHING_INDEX
 #undef DEBUG_FORWARD_MATCHING_INDEX_PLUS
 #undef DEBUG_FORWARD_MATCHING_INDEX_PLUS_TREE
 #undef DEBUG_FORWARD_MATCHING_INDEX_TREE
 #undef DEBUG_INSTANCE_RETRIEVAL_FROM_DISC_TREE
 #undef DEBUG_PATH_INDEXING_WITH_JOINS_FOR_INSTANCE_RETRIEVAL
 #undef DEBUG_PATH_INDEXING_WITH_JOINS_AND_EARLY_AND_COMPILED_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
 #undef DEBUG_PATH_INDEXING_WITH_JOINS_AND_EARLY_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
 #undef DEBUG_INSTANCE_RETRIEVAL_WITH_PATH_INDEX
 #undef DEBUG_STANDARD_PATH_INDEXING_FOR_INSTANCE_RETRIEVAL
 #undef DEBUG_PATH_INDEX
 #undef DEBUG_PATH_INDEX_WITH_OPEN_PATHS 
 #undef DEBUG_PATH_INDEX_FOR_BACKWARD_SUBSUMPTION
 #undef DEBUG_PATH_PROBE_INDEX 
#else
 #ifdef DEBUG_ALL
  #define DEBUG_BACKWARD_SUBSUMPTION_WITH_PATH_INDEXING_AND_JOINS
  #define DEBUG_STANDARD_PATH_INDEXING_WITH_COMPILED_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
  #define DEBUG_FORWARD_MATCHING_INDEX
  #define DEBUG_FORWARD_MATCHING_INDEX_PLUS
  #define DEBUG_FORWARD_MATCHING_INDEX_PLUS_TREE
  #define DEBUG_FORWARD_MATCHING_INDEX_TREE
  #define DEBUG_INSTANCE_RETRIEVAL_FROM_DISC_TREE
  #define DEBUG_PATH_INDEXING_WITH_JOINS_FOR_INSTANCE_RETRIEVAL
  #define DEBUG_PATH_INDEXING_WITH_JOINS_AND_EARLY_AND_COMPILED_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
  #define DEBUG_PATH_INDEXING_WITH_JOINS_AND_EARLY_CLEAN_UP_FOR_INSTANCE_RETRIEVAL
  #define DEBUG_INSTANCE_RETRIEVAL_WITH_PATH_INDEX
  #define DEBUG_STANDARD_PATH_INDEXING_FOR_INSTANCE_RETRIEVAL
  #define DEBUG_PATH_INDEX
  #define DEBUG_PATH_INDEX_WITH_OPEN_PATHS
  #define DEBUG_PATH_INDEX_FOR_BACKWARD_SUBSUMPTION
  #define DEBUG_PATH_PROBE_INDEX
 #endif
#endif


//==========================================================================

