(module globals
	(export
allmodels
also-neg-in-model
atom-list
atom-list-init
atom-ordering
atom-vector
attempts
auto
backatom
backjump
base-divisor
branchings
cl-length
clause-divisor
clause-list
clause-nr
clauses-vector
clauses-weight-diff-vector
clauses-weight-vector
compare-selected
compile-only
convert-format
current-atom
current-clause
current-sign
current-switch
def-list
def-number
deflast
depth-nontab
display-atomlist
divisor
dynamic-depth
dynamic-steps
end-divisor
first-branching
first-pure
foldup-index
foldup-stack
formula
freq-divisor
frequency-size
general-input
greatest-int
(hash-key value)
hash-size
hash-step
hash-table
in-clause
inference
inference-limit
inference-limit-increase
infile
init-sign
input-size
input-vector
interm
last-depth-vectors
leaf-factor
lemma
lemma-adaptive
lemma-diff
lemma-filo
lemma-filter
lemma-lengthrel
lemma-min
lemma-modulo
lemma-relevance
lemma-usages
lemmas-on
line
literal-index
max-cl-length
max-def-number
max-frequency
max-lemma-length
max-nr-kept-lemmas
min-frequency
neg-first
neighbor-global
neighbor-list
neighbor-selection
new-atom
nlits-pred
nlits-stack
no-model-on-branch
nr-atoms
nr-atoms30
nr-context-units
nr-gen-lemmas
nr-kept-lemmas
nr-lemmas
nr-lemma-uses
nr-literals
nr-models
nr-open-clauses
nr-retractions
nr-root-lemmas
nr-t-clauses-next
occ
old-clauses-weight-vector
old-unit-vector
order-unit
other-atom
output
path-atom
path-vector
pi
plits-pred
plits-stack
pos-first
pre-atom-vector
prod-frequency
proof
pure
pure-clauses
purity
purity-index
purity-vector
random-branch
random-branch-default
random-percentage
reverse-atomlist
reverse-clauses
root-lemmas
rv
split
splitted-clauses
statistics
stop-clause
strongsplit
sum-frequency
sum-max1
sum-max2
tableau
tableau-right
tableau-selection
tableau-steps
tautology
total-branchings
total-inferences
unit-atoms
unit-index
unit-list
unit-vector
unit-vector-length
used-lemmas
vector-mod30exp
vector30
verbose
weight
with-stop
))

(define rv #f) (define pi #f)
(define interm #f)
(define infile #f)
(define in-clause '())
(define formula '())
(define clause-list '())
(define unit-list '())
(define unit-vector #f)
(define unit-vector-length 0)
(define unit-index -1)
(define old-unit-vector #f)
(define literal-index 0)
(define atom-list '())
(define atom-list-init '())
(define def-list '())
(define nr-atoms 0)
(define nr-atoms30 0)
(define clause-nr 0)
(define nr-open-clauses 0)
(define nr-literals 0)
(define stop-clause #f)
(define with-stop #f)
(define last-depth-vectors (list (cons #f #f)))
(define atom-vector #f)
(define path-vector #f)
(define path-atom #f)
(define other-atom #f)
(define nr-t-clauses-next 0)
(define pre-atom-vector #f)
(define input-vector #f)
(define hash-size 65536) ; = 2^16
(define (hash-key value) (obj->0..2^x-1 value 16))
;(define hash-size 262144) ; = 2^18 ; NOTE: always set both together
;(define (hash-key value) (obj->0..2^x-1 value 18))
(define hash-table #f)
(define hash-step 1)
(define max-def-number 65536)
(define def-number 65536)
(define splitted-clauses 0)
(define split #f)
(define strongsplit #t)
(define deflast #f)
(define input-size 0)
(define general-input #f)
(define frequency-size 50000)
(define cl-length 0)
(define clauses-vector #f)
(define clauses-weight-vector #f)
(define old-clauses-weight-vector #f)
(define clauses-weight-diff-vector #f)
(define max-cl-length 1000)
(define divisor 1)
(define end-divisor 0)
(define greatest-int 536870911) ; = 2^29 - 1
(define clause-divisor 6)
(define base-divisor 0)
(define weight 1)
(define dynamic-depth 0)
(define dynamic-steps 0)
(define depth-nontab 0)
(define tableau-steps 0)
(define init-sign #f)
(define atom-ordering #t)
(define reverse-atomlist #f)
(define order-unit #f)
(define tautology #f) 
(define inference 0)
(define branchings 0)
(define total-inferences 0)
(define total-branchings 0)
(define nr-models 0)
(define allmodels #f)
(define no-model-on-branch #t)
(define line 10)
(define verbose 0)
(define output #f)
(define also-neg-in-model #f)
(define sum-frequency #t)
(define max-frequency #f)
(define min-frequency #f)
(define prod-frequency #f)
(define sum-max1 1)
(define sum-max2 1)
(define random-branch 0)
(define random-branch-default 334251271)
(define random-percentage 100)
(define freq-divisor greatest-int)
(define inference-limit 0)
(define inference-limit-increase 0)
(define attempts 1)
(define pos-first #f)
(define neg-first #f)
(define reverse-clauses #f)
(define display-atomlist #f) 
(define nr-retractions 0)
(define neighbor-selection #f) ; if on, reasonable values are > 0
(define neighbor-global #f)
(define neighbor-list '())
(define current-atom #f)
(define tableau #f)
(define tableau-right 0)
(define leaf-factor 1)
(define tableau-selection #f) ; reasonable values are >= 2
(define current-switch #t)
(define foldup-stack #f)
(define foldup-index -1)
(define plits-stack (list #unspecified))
(define plits-pred #f)
(define nlits-stack (list #unspecified))
(define nlits-pred #f)
(define lemma #f)
(define lemmas-on #f)
(define lemma-adaptive #f)
(define lemma-filo #f)
(define lemma-filter 0)
(define lemma-min 0)
(define lemma-diff 0)
(define lemma-relevance 1000)
(define lemma-lengthrel 0)
(define lemma-modulo 0)
(define compare-selected 1)
(define root-lemmas '())
(define lemma-usages 0)
(define used-lemmas 0)
(define nr-lemmas 0)
(define nr-kept-lemmas 0)
(define nr-root-lemmas 0)
(define max-nr-kept-lemmas 0)
(define nr-gen-lemmas 0)
(define nr-lemma-uses 0)
(define max-lemma-length 0)
(define nr-context-units 0)
(define unit-atoms '())
(define new-atom #f)
(define current-clause #f)
(define current-sign #f)
(define proof #f)
(define vector30 #f)
(define vector-mod30exp #f)
(define compile-only #f)
(define statistics #f)
(define purity #f)
(define pure '())
(define pure-clauses '())
(define purity-vector #f)
(define purity-index -1)
(define auto 0)
(define convert-format #f)
(define first-branching 0)
(define first-pure #t)
(define backjump 0)
(define backatom #f)
(define occ #f)