/*
COPYRIGHT UNIVERSITY OF MANCHESTER, 2002

Contributors:
  Alexandre Riazanov
  Andrei Voronkov

LICENCE TERMS

Please note the following:

(1) this code was intended for CASC only, can only be used for
CASC-related experiments and cannot be used otherwise;

(2) Vampire is free for non-commercial use and a standard non-commercial
licence can be found on the Vampire Web page that is currently:

  http://www.cs.man.ac.uk/~riazanoa/Vampire/index.html

BY USING THIS CODE YOU AGREE TO THE TERMS IN THIS LICENCE.
 
(3) To get a licence for commercial use, please consult the Vampire Web
page.

(4) Disclaimer.

THIS MATERIAL IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. THE ENTIRE RISK AS TO THE QUALITY AND
PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE
DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR
CORRECTION.

*/

//
// File:         BackParaCandidates.cpp
// Description:  Indexed objects for back paramodulation.   
// Created:      May 25, 2000, 14:20
// Author:       Alexandre Riazanov
// mail:         riazanov@cs.man.ac.uk
//============================================================================
#include "BackParaCandidates.h"
//============================================================================
using namespace VK;
using namespace BK;
#ifdef DEBUG_ALLOC_OBJ_TYPE

 ClassDesc BackParaCandidates::SkList::_classDesc("BackParaCandidates::SkList",
                                                   BackParaCandidates::SkList::minSize(),
                                                   BackParaCandidates::SkList::maxSize());

 ClassDesc BackParaCandidates::SkList::Node::_classDesc("BackParaCandidates::SkList::Node",
                                                        BackParaCandidates::SkList::Node::minSize(),
                                                        BackParaCandidates::SkList::Node::maxSize());

 ClassDesc BackParaCandidates::LitRedexPair::List::_classDesc("BackParaCandidates::LitRedexPair::List",
							      BackParaCandidates::LitRedexPair::List::minSize(),
							      BackParaCandidates::LitRedexPair::List::maxSize());

 
 ClassDesc BackParaCandidates::LitRedexPair::_classDesc("BackParaCandidates::LitRedexPair",
							BackParaCandidates::LitRedexPair::minSize(),
							BackParaCandidates::LitRedexPair::maxSize());
#endif


//============================================================================
