#ifndef INC_XMLLexer_hpp_
#define INC_XMLLexer_hpp_

#include "antlr/config.hpp"
/* $ANTLR 2.7.1: "XML.g" -> "XMLLexer.hpp"$ */
#include "antlr/CommonToken.hpp"
#include "antlr/InputBuffer.hpp"
#include "antlr/BitSet.hpp"
#include "XMLLexerTokenTypes.hpp"
#include "antlr/CharScanner.hpp"
#line 20 "XML.g"

  // head of lexer file
#include <iostream>
#include "Query.hpp"

#line 18 "XMLLexer.hpp"
class XMLLexer : public ANTLR_USE_NAMESPACE(antlr)CharScanner, public XMLLexerTokenTypes
 {
#line 1 "XML.g"
#line 22 "XMLLexer.hpp"
private:
	void initLiterals();
public:
	bool getCaseSensitiveLiterals() const;
public:
	XMLLexer(ANTLR_USE_NAMESPACE(std)istream& in);
	XMLLexer(ANTLR_USE_NAMESPACE(antlr)InputBuffer& ib);
	XMLLexer(const ANTLR_USE_NAMESPACE(antlr)LexerSharedInputState& state);
	ANTLR_USE_NAMESPACE(antlr)RefToken nextToken();
	protected: void mLETTER(bool _createToken);
	protected: void mDIGIT(bool _createToken);
	public: void mNAME(bool _createToken);
	public: void mSTART_TAG(bool _createToken);
	public: void mSTART_OF_END_TAG(bool _createToken);
	public: void mEND_OF_TAG(bool _createToken);
	public: void mEND_OF_EMPTY_TAG(bool _createToken);
	public: void mEQ(bool _createToken);
	public: void mSTRING(bool _createToken);
	public: void mCOMMENT(bool _createToken);
	public: void mWHITE(bool _createToken);
private:
	
	static const unsigned long _tokenSet_0_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const ANTLR_USE_NAMESPACE(antlr)BitSet _tokenSet_2;
};

#endif /*INC_XMLLexer_hpp_*/
