/**********************************************************************
* Filename : ClasPatch
*
* Kurzbeschreibung : Classificationsheuristiken - Spielwiese
*                    
* Autoren : Andreas Jaeger
*
* 25.03.98: Erstellung
*
*
*
**********************************************************************/

#ifndef CLASPATCH
#define CLASPATCH

void CPA_CPInit (int no);

void CPA_CGInit (int no);

WeightT CPA_CPPatch (TermT lhs, TermT rhs,
		     RegelOderGleichungsT actualParent, RegelOderGleichungsT otherParent,
		     UTermT actualPosition, BOOLEAN isCP);

WeightT CPA_CGPatch (TermT lhs, TermT rhs,
		     RegelOderGleichungsT actualParent, RegelOderGleichungsT otherParent,
		     UTermT actualPosition, BOOLEAN isCP);

#endif 
