#ifndef STICHPUNKTE_H
#define STICHPUKNTE_H

#include "InfoStrings.h"

typedef struct{
   unsigned long int sp;
   int strength;
} StichpunktT;

void SP_StichpunktlisteGenerieren(InfoStringT DEF, InfoStringT USR,
                                  unsigned long int *Period, int *PeriodStrength,
                                  StichpunktT **StichpunktListe,
                                  unsigned long int *AnzahlStichpunkte,
                                  int AnzahlStaerken, const char *strengthArray[]);
/* Am Ende folgt ein Array mit AnzahlStaerken vielen Zeichenketten  vom Typ
   char*. Diese werden in der Form str=n1.n2.n3 in DEF und USR gesucht
   und in als Tupel (n,Staerke) in die Stichpunktliste
   integriert. Dabei entspricht Staerke der Position von str in der
   Parameterliste (erste Position entspricht der 0). Anschliessend
   wird die Liste nach den Zeitpunkten 'n' sortiert. Doppelte Zeitpunkte
   werden anschliessend durch 'oder'n der Staerken eliminiert.
*/

BOOLEAN SP_IstStichpunkt(StichpunktT *StichpunktListe, unsigned long int AnzahlStichpunkte,
                         unsigned long int punkt, unsigned long int Period, 
                         int PeriodStrength, int *strength);
/* Prozedur liefert TRUE, wenn punkt in der StichpunktListe enthalten ist oder in 
   der Periode liegt. In diesem Falle enthaelt strength die entsprechende Staerke.
*/

void
SP_Ausgabe (unsigned long int Period, int PeriodStrength,
	    StichpunktT *StichpunktListe,
	    unsigned long int AnzahlStichpunkte,
	    const char *strengthArray[],
	    BOOLEAN StatistikAn);

#endif
