/*=================================================================================================================
  =                                                                                                               =
  =  WaldmeisterII.h                                                                                              =
  =                                                                                                               =
  =  Kapselung des Beweisers fuer WM-TW                                                                           =
  =                                                                                                               =
  =  04.03.97 Thomas.                                                                                             =
  =                                                                                                               =
  =================================================================================================================*/

#ifndef WALDMEISTERII_H
#define WALDMEISTERII_H

#include "general.h"

#define USE_COM 1

#define STATE_UNDEF         -1
#define STATE_UNSET         0
#define STATE_FATHER_READY  1
#define STATE_SON_READY     2

void COM_init(void);
void COM_free(void);
void COM_setState(short state);
short COM_getState(void);
void COM_markSuccess(void);

extern unsigned int WM_AnlaufNr;
extern BOOLEAN LaufBeendet;
extern BOOLEAN Forked;
extern BOOLEAN Vadder;
extern pid_t my_pid;
extern pid_t father_pid;
extern pid_t son_pid;

/* zum Testen, ob initialisiert werden soll */
#define WM_ErsterAnlauf() (Forked || (WM_AnlaufNr == 1))

#if COMP_POWER

int WM_main(int argc, char *argv[]);

#endif

#endif
