/*===========================================================================*/
/*   (kbo.scm)                                                               */
/*   Bigloo (2.6d)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 13 10:21:57 CEST 2004       */
/*===========================================================================*/
/* COMPILATION: (bigloo -O6 -unsafe -farithmetic -rm -c kbo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzkboz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobalsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzparserz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzunificationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdisplayz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzselectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpruningz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_refz00zzunificationz00(obj_t);
extern obj_t BGl_displayzd2subgoalzd2zzdisplayz00(obj_t);
static obj_t BGl__computezd2kbozd2precedencesz00zzkboz00(obj_t, obj_t);
extern obj_t BGl_debugzd2levelzd2zzglobalsz00;
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_displayzd2refzd2zzdisplayz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t make_vector(int, obj_t);
static obj_t BGl__orientatezd2disequationzd2zzkboz00(obj_t, obj_t);
extern obj_t BGl_refzd2equalzd2zzpruningz00(obj_t, obj_t);
static obj_t BGl__kboze3ze3zzkboz00(obj_t, obj_t, obj_t);
static long BGl_listzd2kbozd2weightz72z72zzkboz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_computezd2kbozd2precedencesz00zzkboz00(obj_t);
static obj_t BGl__kbozd2precedencezd2zzkboz00(obj_t, obj_t);
static obj_t BGl_incrementzd2orzd2insertzd2varzd2zzkboz00(obj_t, bool_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
static obj_t BGl_kbozd2comparezd2varsz00zzkboz00(obj_t, obj_t);
static bool_t BGl_listzd2kboze3z31zzkboz00(obj_t, obj_t);
static obj_t BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(obj_t, bool_t, obj_t);
extern obj_t BGl_equalityzd2predzd2zzglobalsz00;
static obj_t BGl_cnstzd2initzd2zzkboz00();
extern obj_t BGl_occurszd2listzd2zzunificationz00(obj_t, obj_t);
static obj_t BGl__checkzd2orientationzd2zzkboz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzkboz00();
BGL_EXPORTED_DECL obj_t BGl_kbozd2precedencezd2zzkboz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzkboz00 = BUNSPEC;
static obj_t BGl_functorzd2vectorzd2zzkboz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_orientatezd2disequationzd2zzkboz00(obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
extern obj_t BGl_termzd2symbolzd2countz00zzselectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_checkzd2orientationzd2zzkboz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzkboz00();
BGL_EXPORTED_DEF obj_t BGl_kbozd2precedenceszd2zzkboz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_kboze3ze3zzkboz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzkboz00();
static long BGl_kbozd2weightzd2zzkboz00(obj_t);
static obj_t __cnst[ 7 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_orientatezd2disequationzd2envz00zzkboz00, BgL_bgl__orientateza7d2disequationza7d2za7za7kboza7002108za7, BGl__orientatezd2disequationzd2zzkboz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_kboze3zd2envz31zzkboz00, BgL_bgl__kboza7e3za7e3za7za7kboza7002109za7, BGl__kboze3ze3zzkboz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_computezd2kbozd2precedenceszd2envzd2zzkboz00, BgL_bgl__computeza7d2kboza7d2precedencesza700za7za7kboza7002110z00, BGl__computezd2kbozd2precedencesz00zzkboz00, 0L, 1 );
DEFINE_STRING( BGl_string2083z00zzkboz00, BgL_bgl_string2083za700za7za7kboza7002111z00, "kbo-lesser kbo-uncomparable kbo-equal kbo-greater equal + - ", 60 );
DEFINE_STRING( BGl_string2082z00zzkboz00, BgL_bgl_string2082za700za7za7kboza7002112z00, "kbo", 3 );
DEFINE_STRING( BGl_string2081z00zzkboz00, BgL_bgl_string2081za700za7za7kboza7002113z00, " and ", 5 );
DEFINE_STRING( BGl_string2080z00zzkboz00, BgL_bgl_string2080za700za7za7kboza7002114z00, "invalid kbo-var-comparison of terms", 35 );
DEFINE_STRING( BGl_string2079z00zzkboz00, BgL_bgl_string2079za700za7za7kboza7002115z00, " is kbo-orientated with changed sides", 37 );
DEFINE_STRING( BGl_string2078z00zzkboz00, BgL_bgl_string2078za700za7za7kboza7002116z00, " is kbo-orientated as is", 24 );
DEFINE_STRING( BGl_string2077z00zzkboz00, BgL_bgl_string2077za700za7za7kboza7002117z00, "subgoal ", 8 );
DEFINE_STRING( BGl_string2076z00zzkboz00, BgL_bgl_string2076za700za7za7kboza7002118z00, "checking orientation of subgoal ", 32 );
DEFINE_EXPORT_PROCEDURE( BGl_kbozd2precedencezd2envz00zzkboz00, BgL_bgl__kboza7d2precedenceza7d2za7za7kboza7002119za7, BGl__kbozd2precedencezd2zzkboz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2orientationzd2envz00zzkboz00, BgL_bgl__checkza7d2orientationza7d2za7za7kboza7002120za7, BGl__checkzd2orientationzd2zzkboz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzkboz00(long BgL_checksumz00_815, char * BgL_fromz00_816)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzkboz00))
{ 
BGl_requirezd2initializa7ationz75zzkboz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzkboz00(); 
BGl_cnstzd2initzd2zzkboz00(); 
BGl_importedzd2moduleszd2initz00zzkboz00(); 
BGl_toplevelzd2initzd2zzkboz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzkboz00()
{ AN_OBJECT;
{ /* ./kbo.scm 1 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "kbo"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "kbo"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzkboz00()
{ AN_OBJECT;
{ /* ./kbo.scm 1 */
{ /* ./kbo.scm 1 */
obj_t BgL_cportz00_808;
BgL_cportz00_808 = 
open_input_string(BGl_string2083z00zzkboz00); 
{ 
long BgL_iz00_809;
BgL_iz00_809 = ((long)6); 
BgL_loopz00_810:
if(
(BgL_iz00_809==((long)-1)))
{ /* ./kbo.scm 1 */
return BUNSPEC;}  else 
{ /* ./kbo.scm 1 */
{ /* ./kbo.scm 1 */
obj_t BgL_arg2087z00_812;
{ /* ./kbo.scm 1 */
obj_t BgL_list2090z00_813;
BgL_list2090z00_813 = 
MAKE_PAIR(BgL_cportz00_808, BNIL); 
BgL_arg2087z00_812 = 
BGl_readz00zz__readerz00(BgL_list2090z00_813); } 
{ /* ./kbo.scm 1 */
int BgL_auxz00_831;
BgL_auxz00_831 = 
(int)(BgL_iz00_809); 
CNST_TABLE_SET(BgL_auxz00_831, BgL_arg2087z00_812); } } 
{ /* ./kbo.scm 1 */
int BgL_auxz00_814;
{ /* ./kbo.scm 1 */
long BgL_auxz00_834;
BgL_auxz00_834 = 
(BgL_iz00_809-((long)1)); 
BgL_auxz00_814 = 
(int)(BgL_auxz00_834); } 
{ 
long BgL_iz00_837;
BgL_iz00_837 = 
(long)(BgL_auxz00_814); 
BgL_iz00_809 = BgL_iz00_837; 
goto BgL_loopz00_810;} } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzkboz00()
{ AN_OBJECT;
{ /* ./kbo.scm 1 */
BGl_functorzd2vectorzd2zzkboz00 = BFALSE; 
{ /* ./kbo.scm 10 */
obj_t BgL_auxz00_841;int BgL_auxz00_839;
BgL_auxz00_841 = BUNSPEC; 
BgL_auxz00_839 = 
(int)(((long)1)); 
return ( 
BGl_kbozd2precedenceszd2zzkboz00 = 
make_vector(BgL_auxz00_839, BgL_auxz00_841), BUNSPEC) ;} } 
}



/* check-orientation */
BGL_EXPORTED_DEF obj_t BGl_checkzd2orientationzd2zzkboz00(obj_t BgL_subgoalz00_1)
{ AN_OBJECT;
{ /* ./kbo.scm 12 */
{ /* ./kbo.scm 13 */
bool_t BgL_testz00_843;
{ /* ./kbo.scm 13 */
long BgL_auxz00_844;
BgL_auxz00_844 = 
(long)CINT(BGl_debugzd2levelzd2zzglobalsz00); 
BgL_testz00_843 = 
(BgL_auxz00_844>((long)4)); } 
if(BgL_testz00_843)
{ /* ./kbo.scm 13 */
{ /* ./kbo.scm 15 */
obj_t BgL_arg1251z00_32;
BgL_arg1251z00_32 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2076z00zzkboz00, BgL_arg1251z00_32); } 
BGl_displayzd2subgoalzd2zzdisplayz00(BgL_subgoalz00_1); 
{ /* ./kbo.scm 17 */
obj_t BgL_arg1258z00_33;
BgL_arg1258z00_33 = 
BGL_CURRENT_OUTPUT_PORT(); 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg1258z00_33); } }  else 
{ /* ./kbo.scm 13 */BFALSE; } } 
{ /* ./kbo.scm 18 */
bool_t BgL_test1262z00_34;
{ /* ./kbo.scm 18 */
obj_t BgL_arg1358z00_71;
{ 
int BgL_auxz00_852;
BgL_auxz00_852 = 
(int)(((long)1)); 
BgL_arg1358z00_71 = 
VECTOR_REF(BgL_subgoalz00_1,BgL_auxz00_852); } 
BgL_test1262z00_34 = 
(BgL_arg1358z00_71==BGl_equalityzd2predzd2zzglobalsz00); } 
if(BgL_test1262z00_34)
{ /* ./kbo.scm 19 */
obj_t BgL_leftz00_35;obj_t BgL_rightz00_36;
{ /* ./kbo.scm 19 */
obj_t BgL_auxz00_857;
{ /* ./kbo.scm 19 */
obj_t BgL_auxz00_858;
{ 
int BgL_auxz00_859;
BgL_auxz00_859 = 
(int)(((long)2)); 
BgL_auxz00_858 = 
VECTOR_REF(BgL_subgoalz00_1,BgL_auxz00_859); } 
BgL_auxz00_857 = 
CAR(BgL_auxz00_858); } 
BgL_leftz00_35 = 
BGl_refz00zzunificationz00(BgL_auxz00_857); } 
{ /* ./kbo.scm 19 */
obj_t BgL_arg1351z00_69;
{ /* ./kbo.scm 19 */
obj_t BgL_arg1354z00_70;
{ 
int BgL_auxz00_864;
BgL_auxz00_864 = 
(int)(((long)2)); 
BgL_arg1354z00_70 = 
VECTOR_REF(BgL_subgoalz00_1,BgL_auxz00_864); } 
{ /* ./kbo.scm 19 */
obj_t BgL_auxz00_867;
BgL_auxz00_867 = 
CDR(BgL_arg1354z00_70); 
BgL_arg1351z00_69 = 
CAR(BgL_auxz00_867); } } 
BgL_rightz00_36 = 
BGl_refz00zzunificationz00(BgL_arg1351z00_69); } 
{ /* ./kbo.scm 20 */
bool_t BgL_testz00_871;
{ /* ./kbo.scm 20 */
obj_t BgL_auxz00_872;
BgL_auxz00_872 = 
BGl_kboze3ze3zzkboz00(BgL_leftz00_35, BgL_rightz00_36); 
BgL_testz00_871 = 
CBOOL(BgL_auxz00_872); } 
if(BgL_testz00_871)
{ /* ./kbo.scm 20 */
{ /* ./kbo.scm 22 */
long BgL_arg1267z00_39;
{ /* ./kbo.scm 22 */
obj_t BgL_arg1271z00_41;
{ 
int BgL_auxz00_875;
BgL_auxz00_875 = 
(int)(((long)8)); 
BgL_arg1271z00_41 = 
VECTOR_REF(BgL_subgoalz00_1,BgL_auxz00_875); } 
{ /* ./kbo.scm 22 */
long BgL_auxz00_878;
BgL_auxz00_878 = 
(long)CINT(BgL_arg1271z00_41); 
BgL_arg1267z00_39 = 
(((long)8) | BgL_auxz00_878); } } 
{ 
obj_t BgL_auxz00_883;int BgL_auxz00_881;
BgL_auxz00_883 = 
BINT(BgL_arg1267z00_39); 
BgL_auxz00_881 = 
(int)(((long)8)); 
VECTOR_SET(BgL_subgoalz00_1,BgL_auxz00_881,BgL_auxz00_883); } } 
{ /* ./kbo.scm 23 */
bool_t BgL_testz00_886;
{ /* ./kbo.scm 23 */
long BgL_auxz00_887;
BgL_auxz00_887 = 
(long)CINT(BGl_debugzd2levelzd2zzglobalsz00); 
BgL_testz00_886 = 
(BgL_auxz00_887>((long)4)); } 
if(BgL_testz00_886)
{ /* ./kbo.scm 23 */
{ /* ./kbo.scm 25 */
obj_t BgL_arg1278z00_44;
BgL_arg1278z00_44 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2077z00zzkboz00, BgL_arg1278z00_44); } 
BGl_displayzd2subgoalzd2zzdisplayz00(BgL_subgoalz00_1); 
{ /* ./kbo.scm 27 */
obj_t BgL_arg1284z00_46;
BgL_arg1284z00_46 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2078z00zzkboz00, BgL_arg1284z00_46); } 
{ /* ./kbo.scm 28 */
obj_t BgL_arg1288z00_47;
BgL_arg1288z00_47 = 
BGL_CURRENT_OUTPUT_PORT(); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg1288z00_47);} }  else 
{ /* ./kbo.scm 23 */
return BFALSE;} } }  else 
{ /* ./kbo.scm 29 */
bool_t BgL_testz00_897;
{ /* ./kbo.scm 29 */
obj_t BgL_auxz00_898;
BgL_auxz00_898 = 
BGl_kboze3ze3zzkboz00(BgL_rightz00_36, BgL_leftz00_35); 
BgL_testz00_897 = 
CBOOL(BgL_auxz00_898); } 
if(BgL_testz00_897)
{ /* ./kbo.scm 29 */
{ /* ./kbo.scm 31 */
long BgL_arg1295z00_50;
{ /* ./kbo.scm 31 */
obj_t BgL_arg1299z00_52;
{ 
int BgL_auxz00_901;
BgL_auxz00_901 = 
(int)(((long)8)); 
BgL_arg1299z00_52 = 
VECTOR_REF(BgL_subgoalz00_1,BgL_auxz00_901); } 
{ /* ./kbo.scm 31 */
long BgL_auxz00_904;
BgL_auxz00_904 = 
(long)CINT(BgL_arg1299z00_52); 
BgL_arg1295z00_50 = 
(((long)8) | BgL_auxz00_904); } } 
{ 
obj_t BgL_auxz00_909;int BgL_auxz00_907;
BgL_auxz00_909 = 
BINT(BgL_arg1295z00_50); 
BgL_auxz00_907 = 
(int)(((long)8)); 
VECTOR_SET(BgL_subgoalz00_1,BgL_auxz00_907,BgL_auxz00_909); } } 
{ /* ./kbo.scm 32 */
obj_t BgL_arg1305z00_54;
{ /* ./kbo.scm 32 */
obj_t BgL_list1308z00_55;
{ /* ./kbo.scm 32 */
obj_t BgL_arg1310z00_56;
BgL_arg1310z00_56 = 
MAKE_PAIR(BgL_leftz00_35, BNIL); 
BgL_list1308z00_55 = 
MAKE_PAIR(BgL_rightz00_36, BgL_arg1310z00_56); } 
BgL_arg1305z00_54 = BgL_list1308z00_55; } 
{ 
int BgL_auxz00_914;
BgL_auxz00_914 = 
(int)(((long)2)); 
VECTOR_SET(BgL_subgoalz00_1,BgL_auxz00_914,BgL_arg1305z00_54); } } 
{ /* ./kbo.scm 33 */
bool_t BgL_testz00_917;
{ /* ./kbo.scm 33 */
long BgL_auxz00_918;
BgL_auxz00_918 = 
(long)CINT(BGl_debugzd2levelzd2zzglobalsz00); 
BgL_testz00_917 = 
(BgL_auxz00_918>((long)4)); } 
if(BgL_testz00_917)
{ /* ./kbo.scm 33 */
{ /* ./kbo.scm 35 */
obj_t BgL_arg1316z00_59;
BgL_arg1316z00_59 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2077z00zzkboz00, BgL_arg1316z00_59); } 
BGl_displayzd2subgoalzd2zzdisplayz00(BgL_subgoalz00_1); 
{ /* ./kbo.scm 37 */
obj_t BgL_arg1322z00_61;
BgL_arg1322z00_61 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2079z00zzkboz00, BgL_arg1322z00_61); } 
{ /* ./kbo.scm 38 */
obj_t BgL_arg1326z00_62;
BgL_arg1326z00_62 = 
BGL_CURRENT_OUTPUT_PORT(); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg1326z00_62);} }  else 
{ /* ./kbo.scm 33 */
return BFALSE;} } }  else 
{ /* ./kbo.scm 39 */
long BgL_arg1332z00_64;
{ /* ./kbo.scm 39 */
obj_t BgL_arg1336z00_66;
{ 
int BgL_auxz00_928;
BgL_auxz00_928 = 
(int)(((long)8)); 
BgL_arg1336z00_66 = 
VECTOR_REF(BgL_subgoalz00_1,BgL_auxz00_928); } 
{ /* ./kbo.scm 39 */
long BgL_auxz00_931;
BgL_auxz00_931 = 
(long)CINT(BgL_arg1336z00_66); 
BgL_arg1332z00_64 = 
(((long)-9) & BgL_auxz00_931); } } 
{ 
obj_t BgL_auxz00_936;int BgL_auxz00_934;
BgL_auxz00_936 = 
BINT(BgL_arg1332z00_64); 
BgL_auxz00_934 = 
(int)(((long)8)); 
return 
VECTOR_SET(BgL_subgoalz00_1,BgL_auxz00_934,BgL_auxz00_936);} } } } }  else 
{ /* ./kbo.scm 18 */
return BFALSE;} } } 
}



/* _check-orientation */
obj_t BGl__checkzd2orientationzd2zzkboz00(obj_t BgL_envz00_793, obj_t BgL_subgoalz00_794)
{ AN_OBJECT;
{ /* ./kbo.scm 12 */
return 
BGl_checkzd2orientationzd2zzkboz00(BgL_subgoalz00_794);} 
}



/* orientate-disequation */
BGL_EXPORTED_DEF obj_t BGl_orientatezd2disequationzd2zzkboz00(obj_t BgL_subgoalz00_2)
{ AN_OBJECT;
{ /* ./kbo.scm 41 */
{ /* ./kbo.scm 42 */
bool_t BgL_test1361z00_72;
{ /* ./kbo.scm 42 */
bool_t BgL__andtest_1214z00_108;
{ /* ./kbo.scm 42 */
obj_t BgL_arg1451z00_113;obj_t BgL_arg1452z00_114;
{ /* ./kbo.scm 42 */
bool_t BgL_test1454z00_115;
{ /* ./kbo.scm 42 */
long BgL_arg1456z00_116;
{ /* ./kbo.scm 42 */
obj_t BgL_arg1461z00_119;
{ 
int BgL_auxz00_940;
BgL_auxz00_940 = 
(int)(((long)8)); 
BgL_arg1461z00_119 = 
VECTOR_REF(BgL_subgoalz00_2,BgL_auxz00_940); } 
{ /* ./kbo.scm 42 */
long BgL_auxz00_943;
BgL_auxz00_943 = 
(long)CINT(BgL_arg1461z00_119); 
BgL_arg1456z00_116 = 
(((long)1) & BgL_auxz00_943); } } 
BgL_test1454z00_115 = 
(BgL_arg1456z00_116==((long)0)); } 
if(BgL_test1454z00_115)
{ /* ./kbo.scm 42 */
BgL_arg1451z00_113 = 
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./kbo.scm 42 */
BgL_arg1451z00_113 = 
CNST_TABLE_REF(((long)1)); } } 
BgL_arg1452z00_114 = 
CNST_TABLE_REF(((long)0)); 
BgL__andtest_1214z00_108 = 
(BgL_arg1451z00_113==BgL_arg1452z00_114); } 
if(BgL__andtest_1214z00_108)
{ /* ./kbo.scm 42 */
obj_t BgL_arg1441z00_109;obj_t BgL_arg1442z00_110;
{ 
int BgL_auxz00_957;obj_t BgL_auxz00_953;
BgL_auxz00_957 = 
(int)(((long)0)); 
{ 
int BgL_auxz00_954;
BgL_auxz00_954 = 
(int)(((long)1)); 
BgL_auxz00_953 = 
VECTOR_REF(BgL_subgoalz00_2,BgL_auxz00_954); } 
BgL_arg1441z00_109 = 
VECTOR_REF(BgL_auxz00_953,BgL_auxz00_957); } 
BgL_arg1442z00_110 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1361z00_72 = 
(BgL_arg1441z00_109==BgL_arg1442z00_110); }  else 
{ /* ./kbo.scm 42 */
BgL_test1361z00_72 = ((bool_t)0); } } 
if(BgL_test1361z00_72)
{ /* ./kbo.scm 43 */
obj_t BgL_leftz00_73;obj_t BgL_rightz00_74;
{ /* ./kbo.scm 43 */
obj_t BgL_auxz00_963;
{ /* ./kbo.scm 43 */
obj_t BgL_auxz00_964;
{ 
int BgL_auxz00_965;
BgL_auxz00_965 = 
(int)(((long)2)); 
BgL_auxz00_964 = 
VECTOR_REF(BgL_subgoalz00_2,BgL_auxz00_965); } 
BgL_auxz00_963 = 
CAR(BgL_auxz00_964); } 
BgL_leftz00_73 = 
BGl_refz00zzunificationz00(BgL_auxz00_963); } 
{ /* ./kbo.scm 44 */
obj_t BgL_arg1434z00_106;
{ /* ./kbo.scm 44 */
obj_t BgL_arg1437z00_107;
{ 
int BgL_auxz00_970;
BgL_auxz00_970 = 
(int)(((long)2)); 
BgL_arg1437z00_107 = 
VECTOR_REF(BgL_subgoalz00_2,BgL_auxz00_970); } 
{ /* ./kbo.scm 44 */
obj_t BgL_auxz00_973;
BgL_auxz00_973 = 
CDR(BgL_arg1437z00_107); 
BgL_arg1434z00_106 = 
CAR(BgL_auxz00_973); } } 
BgL_rightz00_74 = 
BGl_refz00zzunificationz00(BgL_arg1434z00_106); } 
{ /* ./kbo.scm 45 */
bool_t BgL_test1362z00_75;
if(
PAIRP(BgL_leftz00_73))
{ /* ./kbo.scm 45 */
bool_t BgL_testz00_979;
{ /* ./kbo.scm 45 */
bool_t BgL_testz00_980;
{ /* ./kbo.scm 45 */
obj_t BgL_auxz00_981;
BgL_auxz00_981 = 
CAR(BgL_leftz00_73); 
BgL_testz00_980 = 
VECTORP(BgL_auxz00_981); } 
if(BgL_testz00_980)
{ /* ./kbo.scm 45 */
BgL_testz00_979 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 45 */
BgL_testz00_979 = ((bool_t)1)
; } } 
if(BgL_testz00_979)
{ /* ./kbo.scm 45 */
obj_t BgL_auxz00_984;
BgL_auxz00_984 = 
CDR(BgL_leftz00_73); 
BgL_test1362z00_75 = 
PAIRP(BgL_auxz00_984); }  else 
{ /* ./kbo.scm 45 */
BgL_test1362z00_75 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 45 */
BgL_test1362z00_75 = ((bool_t)0); } 
if(BgL_test1362z00_75)
{ /* ./kbo.scm 46 */
obj_t BgL_arg1365z00_77;
{ /* ./kbo.scm 46 */
obj_t BgL_list1368z00_78;
{ /* ./kbo.scm 46 */
obj_t BgL_arg1370z00_79;
BgL_arg1370z00_79 = 
MAKE_PAIR(BgL_leftz00_73, BNIL); 
BgL_list1368z00_78 = 
MAKE_PAIR(BgL_rightz00_74, BgL_arg1370z00_79); } 
BgL_arg1365z00_77 = BgL_list1368z00_78; } 
{ 
int BgL_auxz00_990;
BgL_auxz00_990 = 
(int)(((long)2)); 
return 
VECTOR_SET(BgL_subgoalz00_2,BgL_auxz00_990,BgL_arg1365z00_77);} }  else 
{ /* ./kbo.scm 47 */
bool_t BgL_test1373z00_80;
if(
PAIRP(BgL_rightz00_74))
{ /* ./kbo.scm 47 */
bool_t BgL_testz00_995;
{ /* ./kbo.scm 47 */
bool_t BgL_testz00_996;
{ /* ./kbo.scm 47 */
obj_t BgL_auxz00_997;
BgL_auxz00_997 = 
CAR(BgL_rightz00_74); 
BgL_testz00_996 = 
VECTORP(BgL_auxz00_997); } 
if(BgL_testz00_996)
{ /* ./kbo.scm 47 */
BgL_testz00_995 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 47 */
BgL_testz00_995 = ((bool_t)1)
; } } 
if(BgL_testz00_995)
{ /* ./kbo.scm 47 */
obj_t BgL_auxz00_1000;
BgL_auxz00_1000 = 
CDR(BgL_rightz00_74); 
BgL_test1373z00_80 = 
PAIRP(BgL_auxz00_1000); }  else 
{ /* ./kbo.scm 47 */
BgL_test1373z00_80 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 47 */
BgL_test1373z00_80 = ((bool_t)0); } 
if(BgL_test1373z00_80)
{ /* ./kbo.scm 47 */
return BFALSE;}  else 
{ /* ./kbo.scm 48 */
bool_t BgL_testz00_1004;
{ /* ./kbo.scm 48 */
obj_t BgL_auxz00_1005;
BgL_auxz00_1005 = 
BGl_kboze3ze3zzkboz00(BgL_leftz00_73, BgL_rightz00_74); 
BgL_testz00_1004 = 
CBOOL(BgL_auxz00_1005); } 
if(BgL_testz00_1004)
{ /* ./kbo.scm 49 */
obj_t BgL_arg1377z00_83;
{ /* ./kbo.scm 49 */
obj_t BgL_list1380z00_84;
{ /* ./kbo.scm 49 */
obj_t BgL_arg1382z00_85;
BgL_arg1382z00_85 = 
MAKE_PAIR(BgL_leftz00_73, BNIL); 
BgL_list1380z00_84 = 
MAKE_PAIR(BgL_rightz00_74, BgL_arg1382z00_85); } 
BgL_arg1377z00_83 = BgL_list1380z00_84; } 
{ 
int BgL_auxz00_1010;
BgL_auxz00_1010 = 
(int)(((long)2)); 
return 
VECTOR_SET(BgL_subgoalz00_2,BgL_auxz00_1010,BgL_arg1377z00_83);} }  else 
{ /* ./kbo.scm 50 */
bool_t BgL_testz00_1013;
{ /* ./kbo.scm 50 */
obj_t BgL_auxz00_1014;
BgL_auxz00_1014 = 
BGl_kboze3ze3zzkboz00(BgL_rightz00_74, BgL_leftz00_73); 
BgL_testz00_1013 = 
CBOOL(BgL_auxz00_1014); } 
if(BgL_testz00_1013)
{ /* ./kbo.scm 50 */
return BFALSE;}  else 
{ /* ./kbo.scm 51 */
obj_t BgL_leftzd2szd2_87;obj_t BgL_rightzd2szd2_88;
BgL_leftzd2szd2_87 = 
BGl_termzd2symbolzd2countz00zzselectz00(BgL_leftz00_73, 
BINT(((long)1))); 
BgL_rightzd2szd2_88 = 
BGl_termzd2symbolzd2countz00zzselectz00(BgL_rightz00_74, 
BINT(((long)1))); 
{ /* ./kbo.scm 52 */
bool_t BgL_testz00_1021;
{ /* ./kbo.scm 52 */
long BgL_auxz00_1024;long BgL_auxz00_1022;
BgL_auxz00_1024 = 
(long)CINT(BgL_rightzd2szd2_88); 
BgL_auxz00_1022 = 
(long)CINT(BgL_leftzd2szd2_87); 
BgL_testz00_1021 = 
(BgL_auxz00_1022>BgL_auxz00_1024); } 
if(BgL_testz00_1021)
{ /* ./kbo.scm 53 */
obj_t BgL_arg1389z00_91;
{ /* ./kbo.scm 53 */
obj_t BgL_list1392z00_92;
{ /* ./kbo.scm 53 */
obj_t BgL_arg1394z00_93;
BgL_arg1394z00_93 = 
MAKE_PAIR(BgL_leftz00_73, BNIL); 
BgL_list1392z00_92 = 
MAKE_PAIR(BgL_rightz00_74, BgL_arg1394z00_93); } 
BgL_arg1389z00_91 = BgL_list1392z00_92; } 
{ 
int BgL_auxz00_1029;
BgL_auxz00_1029 = 
(int)(((long)2)); 
return 
VECTOR_SET(BgL_subgoalz00_2,BgL_auxz00_1029,BgL_arg1389z00_91);} }  else 
{ /* ./kbo.scm 52 */
return BFALSE;} } } } } } } }  else 
{ /* ./kbo.scm 42 */
return BFALSE;} } } 
}



/* _orientate-disequation */
obj_t BGl__orientatezd2disequationzd2zzkboz00(obj_t BgL_envz00_795, obj_t BgL_subgoalz00_796)
{ AN_OBJECT;
{ /* ./kbo.scm 41 */
return 
BGl_orientatezd2disequationzd2zzkboz00(BgL_subgoalz00_796);} 
}



/* kbo> */
BGL_EXPORTED_DEF obj_t BGl_kboze3ze3zzkboz00(obj_t BgL_sz00_5, obj_t BgL_tz00_6)
{ AN_OBJECT;
{ /* ./kbo.scm 72 */
{ /* ./kbo.scm 73 */
bool_t BgL_test1499z00_138;
{ /* ./kbo.scm 73 */
bool_t BgL_testz00_1033;
if(
PAIRP(BgL_sz00_5))
{ /* ./kbo.scm 73 */
bool_t BgL_testz00_1036;
{ /* ./kbo.scm 73 */
bool_t BgL_testz00_1037;
{ /* ./kbo.scm 73 */
obj_t BgL_auxz00_1038;
BgL_auxz00_1038 = 
CAR(BgL_sz00_5); 
BgL_testz00_1037 = 
VECTORP(BgL_auxz00_1038); } 
if(BgL_testz00_1037)
{ /* ./kbo.scm 73 */
BgL_testz00_1036 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 73 */
BgL_testz00_1036 = ((bool_t)1)
; } } 
if(BgL_testz00_1036)
{ /* ./kbo.scm 73 */
obj_t BgL_auxz00_1041;
BgL_auxz00_1041 = 
CDR(BgL_sz00_5); 
BgL_testz00_1033 = 
PAIRP(BgL_auxz00_1041); }  else 
{ /* ./kbo.scm 73 */
BgL_testz00_1033 = ((bool_t)0)
; } }  else 
{ /* ./kbo.scm 73 */
BgL_testz00_1033 = ((bool_t)0)
; } 
if(BgL_testz00_1033)
{ /* ./kbo.scm 73 */
BgL_test1499z00_138 = ((bool_t)1); }  else 
{ /* ./kbo.scm 73 */
if(
PAIRP(BgL_tz00_6))
{ /* ./kbo.scm 73 */
bool_t BgL_testz00_1046;
{ /* ./kbo.scm 73 */
bool_t BgL_testz00_1047;
{ /* ./kbo.scm 73 */
obj_t BgL_auxz00_1048;
BgL_auxz00_1048 = 
CAR(BgL_tz00_6); 
BgL_testz00_1047 = 
VECTORP(BgL_auxz00_1048); } 
if(BgL_testz00_1047)
{ /* ./kbo.scm 73 */
BgL_testz00_1046 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 73 */
BgL_testz00_1046 = ((bool_t)1)
; } } 
if(BgL_testz00_1046)
{ /* ./kbo.scm 73 */
obj_t BgL_auxz00_1051;
BgL_auxz00_1051 = 
CDR(BgL_tz00_6); 
BgL_test1499z00_138 = 
PAIRP(BgL_auxz00_1051); }  else 
{ /* ./kbo.scm 73 */
BgL_test1499z00_138 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 73 */
BgL_test1499z00_138 = ((bool_t)0); } } } 
if(BgL_test1499z00_138)
{ /* ./kbo.scm 74 */
bool_t BgL_testz00_1055;
{ /* ./kbo.scm 74 */
obj_t BgL_auxz00_1058;obj_t BgL_auxz00_1056;
BgL_auxz00_1058 = 
BGl_kbozd2comparezd2varsz00zzkboz00(BgL_sz00_5, BgL_tz00_6); 
BgL_auxz00_1056 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_1055 = 
(BgL_auxz00_1056==BgL_auxz00_1058); } 
if(BgL_testz00_1055)
{ /* ./kbo.scm 74 */
return BTRUE;}  else 
{ /* ./kbo.scm 74 */
return BFALSE;} }  else 
{ /* ./kbo.scm 77 */
bool_t BgL_test1506z00_142;
{ /* ./kbo.scm 77 */
bool_t BgL_testz00_1061;
if(
PAIRP(BgL_sz00_5))
{ /* ./kbo.scm 77 */
bool_t BgL_testz00_1064;
{ /* ./kbo.scm 77 */
bool_t BgL_testz00_1065;
{ /* ./kbo.scm 77 */
obj_t BgL_auxz00_1066;
BgL_auxz00_1066 = 
CAR(BgL_sz00_5); 
BgL_testz00_1065 = 
VECTORP(BgL_auxz00_1066); } 
if(BgL_testz00_1065)
{ /* ./kbo.scm 77 */
BgL_testz00_1064 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 77 */
BgL_testz00_1064 = ((bool_t)1)
; } } 
if(BgL_testz00_1064)
{ /* ./kbo.scm 77 */
obj_t BgL_auxz00_1069;
BgL_auxz00_1069 = 
CDR(BgL_sz00_5); 
BgL_testz00_1061 = 
PAIRP(BgL_auxz00_1069); }  else 
{ /* ./kbo.scm 77 */
BgL_testz00_1061 = ((bool_t)0)
; } }  else 
{ /* ./kbo.scm 77 */
BgL_testz00_1061 = ((bool_t)0)
; } 
if(BgL_testz00_1061)
{ /* ./kbo.scm 77 */
BgL_test1506z00_142 = 
(BgL_sz00_5==BgL_tz00_6); }  else 
{ /* ./kbo.scm 77 */
BgL_test1506z00_142 = ((bool_t)1); } } 
if(BgL_test1506z00_142)
{ /* ./kbo.scm 78 */
long BgL_weightzd2szd2_143;long BgL_weightzd2tzd2_144;
BgL_weightzd2szd2_143 = 
BGl_kbozd2weightzd2zzkboz00(BgL_sz00_5); 
BgL_weightzd2tzd2_144 = 
BGl_kbozd2weightzd2zzkboz00(BgL_tz00_6); 
if(
(BgL_weightzd2szd2_143>BgL_weightzd2tzd2_144))
{ /* ./kbo.scm 80 */
obj_t BgL_tmpz00_434;
BgL_tmpz00_434 = 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(BgL_sz00_5), ((bool_t)1), BNIL); 
return 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(BgL_tz00_6), ((bool_t)0), BgL_tmpz00_434);}  else 
{ /* ./kbo.scm 79 */
if(
(BgL_weightzd2szd2_143==BgL_weightzd2tzd2_144))
{ /* ./kbo.scm 82 */
bool_t BgL_test1510z00_147;
{ /* ./kbo.scm 82 */
obj_t BgL_arg1530z00_154;obj_t BgL_arg1531z00_155;
BgL_arg1530z00_154 = 
BGl_kbozd2precedencezd2zzkboz00(BgL_sz00_5); 
BgL_arg1531z00_155 = 
BGl_kbozd2precedencezd2zzkboz00(BgL_tz00_6); 
{ /* ./kbo.scm 82 */
long BgL_auxz00_1088;long BgL_auxz00_1086;
BgL_auxz00_1088 = 
(long)CINT(BgL_arg1531z00_155); 
BgL_auxz00_1086 = 
(long)CINT(BgL_arg1530z00_154); 
BgL_test1510z00_147 = 
(BgL_auxz00_1086>BgL_auxz00_1088); } } 
if(BgL_test1510z00_147)
{ /* ./kbo.scm 83 */
obj_t BgL_tmpz00_444;
BgL_tmpz00_444 = 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(BgL_sz00_5), ((bool_t)1), BNIL); 
return 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(BgL_tz00_6), ((bool_t)0), BgL_tmpz00_444);}  else 
{ /* ./kbo.scm 84 */
bool_t BgL_test1512z00_148;
{ /* ./kbo.scm 84 */
bool_t BgL_test1514z00_149;
{ /* ./kbo.scm 84 */
obj_t BgL_arg1523z00_152;obj_t BgL_arg1524z00_153;
BgL_arg1523z00_152 = 
BGl_kbozd2precedencezd2zzkboz00(BgL_sz00_5); 
BgL_arg1524z00_153 = 
BGl_kbozd2precedencezd2zzkboz00(BgL_tz00_6); 
{ /* ./kbo.scm 84 */
long BgL_auxz00_1100;long BgL_auxz00_1098;
BgL_auxz00_1100 = 
(long)CINT(BgL_arg1524z00_153); 
BgL_auxz00_1098 = 
(long)CINT(BgL_arg1523z00_152); 
BgL_test1514z00_149 = 
(BgL_auxz00_1098==BgL_auxz00_1100); } } 
if(BgL_test1514z00_149)
{ /* ./kbo.scm 84 */
BgL_test1512z00_148 = 
BGl_listzd2kboze3z31zzkboz00(
CDR(BgL_sz00_5), 
CDR(BgL_tz00_6)); }  else 
{ /* ./kbo.scm 84 */
BgL_test1512z00_148 = ((bool_t)0); } } 
if(BgL_test1512z00_148)
{ /* ./kbo.scm 86 */
obj_t BgL_tmpz00_454;
BgL_tmpz00_454 = 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(BgL_sz00_5), ((bool_t)1), BNIL); 
return 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(BgL_tz00_6), ((bool_t)0), BgL_tmpz00_454);}  else 
{ /* ./kbo.scm 84 */
return BFALSE;} } }  else 
{ /* ./kbo.scm 81 */
return BFALSE;} } }  else 
{ /* ./kbo.scm 77 */
return BFALSE;} } } } 
}



/* _kbo> */
obj_t BGl__kboze3ze3zzkboz00(obj_t BgL_envz00_797, obj_t BgL_sz00_798, obj_t BgL_tz00_799)
{ AN_OBJECT;
{ /* ./kbo.scm 72 */
return 
BGl_kboze3ze3zzkboz00(BgL_sz00_798, BgL_tz00_799);} 
}



/* list-kbo> */
bool_t BGl_listzd2kboze3z31zzkboz00(obj_t BgL_listzd2szd2_7, obj_t BgL_listzd2tzd2_8)
{ AN_OBJECT;
{ /* ./kbo.scm 91 */
BGl_listzd2kboze3z31zzkboz00:
if(
PAIRP(BgL_listzd2szd2_7))
{ /* ./kbo.scm 93 */
bool_t BgL_test1576z00_174;
{ /* ./kbo.scm 93 */
obj_t BgL_arg1599z00_182;obj_t BgL_arg1601z00_183;
BgL_arg1599z00_182 = 
BGl_refz00zzunificationz00(
CAR(BgL_listzd2szd2_7)); 
BgL_arg1601z00_183 = 
BGl_refz00zzunificationz00(
CAR(BgL_listzd2tzd2_8)); 
{ /* ./kbo.scm 93 */
obj_t BgL_auxz00_1119;
BgL_auxz00_1119 = 
BGl_kboze3ze3zzkboz00(BgL_arg1599z00_182, BgL_arg1601z00_183); 
BgL_test1576z00_174 = 
CBOOL(BgL_auxz00_1119); } } 
if(BgL_test1576z00_174)
{ /* ./kbo.scm 93 */
return ((bool_t)1);}  else 
{ /* ./kbo.scm 95 */
bool_t BgL_test1577z00_175;
{ /* ./kbo.scm 95 */
obj_t BgL_arg1586z00_178;obj_t BgL_arg1588z00_179;
BgL_arg1586z00_178 = 
BGl_refz00zzunificationz00(
CAR(BgL_listzd2szd2_7)); 
BgL_arg1588z00_179 = 
BGl_refz00zzunificationz00(
CAR(BgL_listzd2tzd2_8)); 
{ /* ./kbo.scm 95 */
obj_t BgL_auxz00_1127;
BgL_auxz00_1127 = 
BGl_refzd2equalzd2zzpruningz00(BgL_arg1586z00_178, BgL_arg1588z00_179); 
BgL_test1577z00_175 = 
CBOOL(BgL_auxz00_1127); } } 
if(BgL_test1577z00_175)
{ 
obj_t BgL_listzd2tzd2_1133;obj_t BgL_listzd2szd2_1131;
BgL_listzd2szd2_1131 = 
CDR(BgL_listzd2szd2_7); 
BgL_listzd2tzd2_1133 = 
CDR(BgL_listzd2tzd2_8); 
BgL_listzd2tzd2_8 = BgL_listzd2tzd2_1133; 
BgL_listzd2szd2_7 = BgL_listzd2szd2_1131; 
goto BGl_listzd2kboze3z31zzkboz00;}  else 
{ /* ./kbo.scm 95 */
return ((bool_t)0);} } }  else 
{ /* ./kbo.scm 92 */
return ((bool_t)0);} } 
}



/* kbo-weight */
long BGl_kbozd2weightzd2zzkboz00(obj_t BgL_termz00_9)
{ AN_OBJECT;
{ /* ./kbo.scm 100 */
{ /* ./kbo.scm 101 */
bool_t BgL_test1612z00_186;
if(
PAIRP(BgL_termz00_9))
{ /* ./kbo.scm 101 */
bool_t BgL_testz00_1137;
{ /* ./kbo.scm 101 */
bool_t BgL_testz00_1138;
{ /* ./kbo.scm 101 */
obj_t BgL_auxz00_1139;
BgL_auxz00_1139 = 
CAR(BgL_termz00_9); 
BgL_testz00_1138 = 
VECTORP(BgL_auxz00_1139); } 
if(BgL_testz00_1138)
{ /* ./kbo.scm 101 */
BgL_testz00_1137 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 101 */
BgL_testz00_1137 = ((bool_t)1)
; } } 
if(BgL_testz00_1137)
{ /* ./kbo.scm 101 */
obj_t BgL_auxz00_1142;
BgL_auxz00_1142 = 
CDR(BgL_termz00_9); 
BgL_test1612z00_186 = 
PAIRP(BgL_auxz00_1142); }  else 
{ /* ./kbo.scm 101 */
BgL_test1612z00_186 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 101 */
BgL_test1612z00_186 = ((bool_t)0); } 
if(BgL_test1612z00_186)
{ /* ./kbo.scm 101 */
return ((long)1);}  else 
{ /* ./kbo.scm 103 */
bool_t BgL_test1613z00_187;
if(
PAIRP(BgL_termz00_9))
{ /* ./kbo.scm 103 */
obj_t BgL_auxz00_1148;
BgL_auxz00_1148 = 
CDR(BgL_termz00_9); 
BgL_test1613z00_187 = 
NULLP(BgL_auxz00_1148); }  else 
{ /* ./kbo.scm 103 */
BgL_test1613z00_187 = ((bool_t)0); } 
if(BgL_test1613z00_187)
{ /* ./kbo.scm 103 */
return ((long)1);}  else 
{ /* ./kbo.scm 105 */
long BgL_auxz00_1152;
BgL_auxz00_1152 = 
BGl_listzd2kbozd2weightz72z72zzkboz00(
CDR(BgL_termz00_9)); 
return 
(((long)1)+BgL_auxz00_1152);} } } } 
}



/* list-kbo-weight' */
long BGl_listzd2kbozd2weightz72z72zzkboz00(obj_t BgL_termsz00_475)
{ AN_OBJECT;
{ /* ./kbo.scm 107 */
if(
PAIRP(BgL_termsz00_475))
{ /* ./kbo.scm 105 */
long BgL_auxz00_1162;long BgL_auxz00_1158;
BgL_auxz00_1162 = 
BGl_listzd2kbozd2weightz72z72zzkboz00(
CDR(BgL_termsz00_475)); 
BgL_auxz00_1158 = 
BGl_kbozd2weightzd2zzkboz00(
BGl_refz00zzunificationz00(
CAR(BgL_termsz00_475))); 
return 
(BgL_auxz00_1158+BgL_auxz00_1162);}  else 
{ /* ./kbo.scm 105 */
return ((long)0);} } 
}



/* kbo-precedence */
BGL_EXPORTED_DEF obj_t BGl_kbozd2precedencezd2zzkboz00(obj_t BgL_termz00_11)
{ AN_OBJECT;
{ /* ./kbo.scm 112 */
{ /* ./kbo.scm 113 */
bool_t BgL_test1656z00_204;
if(
PAIRP(BgL_termz00_11))
{ /* ./kbo.scm 113 */
bool_t BgL_testz00_1168;
{ /* ./kbo.scm 113 */
bool_t BgL_testz00_1169;
{ /* ./kbo.scm 113 */
obj_t BgL_auxz00_1170;
BgL_auxz00_1170 = 
CAR(BgL_termz00_11); 
BgL_testz00_1169 = 
VECTORP(BgL_auxz00_1170); } 
if(BgL_testz00_1169)
{ /* ./kbo.scm 113 */
BgL_testz00_1168 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 113 */
BgL_testz00_1168 = ((bool_t)1)
; } } 
if(BgL_testz00_1168)
{ /* ./kbo.scm 113 */
obj_t BgL_auxz00_1173;
BgL_auxz00_1173 = 
CDR(BgL_termz00_11); 
BgL_test1656z00_204 = 
PAIRP(BgL_auxz00_1173); }  else 
{ /* ./kbo.scm 113 */
BgL_test1656z00_204 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 113 */
BgL_test1656z00_204 = ((bool_t)0); } 
if(BgL_test1656z00_204)
{ /* ./kbo.scm 113 */
return 
BINT(((long)0));}  else 
{ /* ./kbo.scm 115 */
long BgL_arg1658z00_205;
{ /* ./kbo.scm 115 */
obj_t BgL_arg1661z00_206;
{ 
int BgL_auxz00_1180;obj_t BgL_auxz00_1178;
BgL_auxz00_1180 = 
(int)(((long)2)); 
BgL_auxz00_1178 = 
CAR(BgL_termz00_11); 
BgL_arg1661z00_206 = 
VECTOR_REF(BgL_auxz00_1178,BgL_auxz00_1180); } 
{ /* ./kbo.scm 115 */
long BgL_auxz00_1183;
BgL_auxz00_1183 = 
(long)CINT(BgL_arg1661z00_206); 
BgL_arg1658z00_205 = 
(BgL_auxz00_1183-((long)1)); } } 
{ 
int BgL_auxz00_1186;
BgL_auxz00_1186 = 
(int)(BgL_arg1658z00_205); 
return 
VECTOR_REF(BGl_kbozd2precedenceszd2zzkboz00,BgL_auxz00_1186);} } } } 
}



/* _kbo-precedence */
obj_t BGl__kbozd2precedencezd2zzkboz00(obj_t BgL_envz00_800, obj_t BgL_termz00_801)
{ AN_OBJECT;
{ /* ./kbo.scm 112 */
return 
BGl_kbozd2precedencezd2zzkboz00(BgL_termz00_801);} 
}



/* compute-kbo-precedences */
BGL_EXPORTED_DEF obj_t BGl_computezd2kbozd2precedencesz00zzkboz00(obj_t BgL_functorzd2listzd2_12)
{ AN_OBJECT;
{ /* ./kbo.scm 117 */
BGl_functorzd2vectorzd2zzkboz00 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_functorzd2listzd2_12); 
{ /* ./kbo.scm 120 */
int BgL_arg1682z00_215;obj_t BgL_arg1683z00_216;
BgL_arg1682z00_215 = 
VECTOR_LENGTH(BGl_functorzd2vectorzd2zzkboz00); 
BgL_arg1683z00_216 = BUNSPEC; 
BGl_kbozd2precedenceszd2zzkboz00 = 
make_vector(BgL_arg1682z00_215, BgL_arg1683z00_216); } 
{ 
long BgL_iz00_218;
{ /* ./kbo.scm 121 */
bool_t BgL_auxz00_1193;
BgL_iz00_218 = ((long)0); 
BgL_zc3anonymousza31688ze3z83_219:
{ /* ./kbo.scm 122 */
bool_t BgL_test1689z00_220;
{ /* ./kbo.scm 122 */
int BgL_arg1710z00_228;
BgL_arg1710z00_228 = 
VECTOR_LENGTH(BGl_functorzd2vectorzd2zzkboz00); 
{ /* ./kbo.scm 122 */
long BgL_auxz00_1195;
BgL_auxz00_1195 = 
(long)(BgL_arg1710z00_228); 
BgL_test1689z00_220 = 
(BgL_iz00_218==BgL_auxz00_1195); } } 
if(BgL_test1689z00_220)
{ /* ./kbo.scm 121 */
BgL_auxz00_1193 = ((bool_t)1); }  else 
{ /* ./kbo.scm 121 */
{ /* ./kbo.scm 127 */
long BgL_arg1692z00_221;long BgL_arg1693z00_222;
{ /* ./kbo.scm 127 */
obj_t BgL_arg1696z00_223;
{ 
int BgL_auxz00_1203;obj_t BgL_auxz00_1199;
BgL_auxz00_1203 = 
(int)(((long)2)); 
{ 
int BgL_auxz00_1200;
BgL_auxz00_1200 = 
(int)(BgL_iz00_218); 
BgL_auxz00_1199 = 
VECTOR_REF(BGl_functorzd2vectorzd2zzkboz00,BgL_auxz00_1200); } 
BgL_arg1696z00_223 = 
VECTOR_REF(BgL_auxz00_1199,BgL_auxz00_1203); } 
{ /* ./kbo.scm 127 */
long BgL_auxz00_1206;
BgL_auxz00_1206 = 
(long)CINT(BgL_arg1696z00_223); 
BgL_arg1692z00_221 = 
(BgL_auxz00_1206-((long)1)); } } 
BgL_arg1693z00_222 = 
(BgL_iz00_218+((long)1)); 
{ 
obj_t BgL_auxz00_1212;int BgL_auxz00_1210;
BgL_auxz00_1212 = 
BINT(BgL_arg1693z00_222); 
BgL_auxz00_1210 = 
(int)(BgL_arg1692z00_221); 
VECTOR_SET(BGl_kbozd2precedenceszd2zzkboz00,BgL_auxz00_1210,BgL_auxz00_1212); } } 
{ 
long BgL_iz00_1215;
BgL_iz00_1215 = 
(BgL_iz00_218+((long)1)); 
BgL_iz00_218 = BgL_iz00_1215; 
goto BgL_zc3anonymousza31688ze3z83_219;} } } 
return 
BBOOL(BgL_auxz00_1193);} } } 
}



/* _compute-kbo-precedences */
obj_t BGl__computezd2kbozd2precedencesz00zzkboz00(obj_t BgL_envz00_802, obj_t BgL_functorzd2listzd2_803)
{ AN_OBJECT;
{ /* ./kbo.scm 117 */
return 
BGl_computezd2kbozd2precedencesz00zzkboz00(BgL_functorzd2listzd2_803);} 
}



/* var-occurrences-in-term */
obj_t BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(obj_t BgL_termz00_20, bool_t BgL_leftz00_21, obj_t BgL_varsz00_22)
{ AN_OBJECT;
{ /* ./kbo.scm 149 */
{ /* ./kbo.scm 150 */
bool_t BgL_test1758z00_676;
if(
PAIRP(BgL_termz00_20))
{ /* ./kbo.scm 150 */
obj_t BgL_auxz00_1221;
BgL_auxz00_1221 = 
CAR(BgL_termz00_20); 
BgL_test1758z00_676 = 
(BgL_auxz00_1221==BNIL); }  else 
{ /* ./kbo.scm 150 */
BgL_test1758z00_676 = ((bool_t)0); } 
if(BgL_test1758z00_676)
{ /* ./kbo.scm 150 */
return 
BGl_incrementzd2orzd2insertzd2varzd2zzkboz00(BgL_termz00_20, BgL_leftz00_21, BgL_varsz00_22);}  else 
{ /* ./kbo.scm 150 */
bool_t BgL_test1760z00_680;
if(
PAIRP(BgL_termz00_20))
{ /* ./kbo.scm 150 */
obj_t BgL_auxz00_1228;
BgL_auxz00_1228 = 
CDR(BgL_termz00_20); 
BgL_test1760z00_680 = 
NULLP(BgL_auxz00_1228); }  else 
{ /* ./kbo.scm 150 */
BgL_test1760z00_680 = ((bool_t)0); } 
if(BgL_test1760z00_680)
{ /* ./kbo.scm 150 */
return BgL_varsz00_22;}  else 
{ /* ./kbo.scm 150 */
obj_t BgL_arg1762z00_683;
BgL_arg1762z00_683 = 
CDR(BgL_termz00_20); 
if(
NULLP(BgL_arg1762z00_683))
{ /* ./kbo.scm 150 */
return BgL_varsz00_22;}  else 
{ /* ./kbo.scm 150 */
obj_t BgL_newzd2varszd2_709;
BgL_newzd2varszd2_709 = 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(
CAR(BgL_arg1762z00_683)), BgL_leftz00_21, BgL_varsz00_22); 
if(
CBOOL(BgL_newzd2varszd2_709))
{ /* ./kbo.scm 150 */
obj_t BgL_arg1747z00_712;
BgL_arg1747z00_712 = 
CDR(BgL_arg1762z00_683); 
{ 
obj_t BgL_termsz00_691;obj_t BgL_varsz00_692;
BgL_termsz00_691 = BgL_arg1747z00_712; 
BgL_varsz00_692 = BgL_newzd2varszd2_709; 
BgL_varzd2occurrenceszd2inzd2termlistzd2_690:
if(
NULLP(BgL_termsz00_691))
{ /* ./kbo.scm 150 */
return BgL_varsz00_692;}  else 
{ /* ./kbo.scm 150 */
obj_t BgL_newzd2varszd2_699;
BgL_newzd2varszd2_699 = 
BGl_varzd2occurrenceszd2inzd2termzd2zzkboz00(
BGl_refz00zzunificationz00(
CAR(BgL_termsz00_691)), BgL_leftz00_21, BgL_varsz00_692); 
if(
CBOOL(BgL_newzd2varszd2_699))
{ 
obj_t BgL_varsz00_1250;obj_t BgL_termsz00_1248;
BgL_termsz00_1248 = 
CDR(BgL_termsz00_691); 
BgL_varsz00_1250 = BgL_newzd2varszd2_699; 
BgL_varsz00_692 = BgL_varsz00_1250; 
BgL_termsz00_691 = BgL_termsz00_1248; 
goto BgL_varzd2occurrenceszd2inzd2termlistzd2_690;}  else 
{ /* ./kbo.scm 150 */
return BFALSE;} } } }  else 
{ /* ./kbo.scm 150 */
return BFALSE;} } } } } } 
}



/* increment-or-insert-var */
obj_t BGl_incrementzd2orzd2insertzd2varzd2zzkboz00(obj_t BgL_termz00_23, bool_t BgL_leftz00_24, obj_t BgL_varsz00_25)
{ AN_OBJECT;
{ /* ./kbo.scm 156 */
if(
PAIRP(BgL_varsz00_25))
{ /* ./kbo.scm 158 */
bool_t BgL_testz00_1253;
{ /* ./kbo.scm 158 */
obj_t BgL_auxz00_1254;
{ 
int BgL_auxz00_1257;obj_t BgL_auxz00_1255;
BgL_auxz00_1257 = 
(int)(((long)0)); 
BgL_auxz00_1255 = 
CAR(BgL_varsz00_25); 
BgL_auxz00_1254 = 
VECTOR_REF(BgL_auxz00_1255,BgL_auxz00_1257); } 
BgL_testz00_1253 = 
(BgL_termz00_23==BgL_auxz00_1254); } 
if(BgL_testz00_1253)
{ /* ./kbo.scm 158 */
if(BgL_leftz00_24)
{ /* ./kbo.scm 161 */
obj_t BgL_arg1780z00_257;long BgL_arg1782z00_259;
BgL_arg1780z00_257 = 
CAR(BgL_varsz00_25); 
{ /* ./kbo.scm 161 */
obj_t BgL_arg1786z00_260;
{ 
int BgL_auxz00_1265;obj_t BgL_auxz00_1263;
BgL_auxz00_1265 = 
(int)(((long)1)); 
BgL_auxz00_1263 = 
CAR(BgL_varsz00_25); 
BgL_arg1786z00_260 = 
VECTOR_REF(BgL_auxz00_1263,BgL_auxz00_1265); } 
{ /* ./kbo.scm 161 */
long BgL_auxz00_1268;
BgL_auxz00_1268 = 
(long)CINT(BgL_arg1786z00_260); 
BgL_arg1782z00_259 = 
(BgL_auxz00_1268+((long)1)); } } 
{ 
obj_t BgL_auxz00_1273;int BgL_auxz00_1271;
BgL_auxz00_1273 = 
BINT(BgL_arg1782z00_259); 
BgL_auxz00_1271 = 
(int)(((long)1)); 
VECTOR_SET(BgL_arg1780z00_257,BgL_auxz00_1271,BgL_auxz00_1273); } }  else 
{ /* ./kbo.scm 162 */
obj_t BgL_arg1795z00_264;long BgL_arg1797z00_266;
BgL_arg1795z00_264 = 
CAR(BgL_varsz00_25); 
{ /* ./kbo.scm 162 */
obj_t BgL_arg1801z00_267;
{ 
int BgL_auxz00_1279;obj_t BgL_auxz00_1277;
BgL_auxz00_1279 = 
(int)(((long)2)); 
BgL_auxz00_1277 = 
CAR(BgL_varsz00_25); 
BgL_arg1801z00_267 = 
VECTOR_REF(BgL_auxz00_1277,BgL_auxz00_1279); } 
{ /* ./kbo.scm 162 */
long BgL_auxz00_1282;
BgL_auxz00_1282 = 
(long)CINT(BgL_arg1801z00_267); 
BgL_arg1797z00_266 = 
(BgL_auxz00_1282+((long)1)); } } 
{ 
obj_t BgL_auxz00_1287;int BgL_auxz00_1285;
BgL_auxz00_1287 = 
BINT(BgL_arg1797z00_266); 
BgL_auxz00_1285 = 
(int)(((long)2)); 
VECTOR_SET(BgL_arg1795z00_264,BgL_auxz00_1285,BgL_auxz00_1287); } } 
{ /* ./kbo.scm 163 */
bool_t BgL_test1814z00_271;
{ /* ./kbo.scm 163 */
obj_t BgL_arg1817z00_272;obj_t BgL_arg1818z00_273;
{ 
int BgL_auxz00_1292;obj_t BgL_auxz00_1290;
BgL_auxz00_1292 = 
(int)(((long)2)); 
BgL_auxz00_1290 = 
CAR(BgL_varsz00_25); 
BgL_arg1817z00_272 = 
VECTOR_REF(BgL_auxz00_1290,BgL_auxz00_1292); } 
{ 
int BgL_auxz00_1297;obj_t BgL_auxz00_1295;
BgL_auxz00_1297 = 
(int)(((long)1)); 
BgL_auxz00_1295 = 
CAR(BgL_varsz00_25); 
BgL_arg1818z00_273 = 
VECTOR_REF(BgL_auxz00_1295,BgL_auxz00_1297); } 
{ /* ./kbo.scm 163 */
long BgL_auxz00_1302;long BgL_auxz00_1300;
BgL_auxz00_1302 = 
(long)CINT(BgL_arg1818z00_273); 
BgL_auxz00_1300 = 
(long)CINT(BgL_arg1817z00_272); 
BgL_test1814z00_271 = 
(BgL_auxz00_1300>BgL_auxz00_1302); } } 
if(BgL_test1814z00_271)
{ /* ./kbo.scm 163 */
return BFALSE;}  else 
{ /* ./kbo.scm 163 */
return BgL_varsz00_25;} } }  else 
{ /* ./kbo.scm 166 */
bool_t BgL_testz00_1306;
{ /* ./kbo.scm 166 */
obj_t BgL_auxz00_1307;
BgL_auxz00_1307 = 
CDR(BgL_varsz00_25); 
BgL_testz00_1306 = 
PAIRP(BgL_auxz00_1307); } 
if(BgL_testz00_1306)
{ /* ./kbo.scm 167 */
bool_t BgL_test1834z00_279;
{ /* ./kbo.scm 167 */
obj_t BgL_arg1836z00_280;
BgL_arg1836z00_280 = 
CDR(BgL_varsz00_25); 
{ /* ./kbo.scm 167 */
obj_t BgL_auxz00_1311;
BgL_auxz00_1311 = 
BGl_incrementzd2orzd2insertzd2varzd2zzkboz00(BgL_termz00_23, BgL_leftz00_24, BgL_arg1836z00_280); 
BgL_test1834z00_279 = 
CBOOL(BgL_auxz00_1311); } } 
if(BgL_test1834z00_279)
{ /* ./kbo.scm 167 */
return BgL_varsz00_25;}  else 
{ /* ./kbo.scm 167 */
return BFALSE;} }  else 
{ /* ./kbo.scm 166 */
if(BgL_leftz00_24)
{ /* ./kbo.scm 171 */
obj_t BgL_newzd2varzd2entryz00_281;
{ /* ./kbo.scm 171 */
obj_t BgL_auxz00_1318;int BgL_auxz00_1316;
BgL_auxz00_1318 = BUNSPEC; 
BgL_auxz00_1316 = 
(int)(((long)3)); 
BgL_newzd2varzd2entryz00_281 = 
make_vector(BgL_auxz00_1316, BgL_auxz00_1318); } 
{ 
int BgL_auxz00_1320;
BgL_auxz00_1320 = 
(int)(((long)0)); 
VECTOR_SET(BgL_newzd2varzd2entryz00_281,BgL_auxz00_1320,BgL_termz00_23); } 
{ 
obj_t BgL_auxz00_1325;int BgL_auxz00_1323;
BgL_auxz00_1325 = 
BINT(((long)1)); 
BgL_auxz00_1323 = 
(int)(((long)1)); 
VECTOR_SET(BgL_newzd2varzd2entryz00_281,BgL_auxz00_1323,BgL_auxz00_1325); } 
{ 
obj_t BgL_auxz00_1330;int BgL_auxz00_1328;
BgL_auxz00_1330 = 
BINT(((long)0)); 
BgL_auxz00_1328 = 
(int)(((long)2)); 
VECTOR_SET(BgL_newzd2varzd2entryz00_281,BgL_auxz00_1328,BgL_auxz00_1330); } 
{ /* ./kbo.scm 175 */
obj_t BgL_arg1843z00_282;
{ /* ./kbo.scm 175 */
obj_t BgL_list1846z00_283;
BgL_list1846z00_283 = 
MAKE_PAIR(BgL_newzd2varzd2entryz00_281, BNIL); 
BgL_arg1843z00_282 = BgL_list1846z00_283; } 
SET_CDR(BgL_varsz00_25, BgL_arg1843z00_282); } 
return BgL_varsz00_25;}  else 
{ /* ./kbo.scm 170 */
return BFALSE;} } } }  else 
{ /* ./kbo.scm 157 */
if(BgL_leftz00_24)
{ /* ./kbo.scm 180 */
obj_t BgL_newzd2varzd2entryz00_290;
{ /* ./kbo.scm 180 */
obj_t BgL_auxz00_1338;int BgL_auxz00_1336;
BgL_auxz00_1338 = BUNSPEC; 
BgL_auxz00_1336 = 
(int)(((long)3)); 
BgL_newzd2varzd2entryz00_290 = 
make_vector(BgL_auxz00_1336, BgL_auxz00_1338); } 
{ 
int BgL_auxz00_1340;
BgL_auxz00_1340 = 
(int)(((long)0)); 
VECTOR_SET(BgL_newzd2varzd2entryz00_290,BgL_auxz00_1340,BgL_termz00_23); } 
{ 
obj_t BgL_auxz00_1345;int BgL_auxz00_1343;
BgL_auxz00_1345 = 
BINT(((long)1)); 
BgL_auxz00_1343 = 
(int)(((long)1)); 
VECTOR_SET(BgL_newzd2varzd2entryz00_290,BgL_auxz00_1343,BgL_auxz00_1345); } 
{ 
obj_t BgL_auxz00_1350;int BgL_auxz00_1348;
BgL_auxz00_1350 = 
BINT(((long)0)); 
BgL_auxz00_1348 = 
(int)(((long)2)); 
VECTOR_SET(BgL_newzd2varzd2entryz00_290,BgL_auxz00_1348,BgL_auxz00_1350); } 
{ /* ./kbo.scm 184 */
obj_t BgL_list1872z00_291;
BgL_list1872z00_291 = 
MAKE_PAIR(BgL_newzd2varzd2entryz00_290, BNIL); 
return BgL_list1872z00_291;} }  else 
{ /* ./kbo.scm 179 */
return BFALSE;} } } 
}



/* kbo-compare-vars */
obj_t BGl_kbozd2comparezd2varsz00zzkboz00(obj_t BgL_sz00_26, obj_t BgL_tz00_27)
{ AN_OBJECT;
{ /* ./kbo.scm 187 */
{ /* ./kbo.scm 188 */
bool_t BgL_test1881z00_294;
if(
PAIRP(BgL_sz00_26))
{ /* ./kbo.scm 188 */
bool_t BgL_testz00_1356;
{ /* ./kbo.scm 188 */
bool_t BgL_testz00_1357;
{ /* ./kbo.scm 188 */
obj_t BgL_auxz00_1358;
BgL_auxz00_1358 = 
CAR(BgL_sz00_26); 
BgL_testz00_1357 = 
VECTORP(BgL_auxz00_1358); } 
if(BgL_testz00_1357)
{ /* ./kbo.scm 188 */
BgL_testz00_1356 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 188 */
BgL_testz00_1356 = ((bool_t)1)
; } } 
if(BgL_testz00_1356)
{ /* ./kbo.scm 188 */
obj_t BgL_auxz00_1361;
BgL_auxz00_1361 = 
CDR(BgL_sz00_26); 
BgL_test1881z00_294 = 
PAIRP(BgL_auxz00_1361); }  else 
{ /* ./kbo.scm 188 */
BgL_test1881z00_294 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 188 */
BgL_test1881z00_294 = ((bool_t)0); } 
if(BgL_test1881z00_294)
{ /* ./kbo.scm 189 */
bool_t BgL_test1882z00_295;
if(
PAIRP(BgL_tz00_27))
{ /* ./kbo.scm 189 */
bool_t BgL_testz00_1367;
{ /* ./kbo.scm 189 */
bool_t BgL_testz00_1368;
{ /* ./kbo.scm 189 */
obj_t BgL_auxz00_1369;
BgL_auxz00_1369 = 
CAR(BgL_tz00_27); 
BgL_testz00_1368 = 
VECTORP(BgL_auxz00_1369); } 
if(BgL_testz00_1368)
{ /* ./kbo.scm 189 */
BgL_testz00_1367 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 189 */
BgL_testz00_1367 = ((bool_t)1)
; } } 
if(BgL_testz00_1367)
{ /* ./kbo.scm 189 */
obj_t BgL_auxz00_1372;
BgL_auxz00_1372 = 
CDR(BgL_tz00_27); 
BgL_test1882z00_295 = 
PAIRP(BgL_auxz00_1372); }  else 
{ /* ./kbo.scm 189 */
BgL_test1882z00_295 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 189 */
BgL_test1882z00_295 = ((bool_t)0); } 
if(BgL_test1882z00_295)
{ /* ./kbo.scm 189 */
if(
(BgL_sz00_26==BgL_tz00_27))
{ /* ./kbo.scm 190 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* ./kbo.scm 190 */
return 
CNST_TABLE_REF(((long)5));} }  else 
{ /* ./kbo.scm 193 */
bool_t BgL_test1885z00_297;
{ /* ./kbo.scm 193 */
obj_t BgL_arg1887z00_298;
BgL_arg1887z00_298 = 
CDR(BgL_tz00_27); 
{ /* ./kbo.scm 193 */
obj_t BgL_auxz00_1381;
BgL_auxz00_1381 = 
BGl_occurszd2listzd2zzunificationz00(BgL_sz00_26, BgL_arg1887z00_298); 
BgL_test1885z00_297 = 
CBOOL(BgL_auxz00_1381); } } 
if(BgL_test1885z00_297)
{ /* ./kbo.scm 193 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* ./kbo.scm 193 */
return 
CNST_TABLE_REF(((long)5));} } }  else 
{ /* ./kbo.scm 196 */
bool_t BgL_test1900z00_304;
if(
PAIRP(BgL_tz00_27))
{ /* ./kbo.scm 196 */
bool_t BgL_testz00_1389;
{ /* ./kbo.scm 196 */
bool_t BgL_testz00_1390;
{ /* ./kbo.scm 196 */
obj_t BgL_auxz00_1391;
BgL_auxz00_1391 = 
CAR(BgL_tz00_27); 
BgL_testz00_1390 = 
VECTORP(BgL_auxz00_1391); } 
if(BgL_testz00_1390)
{ /* ./kbo.scm 196 */
BgL_testz00_1389 = ((bool_t)0)
; }  else 
{ /* ./kbo.scm 196 */
BgL_testz00_1389 = ((bool_t)1)
; } } 
if(BgL_testz00_1389)
{ /* ./kbo.scm 196 */
obj_t BgL_auxz00_1394;
BgL_auxz00_1394 = 
CDR(BgL_tz00_27); 
BgL_test1900z00_304 = 
PAIRP(BgL_auxz00_1394); }  else 
{ /* ./kbo.scm 196 */
BgL_test1900z00_304 = ((bool_t)0); } }  else 
{ /* ./kbo.scm 196 */
BgL_test1900z00_304 = ((bool_t)0); } 
if(BgL_test1900z00_304)
{ /* ./kbo.scm 197 */
bool_t BgL_test1901z00_305;
{ /* ./kbo.scm 197 */
obj_t BgL_arg1904z00_306;
BgL_arg1904z00_306 = 
CDR(BgL_sz00_26); 
{ /* ./kbo.scm 197 */
obj_t BgL_auxz00_1399;
BgL_auxz00_1399 = 
BGl_occurszd2listzd2zzunificationz00(BgL_tz00_27, BgL_arg1904z00_306); 
BgL_test1901z00_305 = 
CBOOL(BgL_auxz00_1399); } } 
if(BgL_test1901z00_305)
{ /* ./kbo.scm 197 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* ./kbo.scm 197 */
return 
CNST_TABLE_REF(((long)5));} }  else 
{ /* ./kbo.scm 196 */
{ /* ./kbo.scm 201 */
obj_t BgL_arg1909z00_308;
BgL_arg1909z00_308 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2080z00zzkboz00, BgL_arg1909z00_308); } 
BGl_displayzd2refzd2zzdisplayz00(BgL_sz00_26); 
{ /* ./kbo.scm 203 */
obj_t BgL_arg1917z00_310;
BgL_arg1917z00_310 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2081z00zzkboz00, BgL_arg1917z00_310); } 
BGl_displayzd2refzd2zzdisplayz00(BgL_tz00_27); 
{ /* ./kbo.scm 205 */
obj_t BgL_arg1922z00_311;
BgL_arg1922z00_311 = 
BGL_CURRENT_OUTPUT_PORT(); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg1922z00_311);} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzkboz00()
{ AN_OBJECT;
{ /* ./kbo.scm 1 */
BGl_modulezd2initializa7ationz75zzglobalsz00(((long)43023), 
BSTRING_TO_STRING(BGl_string2082z00zzkboz00)); 
BGl_modulezd2initializa7ationz75zzparserz00(((long)21072), 
BSTRING_TO_STRING(BGl_string2082z00zzkboz00)); 
BGl_modulezd2initializa7ationz75zzunificationz00(((long)52380), 
BSTRING_TO_STRING(BGl_string2082z00zzkboz00)); 
BGl_modulezd2initializa7ationz75zzdisplayz00(((long)64024), 
BSTRING_TO_STRING(BGl_string2082z00zzkboz00)); 
BGl_modulezd2initializa7ationz75zzselectz00(((long)6054), 
BSTRING_TO_STRING(BGl_string2082z00zzkboz00)); 
return 
BGl_modulezd2initializa7ationz75zzpruningz00(((long)42382), 
BSTRING_TO_STRING(BGl_string2082z00zzkboz00));} 
}

