#ifndef TP_PARAMOD_H
#define TP_PARAMOD_H

#include "clash.h"
#include "parautil.h"
#include "basic.h"

/* INTRODUCTION
This package has a paramodulation inference rule.
*/

/* Public definitions */

/* where to paramodulate into */

typedef enum { PARA_ALL, PARA_ALL_EXCEPT_TOP, PARA_TOP_ONLY } Para_loc;

/* End of public definitions */

/* Public function prototypes from paramod.c */

int basic_paramodulation_prunes(void);

void para_from_into(Clause from, Clause into, Para_loc where,
		    void (*proc_proc) (Clause));

#endif  /* conditional compilation of whole file */
