#ifndef TP_RESOLVE_H
#define TP_RESOLVE_H

#include "clash.h"
#include "lindex.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from resolve.c */

Literal first_negative_maximal_literal(Clause c);

void hyper_resolution(Clause c, Lindex idx,
		      void (*proc_proc) (Clause));

void ur_resolution(Clause c, Lindex idx,
		   void (*proc_proc) (Clause));

void binary_resolution(Clause c, Lindex idx,
		       void (*proc_proc) (Clause));

void binary_factors(Clause c, Uniftype utype,
		    void (*proc_proc) (Clause));

void merge_literals(Clause c);

#endif  /* conditional compilation of whole file */
