/*===========================================================================*/
/*   (signals.scm)                                                           */
/*   Bigloo (2.6d)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 13 10:21:57 CEST 2004       */
/*===========================================================================*/
/* COMPILATION: (bigloo -O6 -unsafe -farithmetic -rm -c signals.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <sys/time.h>
#include <sys/resource.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsignalsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdisplayz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcputimez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobalsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl__buszd2errorzd2zzsignalsz00(obj_t, obj_t);
static obj_t BGl__xcpuz00zzsignalsz00(obj_t, obj_t);
extern obj_t BGl_endz00zzglobalsz00;
BGL_EXPORTED_DECL obj_t BGl_segzd2faultzd2zzsignalsz00(obj_t);
extern obj_t BGl_getcputimez00zzcputimez00();
static obj_t BGl__interruptz00zzsignalsz00(obj_t, obj_t);
extern obj_t BGl_elapsedz00zzglobalsz00;
extern obj_t BGl_startz00zzglobalsz00;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_printzd2statisticszd2zzdisplayz00();
BGL_EXPORTED_DECL obj_t BGl_interruptz00zzsignalsz00(obj_t);
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_xcpuz00zzsignalsz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzsignalsz00();
static obj_t BGl_requirezd2initializa7ationz75zzsignalsz00 = BUNSPEC;
static obj_t BGl__segzd2faultzd2zzsignalsz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_buszd2errorzd2zzsignalsz00(obj_t);
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_sigxcpuz00zzsignalsz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzsignalsz00();
BGL_EXPORTED_DEF obj_t BGl_sigintz00zzsignalsz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_sigbusz00zzsignalsz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_setzd2signalzd2handlersz00zzsignalsz00();
BGL_EXPORTED_DEF obj_t BGl_sigsegvz00zzsignalsz00 = BUNSPEC;
static obj_t BGl__setzd2signalzd2handlersz00zzsignalsz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzsignalsz00();
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_interruptzd2envzd2zzsignalsz00, BgL_bgl__interruptza700za7za7signalsza7001374z00, BGl__interruptz00zzsignalsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2signalzd2handlerszd2envzd2zzsignalsz00, BgL_bgl__setza7d2signalza7d2handlersza700za7za7signalsza7001375z00, BGl__setzd2signalzd2handlersz00zzsignalsz00, 0L, 0 );
DEFINE_STRING( BGl_string1363z00zzsignalsz00, BgL_bgl_string1363za700za7za7signalsza7001376z00, "signals", 7 );
DEFINE_STRING( BGl_string1362z00zzsignalsz00, BgL_bgl_string1362za700za7za7signalsza7001377z00, "Exit status is ERROR (segmentation violation after ", 51 );
DEFINE_STRING( BGl_string1361z00zzsignalsz00, BgL_bgl_string1361za700za7za7signalsza7001378z00, "Exit status is ERROR (bus error after ", 38 );
DEFINE_STRING( BGl_string1360z00zzsignalsz00, BgL_bgl_string1360za700za7za7signalsza7001379z00, "Exit status is ERROR (external interrupt after ", 47 );
DEFINE_STRING( BGl_string1359z00zzsignalsz00, BgL_bgl_string1359za700za7za7signalsza7001380z00, " seconds)", 9 );
DEFINE_STRING( BGl_string1358z00zzsignalsz00, BgL_bgl_string1358za700za7za7signalsza7001381z00, "Exit status is FAIL (CPU limit exceeded after ", 46 );
DEFINE_EXPORT_PROCEDURE( BGl_buszd2errorzd2envz00zzsignalsz00, BgL_bgl__busza7d2errorza7d2za7za7signalsza7001382za7, BGl__buszd2errorzd2zzsignalsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_segzd2faultzd2envz00zzsignalsz00, BgL_bgl__segza7d2faultza7d2za7za7signalsza7001383za7, BGl__segzd2faultzd2zzsignalsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_xcpuzd2envzd2zzsignalsz00, BgL_bgl__xcpuza700za7za7signalsza7001384z00, BGl__xcpuz00zzsignalsz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsignalsz00(long BgL_checksumz00_102, char * BgL_fromz00_103)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzsignalsz00))
{ 
BGl_requirezd2initializa7ationz75zzsignalsz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzsignalsz00(); 
BGl_importedzd2moduleszd2initz00zzsignalsz00(); 
BGl_toplevelzd2initzd2zzsignalsz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzsignalsz00()
{ AN_OBJECT;
{ /* ./signals.scm 1 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "signals"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "signals"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "signals"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "signals"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzsignalsz00()
{ AN_OBJECT;
{ /* ./signals.scm 1 */
BGl_sigintz00zzsignalsz00 = 
BINT(((long)2)); 
BGl_sigxcpuz00zzsignalsz00 = 
BINT(((long)30)); 
BGl_sigbusz00zzsignalsz00 = 
BINT(((long)10)); 
return ( 
BGl_sigsegvz00zzsignalsz00 = 
BINT(((long)11)), BUNSPEC) ;} 
}



/* set-signal-handlers */
BGL_EXPORTED_DEF obj_t BGl_setzd2signalzd2handlersz00zzsignalsz00()
{ AN_OBJECT;
{ /* ./signals.scm 17 */
BGl_signalz00zz__osz00(
CINT(BGl_sigxcpuz00zzsignalsz00), BGl_xcpuzd2envzd2zzsignalsz00); 
BGl_signalz00zz__osz00(
CINT(BGl_sigintz00zzsignalsz00), BGl_interruptzd2envzd2zzsignalsz00); 
BGl_signalz00zz__osz00(
CINT(BGl_sigbusz00zzsignalsz00), BGl_buszd2errorzd2envz00zzsignalsz00); 
return 
BGl_signalz00zz__osz00(
CINT(BGl_sigsegvz00zzsignalsz00), BGl_segzd2faultzd2envz00zzsignalsz00);} 
}



/* _set-signal-handlers */
obj_t BGl__setzd2signalzd2handlersz00zzsignalsz00(obj_t BgL_envz00_93)
{ AN_OBJECT;
{ /* ./signals.scm 17 */
return 
BGl_setzd2signalzd2handlersz00zzsignalsz00();} 
}



/* xcpu */
BGL_EXPORTED_DEF obj_t BGl_xcpuz00zzsignalsz00(obj_t BgL_argz00_1)
{ AN_OBJECT;
{ /* ./signals.scm 23 */
BGl_endz00zzglobalsz00 = 
BGl_getcputimez00zzcputimez00(); 
{ /* ./signals.scm 25 */
obj_t BgL_arg1224z00_5;
{ /* ./signals.scm 25 */
long BgL_arg1228z00_7;
{ /* ./signals.scm 25 */
long BgL_auxz00_130;long BgL_auxz00_128;
BgL_auxz00_130 = 
(long)CINT(BGl_startz00zzglobalsz00); 
BgL_auxz00_128 = 
(long)CINT(BGl_endz00zzglobalsz00); 
BgL_arg1228z00_7 = 
(BgL_auxz00_128-BgL_auxz00_130); } 
{ /* ./signals.scm 25 */
obj_t BgL_za7za7_27;
BgL_za7za7_27 = 
BINT(BgL_arg1228z00_7); 
if(
INTEGERP(BgL_za7za7_27))
{ /* ./signals.scm 25 */
double BgL_auxz00_136;
{ /* ./signals.scm 25 */
long BgL_auxz00_137;
BgL_auxz00_137 = 
(long)CINT(BgL_za7za7_27); 
BgL_auxz00_136 = 
(double)(BgL_auxz00_137); } 
BgL_arg1224z00_5 = 
DOUBLE_TO_REAL(BgL_auxz00_136); }  else 
{ /* ./signals.scm 25 */
if(
REALP(BgL_za7za7_27))
{ /* ./signals.scm 25 */
BgL_arg1224z00_5 = BgL_za7za7_27; }  else 
{ /* ./signals.scm 25 */
if(
ELONGP(BgL_za7za7_27))
{ /* ./signals.scm 25 */
long BgL_xz00_36;
BgL_xz00_36 = 
BELONG_TO_LONG(BgL_za7za7_27); 
{ /* ./signals.scm 25 */
double BgL_auxz00_146;
BgL_auxz00_146 = 
(double)(BgL_xz00_36); 
BgL_arg1224z00_5 = 
DOUBLE_TO_REAL(BgL_auxz00_146); } }  else 
{ /* ./signals.scm 25 */
if(
LLONGP(BgL_za7za7_27))
{ /* ./signals.scm 25 */
double BgL_auxz00_151;
{ /* ./signals.scm 25 */
BGL_LONGLONG_T BgL_auxz00_152;
BgL_auxz00_152 = 
BLLONG_TO_LLONG(BgL_za7za7_27); 
BgL_auxz00_151 = 
(double)(BgL_auxz00_152); } 
BgL_arg1224z00_5 = 
DOUBLE_TO_REAL(BgL_auxz00_151); }  else 
{ /* ./signals.scm 25 */
BgL_arg1224z00_5 = BgL_za7za7_27; } } } } } } 
{ /* ./signals.scm 25 */
double BgL_auxz00_156;
{ /* ./signals.scm 25 */
double BgL_auxz00_157;
BgL_auxz00_157 = 
REAL_TO_DOUBLE(BgL_arg1224z00_5); 
BgL_auxz00_156 = 
(BgL_auxz00_157/((double)100.0)); } 
BGl_elapsedz00zzglobalsz00 = 
DOUBLE_TO_REAL(BgL_auxz00_156); } } 
{ /* ./signals.scm 26 */
obj_t BgL_port1214z00_8;
BgL_port1214z00_8 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1358z00zzsignalsz00, BgL_port1214z00_8); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_elapsedz00zzglobalsz00, BgL_port1214z00_8); 
display_string(BGl_string1359z00zzsignalsz00, BgL_port1214z00_8); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1214z00_8); } 
BGl_printzd2statisticszd2zzdisplayz00(); 
{ /* ./signals.scm 28 */
obj_t BgL_list1238z00_9;
{ /* ./signals.scm 28 */
obj_t BgL_auxz00_167;
BgL_auxz00_167 = 
BINT(((long)0)); 
BgL_list1238z00_9 = 
MAKE_PAIR(BgL_auxz00_167, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list1238z00_9);} } 
}



/* _xcpu */
obj_t BGl__xcpuz00zzsignalsz00(obj_t BgL_envz00_94, obj_t BgL_argz00_95)
{ AN_OBJECT;
{ /* ./signals.scm 23 */
return 
BGl_xcpuz00zzsignalsz00(BgL_argz00_95);} 
}



/* interrupt */
BGL_EXPORTED_DEF obj_t BGl_interruptz00zzsignalsz00(obj_t BgL_argz00_2)
{ AN_OBJECT;
{ /* ./signals.scm 30 */
BGl_endz00zzglobalsz00 = 
BGl_getcputimez00zzcputimez00(); 
{ /* ./signals.scm 32 */
obj_t BgL_arg1242z00_10;
{ /* ./signals.scm 32 */
long BgL_arg1246z00_12;
{ /* ./signals.scm 32 */
long BgL_auxz00_175;long BgL_auxz00_173;
BgL_auxz00_175 = 
(long)CINT(BGl_startz00zzglobalsz00); 
BgL_auxz00_173 = 
(long)CINT(BGl_endz00zzglobalsz00); 
BgL_arg1246z00_12 = 
(BgL_auxz00_173-BgL_auxz00_175); } 
{ /* ./signals.scm 32 */
obj_t BgL_za7za7_44;
BgL_za7za7_44 = 
BINT(BgL_arg1246z00_12); 
if(
INTEGERP(BgL_za7za7_44))
{ /* ./signals.scm 32 */
double BgL_auxz00_181;
{ /* ./signals.scm 32 */
long BgL_auxz00_182;
BgL_auxz00_182 = 
(long)CINT(BgL_za7za7_44); 
BgL_auxz00_181 = 
(double)(BgL_auxz00_182); } 
BgL_arg1242z00_10 = 
DOUBLE_TO_REAL(BgL_auxz00_181); }  else 
{ /* ./signals.scm 32 */
if(
REALP(BgL_za7za7_44))
{ /* ./signals.scm 32 */
BgL_arg1242z00_10 = BgL_za7za7_44; }  else 
{ /* ./signals.scm 32 */
if(
ELONGP(BgL_za7za7_44))
{ /* ./signals.scm 32 */
long BgL_xz00_53;
BgL_xz00_53 = 
BELONG_TO_LONG(BgL_za7za7_44); 
{ /* ./signals.scm 32 */
double BgL_auxz00_191;
BgL_auxz00_191 = 
(double)(BgL_xz00_53); 
BgL_arg1242z00_10 = 
DOUBLE_TO_REAL(BgL_auxz00_191); } }  else 
{ /* ./signals.scm 32 */
if(
LLONGP(BgL_za7za7_44))
{ /* ./signals.scm 32 */
double BgL_auxz00_196;
{ /* ./signals.scm 32 */
BGL_LONGLONG_T BgL_auxz00_197;
BgL_auxz00_197 = 
BLLONG_TO_LLONG(BgL_za7za7_44); 
BgL_auxz00_196 = 
(double)(BgL_auxz00_197); } 
BgL_arg1242z00_10 = 
DOUBLE_TO_REAL(BgL_auxz00_196); }  else 
{ /* ./signals.scm 32 */
BgL_arg1242z00_10 = BgL_za7za7_44; } } } } } } 
{ /* ./signals.scm 32 */
double BgL_auxz00_201;
{ /* ./signals.scm 32 */
double BgL_auxz00_202;
BgL_auxz00_202 = 
REAL_TO_DOUBLE(BgL_arg1242z00_10); 
BgL_auxz00_201 = 
(BgL_auxz00_202/((double)100.0)); } 
BGl_elapsedz00zzglobalsz00 = 
DOUBLE_TO_REAL(BgL_auxz00_201); } } 
{ /* ./signals.scm 33 */
obj_t BgL_port1215z00_13;
BgL_port1215z00_13 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1360z00zzsignalsz00, BgL_port1215z00_13); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_elapsedz00zzglobalsz00, BgL_port1215z00_13); 
display_string(BGl_string1359z00zzsignalsz00, BgL_port1215z00_13); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1215z00_13); } 
BGl_printzd2statisticszd2zzdisplayz00(); 
{ /* ./signals.scm 35 */
obj_t BgL_list1256z00_14;
BgL_list1256z00_14 = 
MAKE_PAIR(BgL_argz00_2, BNIL); 
return 
BGl_exitz00zz__errorz00(BgL_list1256z00_14);} } 
}



/* _interrupt */
obj_t BGl__interruptz00zzsignalsz00(obj_t BgL_envz00_96, obj_t BgL_argz00_97)
{ AN_OBJECT;
{ /* ./signals.scm 30 */
return 
BGl_interruptz00zzsignalsz00(BgL_argz00_97);} 
}



/* bus-error */
BGL_EXPORTED_DEF obj_t BGl_buszd2errorzd2zzsignalsz00(obj_t BgL_argz00_3)
{ AN_OBJECT;
{ /* ./signals.scm 37 */
BGl_endz00zzglobalsz00 = 
BGl_getcputimez00zzcputimez00(); 
{ /* ./signals.scm 39 */
obj_t BgL_arg1260z00_15;
{ /* ./signals.scm 39 */
long BgL_arg1264z00_17;
{ /* ./signals.scm 39 */
long BgL_auxz00_218;long BgL_auxz00_216;
BgL_auxz00_218 = 
(long)CINT(BGl_startz00zzglobalsz00); 
BgL_auxz00_216 = 
(long)CINT(BGl_endz00zzglobalsz00); 
BgL_arg1264z00_17 = 
(BgL_auxz00_216-BgL_auxz00_218); } 
{ /* ./signals.scm 39 */
obj_t BgL_za7za7_61;
BgL_za7za7_61 = 
BINT(BgL_arg1264z00_17); 
if(
INTEGERP(BgL_za7za7_61))
{ /* ./signals.scm 39 */
double BgL_auxz00_224;
{ /* ./signals.scm 39 */
long BgL_auxz00_225;
BgL_auxz00_225 = 
(long)CINT(BgL_za7za7_61); 
BgL_auxz00_224 = 
(double)(BgL_auxz00_225); } 
BgL_arg1260z00_15 = 
DOUBLE_TO_REAL(BgL_auxz00_224); }  else 
{ /* ./signals.scm 39 */
if(
REALP(BgL_za7za7_61))
{ /* ./signals.scm 39 */
BgL_arg1260z00_15 = BgL_za7za7_61; }  else 
{ /* ./signals.scm 39 */
if(
ELONGP(BgL_za7za7_61))
{ /* ./signals.scm 39 */
long BgL_xz00_70;
BgL_xz00_70 = 
BELONG_TO_LONG(BgL_za7za7_61); 
{ /* ./signals.scm 39 */
double BgL_auxz00_234;
BgL_auxz00_234 = 
(double)(BgL_xz00_70); 
BgL_arg1260z00_15 = 
DOUBLE_TO_REAL(BgL_auxz00_234); } }  else 
{ /* ./signals.scm 39 */
if(
LLONGP(BgL_za7za7_61))
{ /* ./signals.scm 39 */
double BgL_auxz00_239;
{ /* ./signals.scm 39 */
BGL_LONGLONG_T BgL_auxz00_240;
BgL_auxz00_240 = 
BLLONG_TO_LLONG(BgL_za7za7_61); 
BgL_auxz00_239 = 
(double)(BgL_auxz00_240); } 
BgL_arg1260z00_15 = 
DOUBLE_TO_REAL(BgL_auxz00_239); }  else 
{ /* ./signals.scm 39 */
BgL_arg1260z00_15 = BgL_za7za7_61; } } } } } } 
{ /* ./signals.scm 39 */
double BgL_auxz00_244;
{ /* ./signals.scm 39 */
double BgL_auxz00_245;
BgL_auxz00_245 = 
REAL_TO_DOUBLE(BgL_arg1260z00_15); 
BgL_auxz00_244 = 
(BgL_auxz00_245/((double)100.0)); } 
BGl_elapsedz00zzglobalsz00 = 
DOUBLE_TO_REAL(BgL_auxz00_244); } } 
{ /* ./signals.scm 40 */
obj_t BgL_port1216z00_18;
BgL_port1216z00_18 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1361z00zzsignalsz00, BgL_port1216z00_18); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_elapsedz00zzglobalsz00, BgL_port1216z00_18); 
display_string(BGl_string1359z00zzsignalsz00, BgL_port1216z00_18); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1216z00_18); } 
BGl_printzd2statisticszd2zzdisplayz00(); 
{ /* ./signals.scm 42 */
obj_t BgL_list1274z00_19;
BgL_list1274z00_19 = 
MAKE_PAIR(BgL_argz00_3, BNIL); 
return 
BGl_exitz00zz__errorz00(BgL_list1274z00_19);} } 
}



/* _bus-error */
obj_t BGl__buszd2errorzd2zzsignalsz00(obj_t BgL_envz00_98, obj_t BgL_argz00_99)
{ AN_OBJECT;
{ /* ./signals.scm 37 */
return 
BGl_buszd2errorzd2zzsignalsz00(BgL_argz00_99);} 
}



/* seg-fault */
BGL_EXPORTED_DEF obj_t BGl_segzd2faultzd2zzsignalsz00(obj_t BgL_argz00_4)
{ AN_OBJECT;
{ /* ./signals.scm 44 */
BGl_endz00zzglobalsz00 = 
BGl_getcputimez00zzcputimez00(); 
{ /* ./signals.scm 46 */
obj_t BgL_arg1278z00_20;
{ /* ./signals.scm 46 */
long BgL_arg1282z00_22;
{ /* ./signals.scm 46 */
long BgL_auxz00_261;long BgL_auxz00_259;
BgL_auxz00_261 = 
(long)CINT(BGl_startz00zzglobalsz00); 
BgL_auxz00_259 = 
(long)CINT(BGl_endz00zzglobalsz00); 
BgL_arg1282z00_22 = 
(BgL_auxz00_259-BgL_auxz00_261); } 
{ /* ./signals.scm 46 */
obj_t BgL_za7za7_78;
BgL_za7za7_78 = 
BINT(BgL_arg1282z00_22); 
if(
INTEGERP(BgL_za7za7_78))
{ /* ./signals.scm 46 */
double BgL_auxz00_267;
{ /* ./signals.scm 46 */
long BgL_auxz00_268;
BgL_auxz00_268 = 
(long)CINT(BgL_za7za7_78); 
BgL_auxz00_267 = 
(double)(BgL_auxz00_268); } 
BgL_arg1278z00_20 = 
DOUBLE_TO_REAL(BgL_auxz00_267); }  else 
{ /* ./signals.scm 46 */
if(
REALP(BgL_za7za7_78))
{ /* ./signals.scm 46 */
BgL_arg1278z00_20 = BgL_za7za7_78; }  else 
{ /* ./signals.scm 46 */
if(
ELONGP(BgL_za7za7_78))
{ /* ./signals.scm 46 */
long BgL_xz00_87;
BgL_xz00_87 = 
BELONG_TO_LONG(BgL_za7za7_78); 
{ /* ./signals.scm 46 */
double BgL_auxz00_277;
BgL_auxz00_277 = 
(double)(BgL_xz00_87); 
BgL_arg1278z00_20 = 
DOUBLE_TO_REAL(BgL_auxz00_277); } }  else 
{ /* ./signals.scm 46 */
if(
LLONGP(BgL_za7za7_78))
{ /* ./signals.scm 46 */
double BgL_auxz00_282;
{ /* ./signals.scm 46 */
BGL_LONGLONG_T BgL_auxz00_283;
BgL_auxz00_283 = 
BLLONG_TO_LLONG(BgL_za7za7_78); 
BgL_auxz00_282 = 
(double)(BgL_auxz00_283); } 
BgL_arg1278z00_20 = 
DOUBLE_TO_REAL(BgL_auxz00_282); }  else 
{ /* ./signals.scm 46 */
BgL_arg1278z00_20 = BgL_za7za7_78; } } } } } } 
{ /* ./signals.scm 46 */
double BgL_auxz00_287;
{ /* ./signals.scm 46 */
double BgL_auxz00_288;
BgL_auxz00_288 = 
REAL_TO_DOUBLE(BgL_arg1278z00_20); 
BgL_auxz00_287 = 
(BgL_auxz00_288/((double)100.0)); } 
BGl_elapsedz00zzglobalsz00 = 
DOUBLE_TO_REAL(BgL_auxz00_287); } } 
{ /* ./signals.scm 47 */
obj_t BgL_port1217z00_23;
BgL_port1217z00_23 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1362z00zzsignalsz00, BgL_port1217z00_23); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_elapsedz00zzglobalsz00, BgL_port1217z00_23); 
display_string(BGl_string1359z00zzsignalsz00, BgL_port1217z00_23); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1217z00_23); } 
BGl_printzd2statisticszd2zzdisplayz00(); 
{ /* ./signals.scm 49 */
obj_t BgL_list1292z00_24;
BgL_list1292z00_24 = 
MAKE_PAIR(BgL_argz00_4, BNIL); 
return 
BGl_exitz00zz__errorz00(BgL_list1292z00_24);} } 
}



/* _seg-fault */
obj_t BGl__segzd2faultzd2zzsignalsz00(obj_t BgL_envz00_100, obj_t BgL_argz00_101)
{ AN_OBJECT;
{ /* ./signals.scm 44 */
return 
BGl_segzd2faultzd2zzsignalsz00(BgL_argz00_101);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzsignalsz00()
{ AN_OBJECT;
{ /* ./signals.scm 1 */
BGl_modulezd2initializa7ationz75zzdisplayz00(((long)64024), 
BSTRING_TO_STRING(BGl_string1363z00zzsignalsz00)); 
BGl_modulezd2initializa7ationz75zzcputimez00(((long)60562), 
BSTRING_TO_STRING(BGl_string1363z00zzsignalsz00)); 
return 
BGl_modulezd2initializa7ationz75zzglobalsz00(((long)43023), 
BSTRING_TO_STRING(BGl_string1363z00zzsignalsz00));} 
}

