/*===========================================================================*/
/*   (splitting.scm)                                                         */
/*   Bigloo (2.6d)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 13 10:21:57 CEST 2004       */
/*===========================================================================*/
/* COMPILATION: (bigloo -O6 -unsafe -farithmetic -rm -c splitting.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsplittingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobalsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdisplayz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpathz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzparserz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdctpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsubsumptionz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_splitzd2prefixzd2stringz00zzsplittingz00 = BUNSPEC;
BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, int);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_listzd2subtractz72za0zzsplittingz00(obj_t, obj_t);
static obj_t BGl__splitzd2subgoalszd2zzsplittingz00(obj_t, obj_t, obj_t);
static obj_t BGl__onezd2listzd2iszd2groundzd2zzsplittingz00(obj_t, obj_t);
static obj_t BGl__movezd2specialzd2splitzd2listzd2tozd2frontzd2zzsplittingz00(obj_t, obj_t, obj_t);
static obj_t BGl_newzd2splitlitzd2pairz00zzsplittingz00(bool_t);
BGL_IMPORT obj_t string_to_symbol(char *);
static long BGl_splitlitzd2counterzd2zzsplittingz00;
static obj_t BGl__allzd2groundzd2arezd2splitlitszd2zzsplittingz00(obj_t, obj_t);
extern obj_t BGl_nrzd2initialzd2predicatesz00zzparserz00;
BGL_IMPORT obj_t make_vector(int, obj_t);
static obj_t BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_joinzd2splitzd2listsz00zzsplittingz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_splitzd2subgoalszd2zzsplittingz00(obj_t, obj_t);
extern obj_t BGl_freezd2varszd2inzd2termlistzd2zzdctpz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl_joinzd2listszd2zzsplittingz00(obj_t, obj_t);
static obj_t BGl__splitlitz00zzsplittingz00(obj_t, obj_t);
static obj_t BGl_splitzd2prefixzd2zzsplittingz00 = BUNSPEC;
extern obj_t BGl_pathzd2vectorzd2siza7eza7zzpathz00;
static obj_t BGl_extractzd2andzd2appendzd2splitzd2listz00zzsplittingz00(obj_t, obj_t);
extern obj_t BGl_preprocessingz00zzglobalsz00;
extern obj_t BGl_complexityzd2measurezd2zzglobalsz00;
static obj_t BGl_intersectzd2listszd2zzsplittingz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzsplittingz00();
static obj_t BGl_requirezd2initializa7ationz75zzsplittingz00 = BUNSPEC;
static obj_t BGl__movezd2specialzd2splitzd2listzd2tozd2rearzd2zzsplittingz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_movezd2specialzd2splitzd2listzd2tozd2frontzd2zzsplittingz00(obj_t, obj_t);
static bool_t BGl_allzd2subgoalszd2arezd2splitlitszd2zzsplittingz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_allzd2groundzd2arezd2splitlitszd2zzsplittingz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_movezd2specialzd2splitzd2listzd2tozd2rearzd2zzsplittingz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_splitlitz00zzsplittingz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_onezd2listzd2iszd2groundzd2zzsplittingz00(obj_t);
static obj_t BGl_insertzd2splitlitzd2inzd2subgoalszd2zzsplittingz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzsplittingz00();
extern obj_t BGl_signzd2predsymze3z31zzsubsumptionz00(obj_t, obj_t);
static obj_t BGl__splitzd2listszd2tozd2clauseszd2zzsplittingz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzsplittingz00();
extern obj_t BGl_enlargezd2pathzd2literalzd2vectorszd2zzpathz00();
BGL_EXPORTED_DECL obj_t BGl_splitzd2listszd2tozd2clauseszd2zzsplittingz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_splitlitzd2envzd2zzsplittingz00, BgL_bgl__splitlitza700za7za7splittingza7002249z00, BGl__splitlitz00zzsplittingz00, 0L, 1 );
DEFINE_STRING( BGl_string2239z00zzsplittingz00, BgL_bgl_string2239za700za7za7splittingza7002250z00, "splitting", 9 );
DEFINE_STRING( BGl_string2238z00zzsplittingz00, BgL_bgl_string2238za700za7za7splittingza7002251z00, "_splitlit_", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_movezd2specialzd2splitzd2listzd2tozd2frontzd2envz00zzsplittingz00, BgL_bgl__moveza7d2specialza7d2splitza7d2listza7d2toza7d2frontza7d2za7za7splittingza7002252za7, BGl__movezd2specialzd2splitzd2listzd2tozd2frontzd2zzsplittingz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_splitzd2subgoalszd2envz00zzsplittingz00, BgL_bgl__splitza7d2subgoalsza7d2za7za7splittingza7002253za7, BGl__splitzd2subgoalszd2zzsplittingz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_movezd2specialzd2splitzd2listzd2tozd2rearzd2envz00zzsplittingz00, BgL_bgl__moveza7d2specialza7d2splitza7d2listza7d2toza7d2rearza7d2za7za7splittingza7002254za7, BGl__movezd2specialzd2splitzd2listzd2tozd2rearzd2zzsplittingz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allzd2groundzd2arezd2splitlitszd2envz00zzsplittingz00, BgL_bgl__allza7d2groundza7d2areza7d2splitlitsza7d2za7za7splittingza7002255za7, BGl__allzd2groundzd2arezd2splitlitszd2zzsplittingz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_splitzd2listszd2tozd2clauseszd2envz00zzsplittingz00, BgL_bgl__splitza7d2listsza7d2toza7d2clausesza7d2za7za7splittingza7002256za7, BGl__splitzd2listszd2tozd2clauseszd2zzsplittingz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_onezd2listzd2iszd2groundzd2envz00zzsplittingz00, BgL_bgl__oneza7d2listza7d2isza7d2groundza7d2za7za7splittingza7002257za7, BGl__onezd2listzd2iszd2groundzd2zzsplittingz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsplittingz00(long BgL_checksumz00_1286, char * BgL_fromz00_1287)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzsplittingz00))
{ 
BGl_requirezd2initializa7ationz75zzsplittingz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzsplittingz00(); 
BGl_importedzd2moduleszd2initz00zzsplittingz00(); 
BGl_toplevelzd2initzd2zzsplittingz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzsplittingz00()
{ AN_OBJECT;
{ /* ./splitting.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "splitting"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "splitting"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "splitting"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzsplittingz00()
{ AN_OBJECT;
{ /* ./splitting.scm 1 */
BGl_splitlitzd2counterzd2zzsplittingz00 = ((long)1); 
BGl_splitzd2prefixzd2stringz00zzsplittingz00 = BGl_string2238z00zzsplittingz00; 
{ /* ./splitting.scm 11 */
char * BgL_auxz00_1297;
BgL_auxz00_1297 = 
BSTRING_TO_STRING(BGl_string2238z00zzsplittingz00); 
return ( 
BGl_splitzd2prefixzd2zzsplittingz00 = 
string_to_symbol(BgL_auxz00_1297), BUNSPEC) ;} } 
}



/* split-subgoals */
BGL_EXPORTED_DEF obj_t BGl_splitzd2subgoalszd2zzsplittingz00(obj_t BgL_subgoalsz00_1, obj_t BgL_splitzd2listszd2_2)
{ AN_OBJECT;
{ /* ./splitting.scm 16 */
BGl_splitzd2subgoalszd2zzsplittingz00:
{ /* ./splitting.scm 17 */
obj_t BgL_splitzd2listszd2_1280;
BgL_splitzd2listszd2_1280 = 
MAKE_CELL(BgL_splitzd2listszd2_2); 
if(
PAIRP(BgL_subgoalsz00_1))
{ /* ./splitting.scm 18 */
obj_t BgL_matchingzd2listszd2_39;obj_t BgL_sgzd2varszd2_40;
BgL_matchingzd2listszd2_39 = BUNSPEC; 
{ /* ./splitting.scm 18 */
obj_t BgL_auxz00_1302;
{ 
int BgL_auxz00_1305;obj_t BgL_auxz00_1303;
BgL_auxz00_1305 = 
(int)(((long)2)); 
BgL_auxz00_1303 = 
CAR(BgL_subgoalsz00_1); 
BgL_auxz00_1302 = 
VECTOR_REF(BgL_auxz00_1303,BgL_auxz00_1305); } 
BgL_sgzd2varszd2_40 = 
BGl_freezd2varszd2inzd2termlistzd2zzdctpz00(BgL_auxz00_1302, BNIL); } 
BgL_matchingzd2listszd2_39 = 
BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00(BgL_sgzd2varszd2_40, 
CELL_REF(BgL_splitzd2listszd2_1280)); 
{ /* ./splitting.scm 20 */
bool_t BgL_testz00_1310;
{ /* ./splitting.scm 20 */
long BgL_auxz00_1311;
BgL_auxz00_1311 = 
bgl_list_length(BgL_matchingzd2listszd2_39); 
BgL_testz00_1310 = 
(BgL_auxz00_1311==((long)0)); } 
if(BgL_testz00_1310)
{ /* ./splitting.scm 21 */
obj_t BgL_newzd2splitzd2listz00_42;
BgL_newzd2splitzd2listz00_42 = BUNSPEC; 
{ /* ./splitting.scm 22 */
obj_t BgL_arg1219z00_43;
{ /* ./splitting.scm 22 */
obj_t BgL_arg1232z00_47;
BgL_arg1232z00_47 = 
CAR(BgL_subgoalsz00_1); 
{ /* ./splitting.scm 22 */
obj_t BgL_list1234z00_48;
BgL_list1234z00_48 = 
MAKE_PAIR(BgL_arg1232z00_47, BNIL); 
BgL_arg1219z00_43 = BgL_list1234z00_48; } } 
{ /* ./splitting.scm 22 */
obj_t BgL_list1221z00_44;
{ /* ./splitting.scm 22 */
obj_t BgL_arg1224z00_45;
{ /* ./splitting.scm 22 */
obj_t BgL_arg1228z00_46;
BgL_arg1228z00_46 = 
MAKE_PAIR(BgL_arg1219z00_43, BNIL); 
BgL_arg1224z00_45 = 
MAKE_PAIR(BgL_sgzd2varszd2_40, BgL_arg1228z00_46); } 
BgL_list1221z00_44 = 
MAKE_PAIR(BgL_sgzd2varszd2_40, BgL_arg1224z00_45); } 
BgL_newzd2splitzd2listz00_42 = BgL_list1221z00_44; } } 
{ /* ./splitting.scm 23 */
obj_t BgL_arg1239z00_49;obj_t BgL_arg1240z00_50;
BgL_arg1239z00_49 = 
CDR(BgL_subgoalsz00_1); 
{ /* ./splitting.scm 23 */
obj_t BgL_auxz00_1320;
BgL_auxz00_1320 = 
CELL_REF(BgL_splitzd2listszd2_1280); 
BgL_arg1240z00_50 = 
MAKE_PAIR(BgL_newzd2splitzd2listz00_42, BgL_auxz00_1320); } 
{ 
obj_t BgL_splitzd2listszd2_1323;obj_t BgL_subgoalsz00_1322;
BgL_subgoalsz00_1322 = BgL_arg1239z00_49; 
BgL_splitzd2listszd2_1323 = BgL_arg1240z00_50; 
BgL_splitzd2listszd2_2 = BgL_splitzd2listszd2_1323; 
BgL_subgoalsz00_1 = BgL_subgoalsz00_1322; 
goto BGl_splitzd2subgoalszd2zzsplittingz00;} } }  else 
{ /* ./splitting.scm 24 */
bool_t BgL_testz00_1324;
{ /* ./splitting.scm 24 */
long BgL_auxz00_1325;
BgL_auxz00_1325 = 
bgl_list_length(BgL_matchingzd2listszd2_39); 
BgL_testz00_1324 = 
(BgL_auxz00_1325==((long)1)); } 
if(BgL_testz00_1324)
{ /* ./splitting.scm 24 */
{ /* ./splitting.scm 26 */
obj_t BgL_arg1249z00_52;obj_t BgL_arg1250z00_53;
BgL_arg1249z00_52 = 
CAR(BgL_subgoalsz00_1); 
BgL_arg1250z00_53 = 
CAR(BgL_matchingzd2listszd2_39); 
{ /* ./splitting.scm 26 */
obj_t BgL_auxz00_1330;
BgL_auxz00_1330 = 
BGl_joinzd2listszd2zzsplittingz00(
CAR(BgL_arg1250z00_53), BgL_sgzd2varszd2_40); 
SET_CAR(BgL_arg1250z00_53, BgL_auxz00_1330); } 
{ /* ./splitting.scm 26 */
obj_t BgL_auxz00_1336;obj_t BgL_auxz00_1334;
{ /* ./splitting.scm 26 */
obj_t BgL_auxz00_1337;
{ /* ./splitting.scm 26 */
obj_t BgL_auxz00_1338;
BgL_auxz00_1338 = 
CDR(BgL_arg1250z00_53); 
BgL_auxz00_1337 = 
CAR(BgL_auxz00_1338); } 
BgL_auxz00_1336 = 
BGl_intersectzd2listszd2zzsplittingz00(BgL_auxz00_1337, BgL_sgzd2varszd2_40); } 
BgL_auxz00_1334 = 
CDR(BgL_arg1250z00_53); 
SET_CAR(BgL_auxz00_1334, BgL_auxz00_1336); } 
{ /* ./splitting.scm 26 */
obj_t BgL_arg1372z00_348;obj_t BgL_arg1373z00_349;
{ /* ./splitting.scm 26 */
obj_t BgL_auxz00_1343;
BgL_auxz00_1343 = 
CDR(BgL_arg1250z00_53); 
BgL_arg1372z00_348 = 
CDR(BgL_auxz00_1343); } 
{ /* ./splitting.scm 26 */
obj_t BgL_arg1377z00_350;obj_t BgL_arg1378z00_351;
{ /* ./splitting.scm 26 */
obj_t BgL_auxz00_1346;
{ /* ./splitting.scm 26 */
obj_t BgL_auxz00_1347;
BgL_auxz00_1347 = 
CDR(BgL_arg1250z00_53); 
BgL_auxz00_1346 = 
CDR(BgL_auxz00_1347); } 
BgL_arg1377z00_350 = 
CAR(BgL_auxz00_1346); } 
{ /* ./splitting.scm 26 */
obj_t BgL_list1382z00_352;
BgL_list1382z00_352 = 
MAKE_PAIR(BgL_arg1249z00_52, BNIL); 
BgL_arg1378z00_351 = BgL_list1382z00_352; } 
BgL_arg1373z00_349 = 
BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1377z00_350, BgL_arg1378z00_351); } 
SET_CAR(BgL_arg1372z00_348, BgL_arg1373z00_349); } } 
{ /* ./splitting.scm 27 */
obj_t BgL_arg1255z00_54;
BgL_arg1255z00_54 = 
CDR(BgL_subgoalsz00_1); 
{ 
obj_t BgL_splitzd2listszd2_1356;obj_t BgL_subgoalsz00_1355;
BgL_subgoalsz00_1355 = BgL_arg1255z00_54; 
BgL_splitzd2listszd2_1356 = 
CELL_REF(BgL_splitzd2listszd2_1280); 
BgL_splitzd2listszd2_2 = BgL_splitzd2listszd2_1356; 
BgL_subgoalsz00_1 = BgL_subgoalsz00_1355; 
goto BGl_splitzd2subgoalszd2zzsplittingz00;} } }  else 
{ /* ./splitting.scm 24 */
{ /* ./splitting.scm 30 */
obj_t BgL_auxz00_1281;
{ /* ./splitting.scm 30 */
obj_t BgL_lz00_391;
BgL_lz00_391 = BgL_matchingzd2listszd2_39; 
if(
PAIRP(BgL_lz00_391))
{ /* ./splitting.scm 30 */
obj_t BgL_arg1428z00_393;obj_t BgL_arg1429z00_394;
BgL_arg1428z00_393 = 
CAR(BgL_lz00_391); 
{ /* ./splitting.scm 30 */
obj_t BgL_arg1434z00_395;
BgL_arg1434z00_395 = 
CDR(BgL_lz00_391); 
BgL_arg1429z00_394 = 
BGl_listzd2subtractz72za0zzsplittingz00(BgL_splitzd2listszd2_1280, BgL_arg1434z00_395); } 
BgL_auxz00_1281 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1428z00_393, BgL_arg1429z00_394); }  else 
{ /* ./splitting.scm 30 */
BgL_auxz00_1281 = 
CELL_REF(BgL_splitzd2listszd2_1280); } } 
CELL_SET(BgL_splitzd2listszd2_1280, BgL_auxz00_1281); } 
{ /* ./splitting.scm 31 */
obj_t BgL_auxz00_1282;
{ /* ./splitting.scm 31 */
obj_t BgL_arg1260z00_55;
BgL_arg1260z00_55 = 
BGl_joinzd2splitzd2listsz00zzsplittingz00(BgL_matchingzd2listszd2_39); 
{ /* ./splitting.scm 31 */
obj_t BgL_auxz00_1364;
BgL_auxz00_1364 = 
CELL_REF(BgL_splitzd2listszd2_1280); 
BgL_auxz00_1282 = 
MAKE_PAIR(BgL_arg1260z00_55, BgL_auxz00_1364); } } 
CELL_SET(BgL_splitzd2listszd2_1280, BgL_auxz00_1282); } 
{ /* ./splitting.scm 32 */
obj_t BgL_arg1264z00_56;obj_t BgL_arg1266z00_57;
BgL_arg1264z00_56 = 
CAR(BgL_subgoalsz00_1); 
{ /* ./splitting.scm 32 */
obj_t BgL_pairz00_400;
BgL_pairz00_400 = 
CELL_REF(BgL_splitzd2listszd2_1280); 
BgL_arg1266z00_57 = 
CAR(BgL_pairz00_400); } 
{ /* ./splitting.scm 32 */
obj_t BgL_auxz00_1368;
BgL_auxz00_1368 = 
BGl_joinzd2listszd2zzsplittingz00(
CAR(BgL_arg1266z00_57), BgL_sgzd2varszd2_40); 
SET_CAR(BgL_arg1266z00_57, BgL_auxz00_1368); } 
{ /* ./splitting.scm 32 */
obj_t BgL_auxz00_1374;obj_t BgL_auxz00_1372;
{ /* ./splitting.scm 32 */
obj_t BgL_auxz00_1375;
{ /* ./splitting.scm 32 */
obj_t BgL_auxz00_1376;
BgL_auxz00_1376 = 
CDR(BgL_arg1266z00_57); 
BgL_auxz00_1375 = 
CAR(BgL_auxz00_1376); } 
BgL_auxz00_1374 = 
BGl_intersectzd2listszd2zzsplittingz00(BgL_auxz00_1375, BgL_sgzd2varszd2_40); } 
BgL_auxz00_1372 = 
CDR(BgL_arg1266z00_57); 
SET_CAR(BgL_auxz00_1372, BgL_auxz00_1374); } 
{ /* ./splitting.scm 32 */
obj_t BgL_arg1372z00_409;obj_t BgL_arg1373z00_410;
{ /* ./splitting.scm 32 */
obj_t BgL_auxz00_1381;
BgL_auxz00_1381 = 
CDR(BgL_arg1266z00_57); 
BgL_arg1372z00_409 = 
CDR(BgL_auxz00_1381); } 
{ /* ./splitting.scm 32 */
obj_t BgL_arg1377z00_411;obj_t BgL_arg1378z00_412;
{ /* ./splitting.scm 32 */
obj_t BgL_auxz00_1384;
{ /* ./splitting.scm 32 */
obj_t BgL_auxz00_1385;
BgL_auxz00_1385 = 
CDR(BgL_arg1266z00_57); 
BgL_auxz00_1384 = 
CDR(BgL_auxz00_1385); } 
BgL_arg1377z00_411 = 
CAR(BgL_auxz00_1384); } 
{ /* ./splitting.scm 32 */
obj_t BgL_list1382z00_413;
BgL_list1382z00_413 = 
MAKE_PAIR(BgL_arg1264z00_56, BNIL); 
BgL_arg1378z00_412 = BgL_list1382z00_413; } 
BgL_arg1373z00_410 = 
BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1377z00_411, BgL_arg1378z00_412); } 
SET_CAR(BgL_arg1372z00_409, BgL_arg1373z00_410); } } 
{ /* ./splitting.scm 33 */
obj_t BgL_arg1271z00_58;
BgL_arg1271z00_58 = 
CDR(BgL_subgoalsz00_1); 
{ 
obj_t BgL_splitzd2listszd2_1394;obj_t BgL_subgoalsz00_1393;
BgL_subgoalsz00_1393 = BgL_arg1271z00_58; 
BgL_splitzd2listszd2_1394 = 
CELL_REF(BgL_splitzd2listszd2_1280); 
BgL_splitzd2listszd2_2 = BgL_splitzd2listszd2_1394; 
BgL_subgoalsz00_1 = BgL_subgoalsz00_1393; 
goto BGl_splitzd2subgoalszd2zzsplittingz00;} } } } } }  else 
{ /* ./splitting.scm 17 */
return 
CELL_REF(BgL_splitzd2listszd2_1280);} } } 
}



/* list-subtract' */
obj_t BGl_listzd2subtractz72za0zzsplittingz00(obj_t BgL_splitzd2listszd2_1279, obj_t BgL_lz00_379)
{ AN_OBJECT;
{ /* ./splitting.scm 76 */
if(
PAIRP(BgL_lz00_379))
{ /* ./splitting.scm 30 */
obj_t BgL_arg1428z00_385;obj_t BgL_arg1429z00_386;
BgL_arg1428z00_385 = 
CAR(BgL_lz00_379); 
{ /* ./splitting.scm 30 */
obj_t BgL_arg1434z00_387;
BgL_arg1434z00_387 = 
CDR(BgL_lz00_379); 
BgL_arg1429z00_386 = 
BGl_listzd2subtractz72za0zzsplittingz00(BgL_splitzd2listszd2_1279, BgL_arg1434z00_387); } 
return 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1428z00_385, BgL_arg1429z00_386);}  else 
{ /* ./splitting.scm 30 */
return 
CELL_REF(BgL_splitzd2listszd2_1279);} } 
}



/* _split-subgoals */
obj_t BGl__splitzd2subgoalszd2zzsplittingz00(obj_t BgL_envz00_1260, obj_t BgL_subgoalsz00_1261, obj_t BgL_splitzd2listszd2_1262)
{ AN_OBJECT;
{ /* ./splitting.scm 16 */
return 
BGl_splitzd2subgoalszd2zzsplittingz00(BgL_subgoalsz00_1261, BgL_splitzd2listszd2_1262);} 
}



/* find-matching-split-lists */
obj_t BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00(obj_t BgL_varsz00_3, obj_t BgL_splitzd2listszd2_4)
{ AN_OBJECT;
{ /* ./splitting.scm 36 */
BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00:
if(
PAIRP(BgL_splitzd2listszd2_4))
{ /* ./splitting.scm 37 */
if(
PAIRP(BgL_varsz00_3))
{ /* ./splitting.scm 39 */
bool_t BgL_test1299z00_69;
{ /* ./splitting.scm 39 */
obj_t BgL_arg1314z00_74;
{ /* ./splitting.scm 39 */
obj_t BgL_auxz00_1406;
BgL_auxz00_1406 = 
CAR(BgL_splitzd2listszd2_4); 
BgL_arg1314z00_74 = 
CAR(BgL_auxz00_1406); } 
{ 
obj_t BgL_kz00_444;
{ /* ./splitting.scm 39 */
obj_t BgL_auxz00_1409;
BgL_kz00_444 = BgL_varsz00_3; 
BgL_nonemptyzd2intersectionzd2_443:
if(
PAIRP(BgL_kz00_444))
{ /* ./splitting.scm 39 */
bool_t BgL_testz00_1412;
{ /* ./splitting.scm 39 */
obj_t BgL_auxz00_1413;
BgL_auxz00_1413 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_kz00_444), BgL_arg1314z00_74); 
BgL_testz00_1412 = 
CBOOL(BgL_auxz00_1413); } 
if(BgL_testz00_1412)
{ /* ./splitting.scm 39 */
BgL_auxz00_1409 = 
CAR(BgL_kz00_444)
; }  else 
{ 
obj_t BgL_kz00_1418;
BgL_kz00_1418 = 
CDR(BgL_kz00_444); 
BgL_kz00_444 = BgL_kz00_1418; 
goto BgL_nonemptyzd2intersectionzd2_443;} }  else 
{ /* ./splitting.scm 39 */
BgL_auxz00_1409 = BFALSE
; } 
BgL_test1299z00_69 = 
CBOOL(BgL_auxz00_1409); } } } 
if(BgL_test1299z00_69)
{ /* ./splitting.scm 40 */
obj_t BgL_auxz00_1424;obj_t BgL_auxz00_1422;
BgL_auxz00_1424 = 
BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00(BgL_varsz00_3, 
CDR(BgL_splitzd2listszd2_4)); 
BgL_auxz00_1422 = 
CAR(BgL_splitzd2listszd2_4); 
return 
MAKE_PAIR(BgL_auxz00_1422, BgL_auxz00_1424);}  else 
{ 
obj_t BgL_splitzd2listszd2_1428;
BgL_splitzd2listszd2_1428 = 
CDR(BgL_splitzd2listszd2_4); 
BgL_splitzd2listszd2_4 = BgL_splitzd2listszd2_1428; 
goto BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00;} }  else 
{ /* ./splitting.scm 42 */
bool_t BgL_testz00_1430;
{ /* ./splitting.scm 42 */
obj_t BgL_auxz00_1431;
{ /* ./splitting.scm 42 */
obj_t BgL_auxz00_1432;
BgL_auxz00_1432 = 
CAR(BgL_splitzd2listszd2_4); 
BgL_auxz00_1431 = 
CAR(BgL_auxz00_1432); } 
BgL_testz00_1430 = 
NULLP(BgL_auxz00_1431); } 
if(BgL_testz00_1430)
{ /* ./splitting.scm 43 */
obj_t BgL_auxz00_1438;obj_t BgL_auxz00_1436;
BgL_auxz00_1438 = 
BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00(BgL_varsz00_3, 
CDR(BgL_splitzd2listszd2_4)); 
BgL_auxz00_1436 = 
CAR(BgL_splitzd2listszd2_4); 
return 
MAKE_PAIR(BgL_auxz00_1436, BgL_auxz00_1438);}  else 
{ 
obj_t BgL_splitzd2listszd2_1442;
BgL_splitzd2listszd2_1442 = 
CDR(BgL_splitzd2listszd2_4); 
BgL_splitzd2listszd2_4 = BgL_splitzd2listszd2_1442; 
goto BGl_findzd2matchingzd2splitzd2listszd2zzsplittingz00;} } }  else 
{ /* ./splitting.scm 37 */
return BNIL;} } 
}



/* join-lists */
obj_t BGl_joinzd2listszd2zzsplittingz00(obj_t BgL_kz00_10, obj_t BgL_lz00_11)
{ AN_OBJECT;
{ /* ./splitting.scm 62 */
BGl_joinzd2listszd2zzsplittingz00:
if(
PAIRP(BgL_lz00_11))
{ /* ./splitting.scm 63 */
bool_t BgL_testz00_1446;
{ /* ./splitting.scm 63 */
obj_t BgL_auxz00_1447;
BgL_auxz00_1447 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_lz00_11), BgL_kz00_10); 
BgL_testz00_1446 = 
CBOOL(BgL_auxz00_1447); } 
if(BgL_testz00_1446)
{ /* ./splitting.scm 63 */
obj_t BgL_arg1387z00_549;
BgL_arg1387z00_549 = 
CDR(BgL_lz00_11); 
if(
PAIRP(BgL_arg1387z00_549))
{ /* ./splitting.scm 63 */
bool_t BgL_testz00_1454;
{ /* ./splitting.scm 63 */
obj_t BgL_auxz00_1455;
BgL_auxz00_1455 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_arg1387z00_549), BgL_kz00_10); 
BgL_testz00_1454 = 
CBOOL(BgL_auxz00_1455); } 
if(BgL_testz00_1454)
{ 
obj_t BgL_lz00_1459;
BgL_lz00_1459 = 
CDR(BgL_arg1387z00_549); 
BgL_lz00_11 = BgL_lz00_1459; 
goto BGl_joinzd2listszd2zzsplittingz00;}  else 
{ /* ./splitting.scm 63 */
obj_t BgL_auxz00_1463;obj_t BgL_auxz00_1461;
BgL_auxz00_1463 = 
BGl_joinzd2listszd2zzsplittingz00(BgL_kz00_10, 
CDR(BgL_arg1387z00_549)); 
BgL_auxz00_1461 = 
CAR(BgL_arg1387z00_549); 
return 
MAKE_PAIR(BgL_auxz00_1461, BgL_auxz00_1463);} }  else 
{ /* ./splitting.scm 63 */
return BgL_kz00_10;} }  else 
{ /* ./splitting.scm 63 */
obj_t BgL_arg1391z00_550;obj_t BgL_arg1392z00_551;
BgL_arg1391z00_550 = 
CAR(BgL_lz00_11); 
{ /* ./splitting.scm 63 */
obj_t BgL_arg1397z00_552;
BgL_arg1397z00_552 = 
CDR(BgL_lz00_11); 
if(
PAIRP(BgL_arg1397z00_552))
{ /* ./splitting.scm 63 */
bool_t BgL_testz00_1471;
{ /* ./splitting.scm 63 */
obj_t BgL_auxz00_1472;
BgL_auxz00_1472 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_arg1397z00_552), BgL_kz00_10); 
BgL_testz00_1471 = 
CBOOL(BgL_auxz00_1472); } 
if(BgL_testz00_1471)
{ /* ./splitting.scm 63 */
BgL_arg1392z00_551 = 
BGl_joinzd2listszd2zzsplittingz00(BgL_kz00_10, 
CDR(BgL_arg1397z00_552)); }  else 
{ /* ./splitting.scm 63 */
obj_t BgL_auxz00_1480;obj_t BgL_auxz00_1478;
BgL_auxz00_1480 = 
BGl_joinzd2listszd2zzsplittingz00(BgL_kz00_10, 
CDR(BgL_arg1397z00_552)); 
BgL_auxz00_1478 = 
CAR(BgL_arg1397z00_552); 
BgL_arg1392z00_551 = 
MAKE_PAIR(BgL_auxz00_1478, BgL_auxz00_1480); } }  else 
{ /* ./splitting.scm 63 */
BgL_arg1392z00_551 = BgL_kz00_10; } } 
return 
MAKE_PAIR(BgL_arg1391z00_550, BgL_arg1392z00_551);} }  else 
{ /* ./splitting.scm 63 */
return BgL_kz00_10;} } 
}



/* intersect-lists */
obj_t BGl_intersectzd2listszd2zzsplittingz00(obj_t BgL_kz00_12, obj_t BgL_lz00_13)
{ AN_OBJECT;
{ /* ./splitting.scm 69 */
BGl_intersectzd2listszd2zzsplittingz00:
if(
PAIRP(BgL_lz00_13))
{ /* ./splitting.scm 70 */
bool_t BgL_testz00_1487;
{ /* ./splitting.scm 70 */
obj_t BgL_auxz00_1488;
BgL_auxz00_1488 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_lz00_13), BgL_kz00_12); 
BgL_testz00_1487 = 
CBOOL(BgL_auxz00_1488); } 
if(BgL_testz00_1487)
{ /* ./splitting.scm 70 */
obj_t BgL_arg1408z00_589;obj_t BgL_arg1409z00_590;
BgL_arg1408z00_589 = 
CAR(BgL_lz00_13); 
{ /* ./splitting.scm 70 */
obj_t BgL_arg1413z00_591;
BgL_arg1413z00_591 = 
CDR(BgL_lz00_13); 
if(
PAIRP(BgL_arg1413z00_591))
{ /* ./splitting.scm 70 */
bool_t BgL_testz00_1496;
{ /* ./splitting.scm 70 */
obj_t BgL_auxz00_1497;
BgL_auxz00_1497 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_arg1413z00_591), BgL_kz00_12); 
BgL_testz00_1496 = 
CBOOL(BgL_auxz00_1497); } 
if(BgL_testz00_1496)
{ /* ./splitting.scm 70 */
obj_t BgL_auxz00_1503;obj_t BgL_auxz00_1501;
BgL_auxz00_1503 = 
BGl_intersectzd2listszd2zzsplittingz00(BgL_kz00_12, 
CDR(BgL_arg1413z00_591)); 
BgL_auxz00_1501 = 
CAR(BgL_arg1413z00_591); 
BgL_arg1409z00_590 = 
MAKE_PAIR(BgL_auxz00_1501, BgL_auxz00_1503); }  else 
{ /* ./splitting.scm 70 */
BgL_arg1409z00_590 = 
BGl_intersectzd2listszd2zzsplittingz00(BgL_kz00_12, 
CDR(BgL_arg1413z00_591)); } }  else 
{ /* ./splitting.scm 70 */
BgL_arg1409z00_590 = BNIL; } } 
return 
MAKE_PAIR(BgL_arg1408z00_589, BgL_arg1409z00_590);}  else 
{ /* ./splitting.scm 70 */
obj_t BgL_arg1417z00_592;
BgL_arg1417z00_592 = 
CDR(BgL_lz00_13); 
if(
PAIRP(BgL_arg1417z00_592))
{ /* ./splitting.scm 70 */
bool_t BgL_testz00_1513;
{ /* ./splitting.scm 70 */
obj_t BgL_auxz00_1514;
BgL_auxz00_1514 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_arg1417z00_592), BgL_kz00_12); 
BgL_testz00_1513 = 
CBOOL(BgL_auxz00_1514); } 
if(BgL_testz00_1513)
{ /* ./splitting.scm 70 */
obj_t BgL_auxz00_1520;obj_t BgL_auxz00_1518;
BgL_auxz00_1520 = 
BGl_intersectzd2listszd2zzsplittingz00(BgL_kz00_12, 
CDR(BgL_arg1417z00_592)); 
BgL_auxz00_1518 = 
CAR(BgL_arg1417z00_592); 
return 
MAKE_PAIR(BgL_auxz00_1518, BgL_auxz00_1520);}  else 
{ 
obj_t BgL_lz00_1524;
BgL_lz00_1524 = 
CDR(BgL_arg1417z00_592); 
BgL_lz00_13 = BgL_lz00_1524; 
goto BGl_intersectzd2listszd2zzsplittingz00;} }  else 
{ /* ./splitting.scm 70 */
return BNIL;} } }  else 
{ /* ./splitting.scm 70 */
return BNIL;} } 
}



/* join-split-lists */
obj_t BGl_joinzd2splitzd2listsz00zzsplittingz00(obj_t BgL_lz00_16)
{ AN_OBJECT;
{ /* ./splitting.scm 81 */
if(
PAIRP(BgL_lz00_16))
{ /* ./splitting.scm 83 */
bool_t BgL_testz00_1528;
{ /* ./splitting.scm 83 */
obj_t BgL_auxz00_1529;
BgL_auxz00_1529 = 
CDR(BgL_lz00_16); 
BgL_testz00_1528 = 
PAIRP(BgL_auxz00_1529); } 
if(BgL_testz00_1528)
{ /* ./splitting.scm 84 */
obj_t BgL_arg1441z00_117;obj_t BgL_arg1442z00_118;
BgL_arg1441z00_117 = 
CAR(BgL_lz00_16); 
BgL_arg1442z00_118 = 
BGl_joinzd2splitzd2listsz00zzsplittingz00(
CDR(BgL_lz00_16)); 
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1535;
BgL_auxz00_1535 = 
BGl_joinzd2listszd2zzsplittingz00(
CAR(BgL_arg1441z00_117), 
CAR(BgL_arg1442z00_118)); 
SET_CAR(BgL_arg1441z00_117, BgL_auxz00_1535); } 
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1542;obj_t BgL_auxz00_1540;
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1547;obj_t BgL_auxz00_1543;
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1548;
BgL_auxz00_1548 = 
CDR(BgL_arg1442z00_118); 
BgL_auxz00_1547 = 
CAR(BgL_auxz00_1548); } 
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1544;
BgL_auxz00_1544 = 
CDR(BgL_arg1441z00_117); 
BgL_auxz00_1543 = 
CAR(BgL_auxz00_1544); } 
BgL_auxz00_1542 = 
BGl_intersectzd2listszd2zzsplittingz00(BgL_auxz00_1543, BgL_auxz00_1547); } 
BgL_auxz00_1540 = 
CDR(BgL_arg1441z00_117); 
SET_CAR(BgL_auxz00_1540, BgL_auxz00_1542); } 
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1557;obj_t BgL_auxz00_1553;
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1564;obj_t BgL_auxz00_1558;
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1565;
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1566;
BgL_auxz00_1566 = 
CDR(BgL_arg1442z00_118); 
BgL_auxz00_1565 = 
CDR(BgL_auxz00_1566); } 
BgL_auxz00_1564 = 
CAR(BgL_auxz00_1565); } 
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1559;
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1560;
BgL_auxz00_1560 = 
CDR(BgL_arg1441z00_117); 
BgL_auxz00_1559 = 
CDR(BgL_auxz00_1560); } 
BgL_auxz00_1558 = 
CAR(BgL_auxz00_1559); } 
BgL_auxz00_1557 = 
BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_1558, BgL_auxz00_1564); } 
{ /* ./splitting.scm 84 */
obj_t BgL_auxz00_1554;
BgL_auxz00_1554 = 
CDR(BgL_arg1441z00_117); 
BgL_auxz00_1553 = 
CDR(BgL_auxz00_1554); } 
SET_CAR(BgL_auxz00_1553, BgL_auxz00_1557); } 
return BgL_arg1441z00_117;}  else 
{ /* ./splitting.scm 83 */
return 
CAR(BgL_lz00_16);} }  else 
{ /* ./splitting.scm 86 */
obj_t BgL_list1455z00_121;
{ /* ./splitting.scm 86 */
obj_t BgL_arg1458z00_123;
{ /* ./splitting.scm 86 */
obj_t BgL_arg1462z00_125;
BgL_arg1462z00_125 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg1458z00_123 = 
MAKE_PAIR(BNIL, BgL_arg1462z00_125); } 
BgL_list1455z00_121 = 
MAKE_PAIR(BNIL, BgL_arg1458z00_123); } 
return BgL_list1455z00_121;} } 
}



/* new-splitlit-pair */
obj_t BGl_newzd2splitlitzd2pairz00zzsplittingz00(bool_t BgL_variablez00_20)
{ AN_OBJECT;
{ /* ./splitting.scm 107 */
{ /* ./splitting.scm 108 */
obj_t BgL_splitzd2predzd2_154;obj_t BgL_poszd2splitzd2sgz00_155;obj_t BgL_negzd2splitzd2sgz00_156;
{ /* ./splitting.scm 108 */
int BgL_auxz00_1576;
BgL_auxz00_1576 = 
(int)(((long)16)); 
BgL_splitzd2predzd2_154 = 
make_vector(BgL_auxz00_1576, BFALSE); } 
{ /* ./splitting.scm 108 */
obj_t BgL_vz00_219;
{ /* ./splitting.scm 108 */
int BgL_auxz00_1579;
BgL_auxz00_1579 = 
(int)(((long)9)); 
BgL_vz00_219 = 
make_vector(BgL_auxz00_1579, BFALSE); } 
{ 
obj_t BgL_auxz00_1584;int BgL_auxz00_1582;
BgL_auxz00_1584 = 
BINT(((long)0)); 
BgL_auxz00_1582 = 
(int)(((long)8)); 
VECTOR_SET(BgL_vz00_219,BgL_auxz00_1582,BgL_auxz00_1584); } 
BgL_poszd2splitzd2sgz00_155 = BgL_vz00_219; } 
{ /* ./splitting.scm 108 */
obj_t BgL_vz00_220;
{ /* ./splitting.scm 108 */
int BgL_auxz00_1587;
BgL_auxz00_1587 = 
(int)(((long)9)); 
BgL_vz00_220 = 
make_vector(BgL_auxz00_1587, BFALSE); } 
{ 
obj_t BgL_auxz00_1592;int BgL_auxz00_1590;
BgL_auxz00_1592 = 
BINT(((long)0)); 
BgL_auxz00_1590 = 
(int)(((long)8)); 
VECTOR_SET(BgL_vz00_220,BgL_auxz00_1590,BgL_auxz00_1592); } 
BgL_negzd2splitzd2sgz00_156 = BgL_vz00_220; } 
{ /* ./splitting.scm 109 */
obj_t BgL_arg1558z00_158;
BgL_arg1558z00_158 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_splitzd2prefixzd2zzsplittingz00, BEOA); 
{ 
int BgL_auxz00_1597;
BgL_auxz00_1597 = 
(int)(((long)0)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1597,BgL_arg1558z00_158); } } 
{ /* ./splitting.scm 110 */
long BgL_arg1564z00_160;
{ /* ./splitting.scm 110 */
long BgL_auxz00_1600;
BgL_auxz00_1600 = 
(long)CINT(BGl_nrzd2initialzd2predicatesz00zzparserz00); 
BgL_arg1564z00_160 = 
(BGl_splitlitzd2counterzd2zzsplittingz00+BgL_auxz00_1600); } 
{ 
obj_t BgL_auxz00_1605;int BgL_auxz00_1603;
BgL_auxz00_1605 = 
BINT(BgL_arg1564z00_160); 
BgL_auxz00_1603 = 
(int)(((long)2)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1603,BgL_auxz00_1605); } } 
{ /* ./splitting.scm 111 */
bool_t BgL_test1567z00_161;
{ /* ./splitting.scm 111 */
obj_t BgL_arg1571z00_162;
{ 
int BgL_auxz00_1608;
BgL_auxz00_1608 = 
(int)(((long)2)); 
BgL_arg1571z00_162 = 
VECTOR_REF(BgL_splitzd2predzd2_154,BgL_auxz00_1608); } 
{ /* ./splitting.scm 111 */
long BgL_auxz00_1613;long BgL_auxz00_1611;
BgL_auxz00_1613 = 
(long)CINT(BGl_pathzd2vectorzd2siza7eza7zzpathz00); 
BgL_auxz00_1611 = 
(long)CINT(BgL_arg1571z00_162); 
BgL_test1567z00_161 = 
(BgL_auxz00_1611>=BgL_auxz00_1613); } } 
if(BgL_test1567z00_161)
{ /* ./splitting.scm 111 */
BGl_enlargezd2pathzd2literalzd2vectorszd2zzpathz00(); }  else 
{ /* ./splitting.scm 111 */BFALSE; } } 
{ 
obj_t BgL_auxz00_1620;int BgL_auxz00_1618;
BgL_auxz00_1620 = 
BINT(((long)1)); 
BgL_auxz00_1618 = 
(int)(((long)3)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1618,BgL_auxz00_1620); } 
{ /* ./splitting.scm 114 */
obj_t BgL_arg1578z00_164;
{ /* ./splitting.scm 114 */
obj_t BgL_auxz00_1623;
BgL_auxz00_1623 = 
BINT(((long)0)); 
BgL_arg1578z00_164 = 
MAKE_PAIR(BgL_auxz00_1623, BNIL); } 
{ 
int BgL_auxz00_1626;
BgL_auxz00_1626 = 
(int)(((long)4)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1626,BgL_arg1578z00_164); } } 
{ /* ./splitting.scm 115 */
obj_t BgL_arg1585z00_166;
{ /* ./splitting.scm 115 */
obj_t BgL_auxz00_1629;
BgL_auxz00_1629 = 
BINT(((long)0)); 
BgL_arg1585z00_166 = 
MAKE_PAIR(BgL_auxz00_1629, BNIL); } 
{ 
int BgL_auxz00_1632;
BgL_auxz00_1632 = 
(int)(((long)5)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1632,BgL_arg1585z00_166); } } 
{ /* ./splitting.scm 116 */
obj_t BgL_arg1591z00_168;
{ /* ./splitting.scm 116 */
obj_t BgL_auxz00_1635;
BgL_auxz00_1635 = 
BINT(((long)0)); 
BgL_arg1591z00_168 = 
MAKE_PAIR(BgL_auxz00_1635, BNIL); } 
{ 
int BgL_auxz00_1638;
BgL_auxz00_1638 = 
(int)(((long)6)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1638,BgL_arg1591z00_168); } } 
{ /* ./splitting.scm 117 */
obj_t BgL_arg1598z00_170;
{ /* ./splitting.scm 117 */
obj_t BgL_auxz00_1641;
BgL_auxz00_1641 = 
BINT(((long)0)); 
BgL_arg1598z00_170 = 
MAKE_PAIR(BgL_auxz00_1641, BNIL); } 
{ 
int BgL_auxz00_1644;
BgL_auxz00_1644 = 
(int)(((long)7)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1644,BgL_arg1598z00_170); } } 
{ /* ./splitting.scm 118 */
obj_t BgL_arg1604z00_172;
{ /* ./splitting.scm 118 */
obj_t BgL_auxz00_1647;
BgL_auxz00_1647 = 
BINT(((long)0)); 
BgL_arg1604z00_172 = 
MAKE_PAIR(BgL_auxz00_1647, BNIL); } 
{ 
int BgL_auxz00_1650;
BgL_auxz00_1650 = 
(int)(((long)8)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1650,BgL_arg1604z00_172); } } 
{ /* ./splitting.scm 119 */
obj_t BgL_arg1609z00_174;
{ /* ./splitting.scm 119 */
obj_t BgL_auxz00_1653;
BgL_auxz00_1653 = 
BINT(((long)0)); 
BgL_arg1609z00_174 = 
MAKE_PAIR(BgL_auxz00_1653, BNIL); } 
{ 
int BgL_auxz00_1656;
BgL_auxz00_1656 = 
(int)(((long)9)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1656,BgL_arg1609z00_174); } } 
{ /* ./splitting.scm 120 */
obj_t BgL_arg1615z00_176;
{ /* ./splitting.scm 120 */
obj_t BgL_auxz00_1659;
BgL_auxz00_1659 = 
BINT(((long)0)); 
BgL_arg1615z00_176 = 
MAKE_PAIR(BgL_auxz00_1659, BNIL); } 
{ 
int BgL_auxz00_1662;
BgL_auxz00_1662 = 
(int)(((long)10)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1662,BgL_arg1615z00_176); } } 
{ /* ./splitting.scm 121 */
obj_t BgL_arg1621z00_178;
{ /* ./splitting.scm 121 */
obj_t BgL_auxz00_1665;
BgL_auxz00_1665 = 
BINT(((long)0)); 
BgL_arg1621z00_178 = 
MAKE_PAIR(BgL_auxz00_1665, BNIL); } 
{ 
int BgL_auxz00_1668;
BgL_auxz00_1668 = 
(int)(((long)11)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1668,BgL_arg1621z00_178); } } 
{ /* ./splitting.scm 122 */
obj_t BgL_arg1626z00_180;
{ /* ./splitting.scm 122 */
obj_t BgL_auxz00_1671;
BgL_auxz00_1671 = 
BINT(((long)0)); 
BgL_arg1626z00_180 = 
MAKE_PAIR(BgL_auxz00_1671, BNIL); } 
{ 
int BgL_auxz00_1674;
BgL_auxz00_1674 = 
(int)(((long)12)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1674,BgL_arg1626z00_180); } } 
{ /* ./splitting.scm 123 */
obj_t BgL_arg1632z00_182;
{ /* ./splitting.scm 123 */
obj_t BgL_auxz00_1677;
BgL_auxz00_1677 = 
BINT(((long)0)); 
BgL_arg1632z00_182 = 
MAKE_PAIR(BgL_auxz00_1677, BNIL); } 
{ 
int BgL_auxz00_1680;
BgL_auxz00_1680 = 
(int)(((long)13)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1680,BgL_arg1632z00_182); } } 
{ /* ./splitting.scm 124 */
obj_t BgL_arg1638z00_184;
{ /* ./splitting.scm 124 */
obj_t BgL_auxz00_1683;
BgL_auxz00_1683 = 
BINT(((long)0)); 
BgL_arg1638z00_184 = 
MAKE_PAIR(BgL_auxz00_1683, BNIL); } 
{ 
int BgL_auxz00_1686;
BgL_auxz00_1686 = 
(int)(((long)14)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1686,BgL_arg1638z00_184); } } 
{ /* ./splitting.scm 125 */
obj_t BgL_arg1644z00_186;
{ /* ./splitting.scm 125 */
obj_t BgL_auxz00_1689;
BgL_auxz00_1689 = 
BINT(((long)0)); 
BgL_arg1644z00_186 = 
MAKE_PAIR(BgL_auxz00_1689, BNIL); } 
{ 
int BgL_auxz00_1692;
BgL_auxz00_1692 = 
(int)(((long)15)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1692,BgL_arg1644z00_186); } } 
BGl_splitlitzd2counterzd2zzsplittingz00 = 
(BGl_splitlitzd2counterzd2zzsplittingz00+((long)1)); 
{ /* ./splitting.scm 127 */
long BgL_arg1651z00_188;
{ /* ./splitting.scm 127 */
obj_t BgL_arg1655z00_190;
{ 
int BgL_auxz00_1696;
BgL_auxz00_1696 = 
(int)(((long)8)); 
BgL_arg1655z00_190 = 
VECTOR_REF(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1696); } 
{ /* ./splitting.scm 127 */
long BgL_auxz00_1699;
BgL_auxz00_1699 = 
(long)CINT(BgL_arg1655z00_190); 
BgL_arg1651z00_188 = 
(((long)256) | BgL_auxz00_1699); } } 
{ 
obj_t BgL_auxz00_1704;int BgL_auxz00_1702;
BgL_auxz00_1704 = 
BINT(BgL_arg1651z00_188); 
BgL_auxz00_1702 = 
(int)(((long)8)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1702,BgL_auxz00_1704); } } 
{ /* ./splitting.scm 128 */
long BgL_arg1662z00_192;
{ /* ./splitting.scm 128 */
obj_t BgL_arg1666z00_194;
{ 
int BgL_auxz00_1707;
BgL_auxz00_1707 = 
(int)(((long)8)); 
BgL_arg1666z00_194 = 
VECTOR_REF(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1707); } 
{ /* ./splitting.scm 128 */
long BgL_auxz00_1710;
BgL_auxz00_1710 = 
(long)CINT(BgL_arg1666z00_194); 
BgL_arg1662z00_192 = 
(((long)256) | BgL_auxz00_1710); } } 
{ 
obj_t BgL_auxz00_1715;int BgL_auxz00_1713;
BgL_auxz00_1715 = 
BINT(BgL_arg1662z00_192); 
BgL_auxz00_1713 = 
(int)(((long)8)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1713,BgL_auxz00_1715); } } 
if(BgL_variablez00_20)
{ /* ./splitting.scm 129 */
{ 
obj_t BgL_auxz00_1721;int BgL_auxz00_1719;
BgL_auxz00_1721 = 
BINT(((long)1)); 
BgL_auxz00_1719 = 
(int)(((long)1)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1719,BgL_auxz00_1721); } 
{ /* ./splitting.scm 132 */
obj_t BgL_arg1673z00_196;
{ /* ./splitting.scm 132 */
obj_t BgL_list1676z00_197;
{ /* ./splitting.scm 132 */
obj_t BgL_auxz00_1724;
BgL_auxz00_1724 = 
BBOOL(BgL_variablez00_20); 
BgL_list1676z00_197 = 
MAKE_PAIR(BgL_auxz00_1724, BNIL); } 
BgL_arg1673z00_196 = BgL_list1676z00_197; } 
{ 
int BgL_auxz00_1727;
BgL_auxz00_1727 = 
(int)(((long)2)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1727,BgL_arg1673z00_196); } } 
{ /* ./splitting.scm 133 */
obj_t BgL_arg1680z00_199;
{ /* ./splitting.scm 133 */
obj_t BgL_list1683z00_200;
{ /* ./splitting.scm 133 */
obj_t BgL_auxz00_1730;
BgL_auxz00_1730 = 
BBOOL(BgL_variablez00_20); 
BgL_list1683z00_200 = 
MAKE_PAIR(BgL_auxz00_1730, BNIL); } 
BgL_arg1680z00_199 = BgL_list1683z00_200; } 
{ 
int BgL_auxz00_1733;
BgL_auxz00_1733 = 
(int)(((long)2)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1733,BgL_arg1680z00_199); } } }  else 
{ /* ./splitting.scm 129 */
{ 
obj_t BgL_auxz00_1738;int BgL_auxz00_1736;
BgL_auxz00_1738 = 
BINT(((long)0)); 
BgL_auxz00_1736 = 
(int)(((long)1)); 
VECTOR_SET(BgL_splitzd2predzd2_154,BgL_auxz00_1736,BgL_auxz00_1738); } 
{ 
int BgL_auxz00_1741;
BgL_auxz00_1741 = 
(int)(((long)2)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1741,BNIL); } 
{ 
int BgL_auxz00_1744;
BgL_auxz00_1744 = 
(int)(((long)2)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1744,BNIL); } } 
{ /* ./splitting.scm 138 */
long BgL_arg1692z00_203;
{ /* ./splitting.scm 138 */
obj_t BgL_arg1697z00_205;
{ 
int BgL_auxz00_1747;
BgL_auxz00_1747 = 
(int)(((long)8)); 
BgL_arg1697z00_205 = 
VECTOR_REF(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1747); } 
{ /* ./splitting.scm 138 */
long BgL_auxz00_1750;
BgL_auxz00_1750 = 
(long)CINT(BgL_arg1697z00_205); 
BgL_arg1692z00_203 = 
(((long)1) | BgL_auxz00_1750); } } 
{ 
obj_t BgL_auxz00_1755;int BgL_auxz00_1753;
BgL_auxz00_1755 = 
BINT(BgL_arg1692z00_203); 
BgL_auxz00_1753 = 
(int)(((long)8)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1753,BgL_auxz00_1755); } } 
{ /* ./splitting.scm 139 */
long BgL_arg1726z00_216;
{ /* ./splitting.scm 139 */
obj_t BgL_arg1730z00_218;
{ 
int BgL_auxz00_1758;
BgL_auxz00_1758 = 
(int)(((long)8)); 
BgL_arg1730z00_218 = 
VECTOR_REF(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1758); } 
{ /* ./splitting.scm 139 */
long BgL_auxz00_1761;
BgL_auxz00_1761 = 
(long)CINT(BgL_arg1730z00_218); 
BgL_arg1726z00_216 = 
(((long)-2) & BgL_auxz00_1761); } } 
{ 
obj_t BgL_auxz00_1766;int BgL_auxz00_1764;
BgL_auxz00_1766 = 
BINT(BgL_arg1726z00_216); 
BgL_auxz00_1764 = 
(int)(((long)8)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1764,BgL_auxz00_1766); } } 
{ 
int BgL_auxz00_1769;
BgL_auxz00_1769 = 
(int)(((long)1)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1769,BgL_splitzd2predzd2_154); } 
{ 
int BgL_auxz00_1772;
BgL_auxz00_1772 = 
(int)(((long)1)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1772,BgL_splitzd2predzd2_154); } 
if(
CBOOL(BGl_complexityzd2measurezd2zzglobalsz00))
{ /* ./splitting.scm 142 */
{ 
obj_t BgL_auxz00_1779;int BgL_auxz00_1777;
BgL_auxz00_1779 = 
BINT(((long)1000)); 
BgL_auxz00_1777 = 
(int)(((long)5)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1777,BgL_auxz00_1779); } 
{ 
obj_t BgL_auxz00_1784;int BgL_auxz00_1782;
BgL_auxz00_1784 = 
BINT(((long)1000)); 
BgL_auxz00_1782 = 
(int)(((long)5)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1782,BgL_auxz00_1784); } }  else 
{ /* ./splitting.scm 142 */
{ 
obj_t BgL_auxz00_1789;int BgL_auxz00_1787;
BgL_auxz00_1789 = 
BINT(((long)0)); 
BgL_auxz00_1787 = 
(int)(((long)5)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1787,BgL_auxz00_1789); } 
{ 
obj_t BgL_auxz00_1794;int BgL_auxz00_1792;
BgL_auxz00_1794 = 
BINT(((long)0)); 
BgL_auxz00_1792 = 
(int)(((long)5)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1792,BgL_auxz00_1794); } } 
{ 
int BgL_auxz00_1797;
BgL_auxz00_1797 = 
(int)(((long)3)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1797,BNIL); } 
{ 
int BgL_auxz00_1800;
BgL_auxz00_1800 = 
(int)(((long)3)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1800,BNIL); } 
{ 
int BgL_auxz00_1803;
BgL_auxz00_1803 = 
(int)(((long)6)); 
VECTOR_SET(BgL_poszd2splitzd2sgz00_155,BgL_auxz00_1803,BgL_negzd2splitzd2sgz00_156); } 
{ 
int BgL_auxz00_1806;
BgL_auxz00_1806 = 
(int)(((long)6)); 
VECTOR_SET(BgL_negzd2splitzd2sgz00_156,BgL_auxz00_1806,BgL_poszd2splitzd2sgz00_155); } 
return 
MAKE_PAIR(BgL_poszd2splitzd2sgz00_155, BgL_negzd2splitzd2sgz00_156);} } 
}



/* move-special-split-list-to-front */
BGL_EXPORTED_DEF obj_t BGl_movezd2specialzd2splitzd2listzd2tozd2frontzd2zzsplittingz00(obj_t BgL_subgoalz00_21, obj_t BgL_splitzd2listszd2_22)
{ AN_OBJECT;
{ /* ./splitting.scm 156 */
{ /* ./splitting.scm 157 */
bool_t BgL_test1750z00_930;
if(
CBOOL(BgL_subgoalz00_21))
{ /* ./splitting.scm 157 */
BgL_test1750z00_930 = 
PAIRP(BgL_splitzd2listszd2_22); }  else 
{ /* ./splitting.scm 157 */
BgL_test1750z00_930 = ((bool_t)0); } 
if(BgL_test1750z00_930)
{ /* ./splitting.scm 157 */
bool_t BgL_testz00_1814;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1815;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1816;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1817;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1818;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1819;
BgL_auxz00_1819 = 
CAR(BgL_splitzd2listszd2_22); 
BgL_auxz00_1818 = 
CDR(BgL_auxz00_1819); } 
BgL_auxz00_1817 = 
CDR(BgL_auxz00_1818); } 
BgL_auxz00_1816 = 
CAR(BgL_auxz00_1817); } 
BgL_auxz00_1815 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_subgoalz00_21, BgL_auxz00_1816); } 
BgL_testz00_1814 = 
CBOOL(BgL_auxz00_1815); } 
if(BgL_testz00_1814)
{ /* ./splitting.scm 157 */
return BgL_splitzd2listszd2_22;}  else 
{ /* ./splitting.scm 157 */
obj_t BgL_tmpz00_934;
{ /* ./splitting.scm 157 */
obj_t BgL_arg1758z00_935;
BgL_arg1758z00_935 = 
CDR(BgL_splitzd2listszd2_22); 
{ 
obj_t BgL_splitzd2listszd2_947;
BgL_splitzd2listszd2_947 = BgL_arg1758z00_935; 
BgL_findzd2specialzd2splitzd2listzd2_946:
if(
PAIRP(BgL_splitzd2listszd2_947))
{ /* ./splitting.scm 157 */
bool_t BgL_testz00_1829;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1830;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1831;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1832;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1833;
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1834;
BgL_auxz00_1834 = 
CAR(BgL_splitzd2listszd2_947); 
BgL_auxz00_1833 = 
CDR(BgL_auxz00_1834); } 
BgL_auxz00_1832 = 
CDR(BgL_auxz00_1833); } 
BgL_auxz00_1831 = 
CAR(BgL_auxz00_1832); } 
BgL_auxz00_1830 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_subgoalz00_21, BgL_auxz00_1831); } 
BgL_testz00_1829 = 
CBOOL(BgL_auxz00_1830); } 
if(BgL_testz00_1829)
{ /* ./splitting.scm 157 */
BgL_tmpz00_934 = 
CAR(BgL_splitzd2listszd2_947); }  else 
{ 
obj_t BgL_splitzd2listszd2_1842;
BgL_splitzd2listszd2_1842 = 
CDR(BgL_splitzd2listszd2_947); 
BgL_splitzd2listszd2_947 = BgL_splitzd2listszd2_1842; 
goto BgL_findzd2specialzd2splitzd2listzd2_946;} }  else 
{ /* ./splitting.scm 157 */
BgL_tmpz00_934 = BFALSE; } } } 
if(
CBOOL(BgL_tmpz00_934))
{ /* ./splitting.scm 157 */
obj_t BgL_auxz00_1846;
BgL_auxz00_1846 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_tmpz00_934, BgL_splitzd2listszd2_22); 
return 
MAKE_PAIR(BgL_tmpz00_934, BgL_auxz00_1846);}  else 
{ /* ./splitting.scm 157 */
return BgL_splitzd2listszd2_22;} } }  else 
{ /* ./splitting.scm 157 */
return BgL_splitzd2listszd2_22;} } } 
}



/* _move-special-split-list-to-front */
obj_t BGl__movezd2specialzd2splitzd2listzd2tozd2frontzd2zzsplittingz00(obj_t BgL_envz00_1263, obj_t BgL_subgoalz00_1264, obj_t BgL_splitzd2listszd2_1265)
{ AN_OBJECT;
{ /* ./splitting.scm 156 */
return 
BGl_movezd2specialzd2splitzd2listzd2tozd2frontzd2zzsplittingz00(BgL_subgoalz00_1264, BgL_splitzd2listszd2_1265);} 
}



/* move-special-split-list-to-rear */
BGL_EXPORTED_DEF obj_t BGl_movezd2specialzd2splitzd2listzd2tozd2rearzd2zzsplittingz00(obj_t BgL_subgoalz00_25, obj_t BgL_splitzd2listszd2_26)
{ AN_OBJECT;
{ /* ./splitting.scm 173 */
{ /* ./splitting.scm 174 */
bool_t BgL_test1786z00_1000;
if(
CBOOL(BgL_subgoalz00_25))
{ /* ./splitting.scm 174 */
BgL_test1786z00_1000 = 
PAIRP(BgL_splitzd2listszd2_26); }  else 
{ /* ./splitting.scm 174 */
BgL_test1786z00_1000 = ((bool_t)0); } 
if(BgL_test1786z00_1000)
{ /* ./splitting.scm 174 */
bool_t BgL_testz00_1854;
{ /* ./splitting.scm 174 */
obj_t BgL_auxz00_1855;
BgL_auxz00_1855 = 
CDR(BgL_splitzd2listszd2_26); 
BgL_testz00_1854 = 
PAIRP(BgL_auxz00_1855); } 
if(BgL_testz00_1854)
{ /* ./splitting.scm 174 */
return 
BGl_extractzd2andzd2appendzd2splitzd2listz00zzsplittingz00(BgL_subgoalz00_25, BgL_splitzd2listszd2_26);}  else 
{ /* ./splitting.scm 174 */
return BgL_splitzd2listszd2_26;} }  else 
{ /* ./splitting.scm 174 */
return BgL_splitzd2listszd2_26;} } } 
}



/* _move-special-split-list-to-rear */
obj_t BGl__movezd2specialzd2splitzd2listzd2tozd2rearzd2zzsplittingz00(obj_t BgL_envz00_1266, obj_t BgL_subgoalz00_1267, obj_t BgL_splitzd2listszd2_1268)
{ AN_OBJECT;
{ /* ./splitting.scm 173 */
return 
BGl_movezd2specialzd2splitzd2listzd2tozd2rearzd2zzsplittingz00(BgL_subgoalz00_1267, BgL_splitzd2listszd2_1268);} 
}



/* extract-and-append-split-list */
obj_t BGl_extractzd2andzd2appendzd2splitzd2listz00zzsplittingz00(obj_t BgL_subgoalz00_27, obj_t BgL_splitzd2listszd2_28)
{ AN_OBJECT;
{ /* ./splitting.scm 180 */
if(
PAIRP(BgL_splitzd2listszd2_28))
{ /* ./splitting.scm 182 */
bool_t BgL_testz00_1862;
{ /* ./splitting.scm 182 */
obj_t BgL_auxz00_1863;
{ /* ./splitting.scm 182 */
obj_t BgL_auxz00_1864;
{ /* ./splitting.scm 182 */
obj_t BgL_auxz00_1865;
{ /* ./splitting.scm 182 */
obj_t BgL_auxz00_1866;
{ /* ./splitting.scm 182 */
obj_t BgL_auxz00_1867;
BgL_auxz00_1867 = 
CAR(BgL_splitzd2listszd2_28); 
BgL_auxz00_1866 = 
CDR(BgL_auxz00_1867); } 
BgL_auxz00_1865 = 
CDR(BgL_auxz00_1866); } 
BgL_auxz00_1864 = 
CAR(BgL_auxz00_1865); } 
BgL_auxz00_1863 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_subgoalz00_27, BgL_auxz00_1864); } 
BgL_testz00_1862 = 
CBOOL(BgL_auxz00_1863); } 
if(BgL_testz00_1862)
{ /* ./splitting.scm 183 */
bool_t BgL_testz00_1874;
{ /* ./splitting.scm 183 */
obj_t BgL_auxz00_1875;
BgL_auxz00_1875 = 
CDR(BgL_splitzd2listszd2_28); 
BgL_testz00_1874 = 
PAIRP(BgL_auxz00_1875); } 
if(BgL_testz00_1874)
{ /* ./splitting.scm 184 */
obj_t BgL_tmpz00_239;
BgL_tmpz00_239 = 
CAR(BgL_splitzd2listszd2_28); 
{ /* ./splitting.scm 185 */
obj_t BgL_auxz00_1879;
{ /* ./splitting.scm 185 */
obj_t BgL_auxz00_1880;
BgL_auxz00_1880 = 
CDR(BgL_splitzd2listszd2_28); 
BgL_auxz00_1879 = 
CAR(BgL_auxz00_1880); } 
SET_CAR(BgL_splitzd2listszd2_28, BgL_auxz00_1879); } 
{ /* ./splitting.scm 186 */
obj_t BgL_auxz00_1884;
{ /* ./splitting.scm 186 */
obj_t BgL_auxz00_1885;
BgL_auxz00_1885 = 
CDR(BgL_splitzd2listszd2_28); 
BgL_auxz00_1884 = 
CDR(BgL_auxz00_1885); } 
SET_CDR(BgL_splitzd2listszd2_28, BgL_auxz00_1884); } 
{ /* ./splitting.scm 187 */
obj_t BgL_arg1811z00_242;
BgL_arg1811z00_242 = 
MAKE_PAIR(BgL_tmpz00_239, BNIL); 
BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_splitzd2listszd2_28, BgL_arg1811z00_242); } 
return BgL_splitzd2listszd2_28;}  else 
{ /* ./splitting.scm 183 */
return BgL_splitzd2listszd2_28;} }  else 
{ /* ./splitting.scm 182 */
BGl_extractzd2andzd2appendzd2splitzd2listz00zzsplittingz00(BgL_subgoalz00_27, 
CDR(BgL_splitzd2listszd2_28)); 
return BgL_splitzd2listszd2_28;} }  else 
{ /* ./splitting.scm 181 */
return BgL_splitzd2listszd2_28;} } 
}



/* insert-splitlit-in-subgoals */
obj_t BGl_insertzd2splitlitzd2inzd2subgoalszd2zzsplittingz00(obj_t BgL_subgoalsz00_29, obj_t BgL_splitzd2litzd2_30)
{ AN_OBJECT;
{ /* ./splitting.scm 195 */
if(
PAIRP(BgL_subgoalsz00_29))
{ /* ./splitting.scm 196 */
{ /* ./splitting.scm 198 */
bool_t BgL_test1834z00_248;
{ /* ./splitting.scm 198 */
obj_t BgL_arg1857z00_256;
BgL_arg1857z00_256 = 
CAR(BgL_subgoalsz00_29); 
{ /* ./splitting.scm 198 */
obj_t BgL_auxz00_1896;
BgL_auxz00_1896 = 
BGl_signzd2predsymze3z31zzsubsumptionz00(BgL_arg1857z00_256, BgL_splitzd2litzd2_30); 
BgL_test1834z00_248 = 
CBOOL(BgL_auxz00_1896); } } 
if(BgL_test1834z00_248)
{ /* ./splitting.scm 199 */
obj_t BgL_tmpz00_249;
{ /* ./splitting.scm 199 */
obj_t BgL_auxz00_1902;obj_t BgL_auxz00_1900;
BgL_auxz00_1902 = 
CDR(BgL_subgoalsz00_29); 
BgL_auxz00_1900 = 
CAR(BgL_subgoalsz00_29); 
BgL_tmpz00_249 = 
MAKE_PAIR(BgL_auxz00_1900, BgL_auxz00_1902); } 
SET_CAR(BgL_subgoalsz00_29, BgL_splitzd2litzd2_30); 
SET_CDR(BgL_subgoalsz00_29, BgL_tmpz00_249); }  else 
{ /* ./splitting.scm 202 */
bool_t BgL_testz00_1907;
{ /* ./splitting.scm 202 */
obj_t BgL_auxz00_1908;
BgL_auxz00_1908 = 
CDR(BgL_subgoalsz00_29); 
BgL_testz00_1907 = 
PAIRP(BgL_auxz00_1908); } 
if(BgL_testz00_1907)
{ /* ./splitting.scm 202 */
BGl_insertzd2splitlitzd2inzd2subgoalszd2zzsplittingz00(
CDR(BgL_subgoalsz00_29), BgL_splitzd2litzd2_30); }  else 
{ /* ./splitting.scm 204 */
obj_t BgL_arg1849z00_254;
BgL_arg1849z00_254 = 
MAKE_PAIR(BgL_splitzd2litzd2_30, BNIL); 
SET_CDR(BgL_subgoalsz00_29, BgL_arg1849z00_254); } } } 
return BgL_subgoalsz00_29;}  else 
{ /* ./splitting.scm 196 */
return 
MAKE_PAIR(BgL_splitzd2litzd2_30, BNIL);} } 
}



/* split-lists-to-clauses */
BGL_EXPORTED_DEF obj_t BGl_splitzd2listszd2tozd2clauseszd2zzsplittingz00(obj_t BgL_splitzd2listszd2_31, obj_t BgL_depthz00_32, obj_t BgL_splitzd2litzd2_33)
{ AN_OBJECT;
{ /* ./splitting.scm 208 */
if(
PAIRP(BgL_splitzd2listszd2_31))
{ /* ./splitting.scm 210 */
obj_t BgL_clz00_258;
{ /* ./splitting.scm 210 */
obj_t BgL_vz00_302;
{ /* ./splitting.scm 210 */
int BgL_auxz00_1918;
BgL_auxz00_1918 = 
(int)(((long)8)); 
BgL_vz00_302 = 
make_vector(BgL_auxz00_1918, BFALSE); } 
{ 
obj_t BgL_auxz00_1923;int BgL_auxz00_1921;
BgL_auxz00_1923 = 
BINT(((long)0)); 
BgL_auxz00_1921 = 
(int)(((long)7)); 
VECTOR_SET(BgL_vz00_302,BgL_auxz00_1921,BgL_auxz00_1923); } 
BgL_clz00_258 = BgL_vz00_302; } 
{ 
int BgL_auxz00_1926;
BgL_auxz00_1926 = 
(int)(((long)1)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1926,BNIL); } 
if(
CBOOL(BGl_preprocessingz00zzglobalsz00))
{ /* ./splitting.scm 213 */
long BgL_arg1866z00_260;
{ /* ./splitting.scm 213 */
obj_t BgL_arg1871z00_262;
{ 
int BgL_auxz00_1931;
BgL_auxz00_1931 = 
(int)(((long)7)); 
BgL_arg1871z00_262 = 
VECTOR_REF(BgL_clz00_258,BgL_auxz00_1931); } 
{ /* ./splitting.scm 213 */
long BgL_auxz00_1934;
BgL_auxz00_1934 = 
(long)CINT(BgL_arg1871z00_262); 
BgL_arg1866z00_260 = 
(((long)2) | BgL_auxz00_1934); } } 
{ 
obj_t BgL_auxz00_1939;int BgL_auxz00_1937;
BgL_auxz00_1939 = 
BINT(BgL_arg1866z00_260); 
BgL_auxz00_1937 = 
(int)(((long)7)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1937,BgL_auxz00_1939); } }  else 
{ /* ./splitting.scm 212 */BFALSE; } 
{ 
obj_t BgL_auxz00_1944;int BgL_auxz00_1942;
{ /* ./splitting.scm 214 */
obj_t BgL_auxz00_1945;
BgL_auxz00_1945 = 
CAR(BgL_splitzd2listszd2_31); 
BgL_auxz00_1944 = 
CAR(BgL_auxz00_1945); } 
BgL_auxz00_1942 = 
(int)(((long)2)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1942,BgL_auxz00_1944); } 
if(
CBOOL(BgL_splitzd2litzd2_33))
{ /* ./splitting.scm 215 */
{ 
obj_t BgL_auxz00_1953;int BgL_auxz00_1951;
{ /* ./splitting.scm 217 */
obj_t BgL_auxz00_1954;
{ /* ./splitting.scm 217 */
obj_t BgL_auxz00_1955;
{ /* ./splitting.scm 217 */
obj_t BgL_auxz00_1956;
{ /* ./splitting.scm 217 */
obj_t BgL_auxz00_1957;
BgL_auxz00_1957 = 
CAR(BgL_splitzd2listszd2_31); 
BgL_auxz00_1956 = 
CDR(BgL_auxz00_1957); } 
BgL_auxz00_1955 = 
CDR(BgL_auxz00_1956); } 
BgL_auxz00_1954 = 
CAR(BgL_auxz00_1955); } 
BgL_auxz00_1953 = 
BGl_insertzd2splitlitzd2inzd2subgoalszd2zzsplittingz00(BgL_auxz00_1954, BgL_splitzd2litzd2_33); } 
BgL_auxz00_1951 = 
(int)(((long)0)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1951,BgL_auxz00_1953); } 
if(
CBOOL(BGl_preprocessingz00zzglobalsz00))
{ /* ./splitting.scm 218 */BFALSE; }  else 
{ /* ./splitting.scm 218 */
{ 
obj_t BgL_auxz00_1968;int BgL_auxz00_1966;
{ 
int BgL_auxz00_1969;
BgL_auxz00_1969 = 
(int)(((long)6)); 
BgL_auxz00_1968 = 
VECTOR_REF(BgL_splitzd2litzd2_33,BgL_auxz00_1969); } 
BgL_auxz00_1966 = 
(int)(((long)3)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1966,BgL_auxz00_1968); } 
{ 
int BgL_auxz00_1973;
BgL_auxz00_1973 = 
(int)(((long)6)); 
VECTOR_SET(BgL_splitzd2litzd2_33,BgL_auxz00_1973,BFALSE); } } }  else 
{ 
obj_t BgL_auxz00_1978;int BgL_auxz00_1976;
{ /* ./splitting.scm 222 */
obj_t BgL_auxz00_1979;
{ /* ./splitting.scm 222 */
obj_t BgL_auxz00_1980;
{ /* ./splitting.scm 222 */
obj_t BgL_auxz00_1981;
BgL_auxz00_1981 = 
CAR(BgL_splitzd2listszd2_31); 
BgL_auxz00_1980 = 
CDR(BgL_auxz00_1981); } 
BgL_auxz00_1979 = 
CDR(BgL_auxz00_1980); } 
BgL_auxz00_1978 = 
CAR(BgL_auxz00_1979); } 
BgL_auxz00_1976 = 
(int)(((long)0)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1976,BgL_auxz00_1978); } 
{ 
int BgL_auxz00_1987;
BgL_auxz00_1987 = 
(int)(((long)5)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1987,BgL_depthz00_32); } 
{ /* ./splitting.scm 224 */
long BgL_arg1904z00_273;
{ /* ./splitting.scm 224 */
obj_t BgL_auxz00_1990;
{ 
int BgL_auxz00_1991;
BgL_auxz00_1991 = 
(int)(((long)0)); 
BgL_auxz00_1990 = 
VECTOR_REF(BgL_clz00_258,BgL_auxz00_1991); } 
BgL_arg1904z00_273 = 
bgl_list_length(BgL_auxz00_1990); } 
{ 
obj_t BgL_auxz00_1997;int BgL_auxz00_1995;
BgL_auxz00_1997 = 
BINT(BgL_arg1904z00_273); 
BgL_auxz00_1995 = 
(int)(((long)6)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_1995,BgL_auxz00_1997); } } 
{ /* ./splitting.scm 225 */
bool_t BgL_testz00_2000;
{ /* ./splitting.scm 225 */
obj_t BgL_auxz00_2001;
BgL_auxz00_2001 = 
CDR(BgL_splitzd2listszd2_31); 
BgL_testz00_2000 = 
PAIRP(BgL_auxz00_2001); } 
if(BgL_testz00_2000)
{ /* ./splitting.scm 226 */
obj_t BgL_newzd2splitzd2litsz00_276;obj_t BgL_tmpzd2resultzd2_277;
BgL_newzd2splitzd2litsz00_276 = 
BGl_newzd2splitlitzd2pairz00zzsplittingz00(((bool_t)0)); 
BgL_tmpzd2resultzd2_277 = BUNSPEC; 
{ 
obj_t BgL_auxz00_2007;int BgL_auxz00_2005;
{ /* ./splitting.scm 227 */
obj_t BgL_auxz00_2008;
{ 
int BgL_auxz00_2009;
BgL_auxz00_2009 = 
(int)(((long)0)); 
BgL_auxz00_2008 = 
VECTOR_REF(BgL_clz00_258,BgL_auxz00_2009); } 
BgL_auxz00_2007 = 
BGl_insertzd2splitlitzd2inzd2subgoalszd2zzsplittingz00(BgL_auxz00_2008, 
CAR(BgL_newzd2splitzd2litsz00_276)); } 
BgL_auxz00_2005 = 
(int)(((long)0)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_2005,BgL_auxz00_2007); } 
{ /* ./splitting.scm 228 */
long BgL_arg1929z00_283;
{ /* ./splitting.scm 228 */
obj_t BgL_auxz00_2015;
{ 
int BgL_auxz00_2016;
BgL_auxz00_2016 = 
(int)(((long)0)); 
BgL_auxz00_2015 = 
VECTOR_REF(BgL_clz00_258,BgL_auxz00_2016); } 
BgL_arg1929z00_283 = 
bgl_list_length(BgL_auxz00_2015); } 
{ 
obj_t BgL_auxz00_2022;int BgL_auxz00_2020;
BgL_auxz00_2022 = 
BINT(BgL_arg1929z00_283); 
BgL_auxz00_2020 = 
(int)(((long)6)); 
VECTOR_SET(BgL_clz00_258,BgL_auxz00_2020,BgL_auxz00_2022); } } 
{ /* ./splitting.scm 229 */
obj_t BgL_arg1936z00_285;long BgL_arg1938z00_286;obj_t BgL_arg1939z00_287;
BgL_arg1936z00_285 = 
CDR(BgL_splitzd2listszd2_31); 
{ /* ./splitting.scm 229 */
long BgL_auxz00_2026;
BgL_auxz00_2026 = 
(long)CINT(BgL_depthz00_32); 
BgL_arg1938z00_286 = 
(BgL_auxz00_2026+((long)1)); } 
BgL_arg1939z00_287 = 
CDR(BgL_newzd2splitzd2litsz00_276); 
BgL_tmpzd2resultzd2_277 = 
BGl_splitzd2listszd2tozd2clauseszd2zzsplittingz00(BgL_arg1936z00_285, 
BINT(BgL_arg1938z00_286), BgL_arg1939z00_287); } 
if(
CBOOL(BGl_preprocessingz00zzglobalsz00))
{ /* ./splitting.scm 230 */
{ 
int BgL_auxz00_2036;obj_t BgL_auxz00_2034;
BgL_auxz00_2036 = 
(int)(((long)3)); 
BgL_auxz00_2034 = 
CAR(BgL_newzd2splitzd2litsz00_276); 
VECTOR_SET(BgL_auxz00_2034,BgL_auxz00_2036,BNIL); } 
{ 
int BgL_auxz00_2041;obj_t BgL_auxz00_2039;
BgL_auxz00_2041 = 
(int)(((long)3)); 
BgL_auxz00_2039 = 
CDR(BgL_newzd2splitzd2litsz00_276); 
VECTOR_SET(BgL_auxz00_2039,BgL_auxz00_2041,BNIL); } 
{ 
int BgL_auxz00_2046;obj_t BgL_auxz00_2044;
BgL_auxz00_2046 = 
(int)(((long)6)); 
BgL_auxz00_2044 = 
CAR(BgL_newzd2splitzd2litsz00_276); 
VECTOR_SET(BgL_auxz00_2044,BgL_auxz00_2046,BFALSE); } 
{ 
int BgL_auxz00_2051;obj_t BgL_auxz00_2049;
BgL_auxz00_2051 = 
(int)(((long)6)); 
BgL_auxz00_2049 = 
CDR(BgL_newzd2splitzd2litsz00_276); 
VECTOR_SET(BgL_auxz00_2049,BgL_auxz00_2051,BFALSE); } }  else 
{ 
obj_t BgL_auxz00_2058;int BgL_auxz00_2056;obj_t BgL_auxz00_2054;
BgL_auxz00_2058 = 
CAR(BgL_tmpzd2resultzd2_277); 
BgL_auxz00_2056 = 
(int)(((long)6)); 
BgL_auxz00_2054 = 
CAR(BgL_newzd2splitzd2litsz00_276); 
VECTOR_SET(BgL_auxz00_2054,BgL_auxz00_2056,BgL_auxz00_2058); } 
return 
MAKE_PAIR(BgL_clz00_258, BgL_tmpzd2resultzd2_277);}  else 
{ /* ./splitting.scm 225 */
return 
MAKE_PAIR(BgL_clz00_258, BNIL);} } }  else 
{ /* ./splitting.scm 209 */
return BFALSE;} } 
}



/* _split-lists-to-clauses */
obj_t BGl__splitzd2listszd2tozd2clauseszd2zzsplittingz00(obj_t BgL_envz00_1269, obj_t BgL_splitzd2listszd2_1270, obj_t BgL_depthz00_1271, obj_t BgL_splitzd2litzd2_1272)
{ AN_OBJECT;
{ /* ./splitting.scm 208 */
return 
BGl_splitzd2listszd2tozd2clauseszd2zzsplittingz00(BgL_splitzd2listszd2_1270, BgL_depthz00_1271, BgL_splitzd2litzd2_1272);} 
}



/* splitlit */
BGL_EXPORTED_DEF obj_t BGl_splitlitz00zzsplittingz00(obj_t BgL_subgoalz00_34)
{ AN_OBJECT;
{ /* ./splitting.scm 240 */
{ /* ./splitting.scm 241 */
obj_t BgL_arg1988z00_1141;
{ /* ./splitting.scm 241 */
obj_t BgL_auxz00_2064;
{ 
int BgL_auxz00_2069;obj_t BgL_auxz00_2065;
BgL_auxz00_2069 = 
(int)(((long)0)); 
{ 
int BgL_auxz00_2066;
BgL_auxz00_2066 = 
(int)(((long)1)); 
BgL_auxz00_2065 = 
VECTOR_REF(BgL_subgoalz00_34,BgL_auxz00_2066); } 
BgL_auxz00_2064 = 
VECTOR_REF(BgL_auxz00_2065,BgL_auxz00_2069); } 
BgL_arg1988z00_1141 = 
SYMBOL_TO_STRING(BgL_auxz00_2064); } 
{ /* ./splitting.scm 241 */
int BgL_lenz00_1153;
BgL_lenz00_1153 = 
(int)(((long)10)); 
{ /* ./splitting.scm 241 */
bool_t BgL_auxz00_2074;
BgL_auxz00_2074 = 
bigloo_strncmp(BGl_string2238z00zzsplittingz00, BgL_arg1988z00_1141, BgL_lenz00_1153); 
return 
BBOOL(BgL_auxz00_2074);} } } } 
}



/* _splitlit */
obj_t BGl__splitlitz00zzsplittingz00(obj_t BgL_envz00_1273, obj_t BgL_subgoalz00_1274)
{ AN_OBJECT;
{ /* ./splitting.scm 240 */
return 
BGl_splitlitz00zzsplittingz00(BgL_subgoalz00_1274);} 
}



/* all-ground-are-splitlits */
BGL_EXPORTED_DEF obj_t BGl_allzd2groundzd2arezd2splitlitszd2zzsplittingz00(obj_t BgL_splitzd2listszd2_35)
{ AN_OBJECT;
{ /* ./splitting.scm 243 */
BGl_allzd2groundzd2arezd2splitlitszd2zzsplittingz00:
if(
PAIRP(BgL_splitzd2listszd2_35))
{ /* ./splitting.scm 244 */
bool_t BgL_testz00_2080;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2081;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2082;
BgL_auxz00_2082 = 
CAR(BgL_splitzd2listszd2_35); 
BgL_auxz00_2081 = 
CAR(BgL_auxz00_2082); } 
BgL_testz00_2080 = 
PAIRP(BgL_auxz00_2081); } 
if(BgL_testz00_2080)
{ /* ./splitting.scm 244 */
obj_t BgL_arg2002z00_1157;
BgL_arg2002z00_1157 = 
CDR(BgL_splitzd2listszd2_35); 
if(
PAIRP(BgL_arg2002z00_1157))
{ /* ./splitting.scm 244 */
bool_t BgL_testz00_2089;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2090;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2091;
BgL_auxz00_2091 = 
CAR(BgL_arg2002z00_1157); 
BgL_auxz00_2090 = 
CAR(BgL_auxz00_2091); } 
BgL_testz00_2089 = 
PAIRP(BgL_auxz00_2090); } 
if(BgL_testz00_2089)
{ 
obj_t BgL_splitzd2listszd2_2095;
BgL_splitzd2listszd2_2095 = 
CDR(BgL_arg2002z00_1157); 
BgL_splitzd2listszd2_35 = BgL_splitzd2listszd2_2095; 
goto BGl_allzd2groundzd2arezd2splitlitszd2zzsplittingz00;}  else 
{ /* ./splitting.scm 244 */
obj_t BgL_arg2006z00_1171;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2097;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2098;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2099;
BgL_auxz00_2099 = 
CAR(BgL_arg2002z00_1157); 
BgL_auxz00_2098 = 
CDR(BgL_auxz00_2099); } 
BgL_auxz00_2097 = 
CDR(BgL_auxz00_2098); } 
BgL_arg2006z00_1171 = 
CAR(BgL_auxz00_2097); } 
{ /* ./splitting.scm 244 */
bool_t BgL_auxz00_2104;
BgL_auxz00_2104 = 
BGl_allzd2subgoalszd2arezd2splitlitszd2zzsplittingz00(BgL_arg2006z00_1171); 
return 
BBOOL(BgL_auxz00_2104);} } }  else 
{ /* ./splitting.scm 244 */
return BTRUE;} }  else 
{ /* ./splitting.scm 244 */
obj_t BgL_arg2006z00_1158;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2107;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2108;
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2109;
BgL_auxz00_2109 = 
CAR(BgL_splitzd2listszd2_35); 
BgL_auxz00_2108 = 
CDR(BgL_auxz00_2109); } 
BgL_auxz00_2107 = 
CDR(BgL_auxz00_2108); } 
BgL_arg2006z00_1158 = 
CAR(BgL_auxz00_2107); } 
{ 
obj_t BgL_subgoalsz00_1196;
{ /* ./splitting.scm 244 */
bool_t BgL_auxz00_2114;
BgL_subgoalsz00_1196 = BgL_arg2006z00_1158; 
BgL_allzd2subgoalszd2arezd2splitlitszd2_1195:
if(
PAIRP(BgL_subgoalsz00_1196))
{ /* ./splitting.scm 244 */
bool_t BgL_test2016z00_1202;
{ /* ./splitting.scm 244 */
obj_t BgL_arg2023z00_1203;
BgL_arg2023z00_1203 = 
CAR(BgL_subgoalsz00_1196); 
{ /* ./splitting.scm 244 */
obj_t BgL_auxz00_2118;
BgL_auxz00_2118 = 
BGl_splitlitz00zzsplittingz00(BgL_arg2023z00_1203); 
BgL_test2016z00_1202 = 
CBOOL(BgL_auxz00_2118); } } 
if(BgL_test2016z00_1202)
{ 
obj_t BgL_subgoalsz00_2122;
BgL_subgoalsz00_2122 = 
CDR(BgL_subgoalsz00_1196); 
BgL_subgoalsz00_1196 = BgL_subgoalsz00_2122; 
goto BgL_allzd2subgoalszd2arezd2splitlitszd2_1195;}  else 
{ /* ./splitting.scm 244 */
BgL_auxz00_2114 = ((bool_t)0)
; } }  else 
{ /* ./splitting.scm 244 */
BgL_auxz00_2114 = ((bool_t)1)
; } 
return 
BBOOL(BgL_auxz00_2114);} } } }  else 
{ /* ./splitting.scm 244 */
return BTRUE;} } 
}



/* _all-ground-are-splitlits */
obj_t BGl__allzd2groundzd2arezd2splitlitszd2zzsplittingz00(obj_t BgL_envz00_1275, obj_t BgL_splitzd2listszd2_1276)
{ AN_OBJECT;
{ /* ./splitting.scm 243 */
return 
BGl_allzd2groundzd2arezd2splitlitszd2zzsplittingz00(BgL_splitzd2listszd2_1276);} 
}



/* all-subgoals-are-splitlits */
bool_t BGl_allzd2subgoalszd2arezd2splitlitszd2zzsplittingz00(obj_t BgL_subgoalsz00_36)
{ AN_OBJECT;
{ /* ./splitting.scm 250 */
BGl_allzd2subgoalszd2arezd2splitlitszd2zzsplittingz00:
if(
PAIRP(BgL_subgoalsz00_36))
{ /* ./splitting.scm 251 */
bool_t BgL_test2016z00_1209;
{ /* ./splitting.scm 251 */
obj_t BgL_arg2023z00_1210;
BgL_arg2023z00_1210 = 
CAR(BgL_subgoalsz00_36); 
{ /* ./splitting.scm 251 */
obj_t BgL_arg1988z00_1215;
{ /* ./splitting.scm 251 */
obj_t BgL_auxz00_2129;
{ 
int BgL_auxz00_2134;obj_t BgL_auxz00_2130;
BgL_auxz00_2134 = 
(int)(((long)0)); 
{ 
int BgL_auxz00_2131;
BgL_auxz00_2131 = 
(int)(((long)1)); 
BgL_auxz00_2130 = 
VECTOR_REF(BgL_arg2023z00_1210,BgL_auxz00_2131); } 
BgL_auxz00_2129 = 
VECTOR_REF(BgL_auxz00_2130,BgL_auxz00_2134); } 
BgL_arg1988z00_1215 = 
SYMBOL_TO_STRING(BgL_auxz00_2129); } 
{ /* ./splitting.scm 251 */
int BgL_auxz00_2138;
BgL_auxz00_2138 = 
(int)(((long)10)); 
BgL_test2016z00_1209 = 
bigloo_strncmp(BGl_string2238z00zzsplittingz00, BgL_arg1988z00_1215, BgL_auxz00_2138); } } } 
if(BgL_test2016z00_1209)
{ /* ./splitting.scm 251 */
obj_t BgL_arg2018z00_1211;
BgL_arg2018z00_1211 = 
CDR(BgL_subgoalsz00_36); 
if(
PAIRP(BgL_arg2018z00_1211))
{ /* ./splitting.scm 251 */
bool_t BgL_test2016z00_1231;
{ /* ./splitting.scm 251 */
obj_t BgL_arg2023z00_1232;
BgL_arg2023z00_1232 = 
CAR(BgL_arg2018z00_1211); 
{ /* ./splitting.scm 251 */
obj_t BgL_auxz00_2146;
BgL_auxz00_2146 = 
BGl_splitlitz00zzsplittingz00(BgL_arg2023z00_1232); 
BgL_test2016z00_1231 = 
CBOOL(BgL_auxz00_2146); } } 
if(BgL_test2016z00_1231)
{ 
obj_t BgL_subgoalsz00_2150;
BgL_subgoalsz00_2150 = 
CDR(BgL_arg2018z00_1211); 
BgL_subgoalsz00_36 = BgL_subgoalsz00_2150; 
goto BGl_allzd2subgoalszd2arezd2splitlitszd2zzsplittingz00;}  else 
{ /* ./splitting.scm 251 */
return ((bool_t)0);} }  else 
{ /* ./splitting.scm 251 */
return ((bool_t)1);} }  else 
{ /* ./splitting.scm 251 */
return ((bool_t)0);} }  else 
{ /* ./splitting.scm 251 */
return ((bool_t)1);} } 
}



/* one-list-is-ground */
BGL_EXPORTED_DEF obj_t BGl_onezd2listzd2iszd2groundzd2zzsplittingz00(obj_t BgL_splitzd2listszd2_37)
{ AN_OBJECT;
{ /* ./splitting.scm 256 */
BGl_onezd2listzd2iszd2groundzd2zzsplittingz00:
if(
PAIRP(BgL_splitzd2listszd2_37))
{ /* ./splitting.scm 257 */
bool_t BgL_testz00_2154;
{ /* ./splitting.scm 257 */
obj_t BgL_auxz00_2155;
{ /* ./splitting.scm 257 */
obj_t BgL_auxz00_2156;
BgL_auxz00_2156 = 
CAR(BgL_splitzd2listszd2_37); 
BgL_auxz00_2155 = 
CAR(BgL_auxz00_2156); } 
BgL_testz00_2154 = 
PAIRP(BgL_auxz00_2155); } 
if(BgL_testz00_2154)
{ /* ./splitting.scm 257 */
obj_t BgL_arg2030z00_1240;
BgL_arg2030z00_1240 = 
CDR(BgL_splitzd2listszd2_37); 
if(
PAIRP(BgL_arg2030z00_1240))
{ /* ./splitting.scm 257 */
bool_t BgL_testz00_2163;
{ /* ./splitting.scm 257 */
obj_t BgL_auxz00_2164;
{ /* ./splitting.scm 257 */
obj_t BgL_auxz00_2165;
BgL_auxz00_2165 = 
CAR(BgL_arg2030z00_1240); 
BgL_auxz00_2164 = 
CAR(BgL_auxz00_2165); } 
BgL_testz00_2163 = 
PAIRP(BgL_auxz00_2164); } 
if(BgL_testz00_2163)
{ 
obj_t BgL_splitzd2listszd2_2169;
BgL_splitzd2listszd2_2169 = 
CDR(BgL_arg2030z00_1240); 
BgL_splitzd2listszd2_37 = BgL_splitzd2listszd2_2169; 
goto BGl_onezd2listzd2iszd2groundzd2zzsplittingz00;}  else 
{ /* ./splitting.scm 257 */
return BTRUE;} }  else 
{ /* ./splitting.scm 257 */
return BFALSE;} }  else 
{ /* ./splitting.scm 257 */
return BTRUE;} }  else 
{ /* ./splitting.scm 257 */
return BFALSE;} } 
}



/* _one-list-is-ground */
obj_t BGl__onezd2listzd2iszd2groundzd2zzsplittingz00(obj_t BgL_envz00_1277, obj_t BgL_splitzd2listszd2_1278)
{ AN_OBJECT;
{ /* ./splitting.scm 256 */
return 
BGl_onezd2listzd2iszd2groundzd2zzsplittingz00(BgL_splitzd2listszd2_1278);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzsplittingz00()
{ AN_OBJECT;
{ /* ./splitting.scm 1 */
BGl_modulezd2initializa7ationz75zzglobalsz00(((long)43023), 
BSTRING_TO_STRING(BGl_string2239z00zzsplittingz00)); 
BGl_modulezd2initializa7ationz75zzdisplayz00(((long)64024), 
BSTRING_TO_STRING(BGl_string2239z00zzsplittingz00)); 
BGl_modulezd2initializa7ationz75zzpathz00(((long)27032), 
BSTRING_TO_STRING(BGl_string2239z00zzsplittingz00)); 
BGl_modulezd2initializa7ationz75zzparserz00(((long)21072), 
BSTRING_TO_STRING(BGl_string2239z00zzsplittingz00)); 
BGl_modulezd2initializa7ationz75zzdctpz00(((long)122930), 
BSTRING_TO_STRING(BGl_string2239z00zzsplittingz00)); 
return 
BGl_modulezd2initializa7ationz75zzsubsumptionz00(((long)2006), 
BSTRING_TO_STRING(BGl_string2239z00zzsplittingz00));} 
}

