#include <stdio.h>

#define MAXVAL (100000000.0)
#define MINVAL (-100000000.0)

main()
{
  double data[10000];
  int x,y,i;
  int recs=0;
  char s[100];
  double max=MINVAL, min=MAXVAL;

  while (fgets(s,100,stdin)) {
    sscanf(s,"%lf",data+recs);
    if (data[recs] < min) min = data[recs];
    if (data[recs] > max) max = data[recs];
    recs++;
    if (recs>=10000) {
      printf("Error: too many numbers in list\n");
      exit(1);
    }
  }
  printf("\\setlength{\\unitlength}{1mm}\n\n");
  printf("\\begin{figure}[t]\\centering\n");
  printf("\\begin{picture}(130,130)(-30,-30)\n");
  for (i=0; i<recs; i++) {
    x = (100.0*i)/recs;
    y = (100*(data[i]-min))/(max-min);
    printf("\\put(%d,%d){\\circle{1}}\n",x,y);
  }
  printf("\\put(-5,-5){\\framebox(110,110){}}\n");
  printf("\\end{picture}\n");
  printf("\\end{figure}\n");
}
