/*
COPYRIGHT UNIVERSITY OF MANCHESTER, 2002

Contributors:
  Alexandre Riazanov
  Andrei Voronkov

LICENCE TERMS

Please note the following:

(1) this code was intended for CASC only, can only be used for
CASC-related experiments and cannot be used otherwise;

(2) Vampire is free for non-commercial use and a standard non-commercial
licence can be found on the Vampire Web page that is currently:

  http://www.cs.man.ac.uk/~riazanoa/Vampire/index.html

BY USING THIS CODE YOU AGREE TO THE TERMS IN THIS LICENCE.
 
(3) To get a licence for commercial use, please consult the Vampire Web
page.

(4) Disclaimer.

THIS MATERIAL IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. THE ENTIRE RISK AS TO THE QUALITY AND
PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE
DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR
CORRECTION.

*/

//
//  File tracer.cpp
//  01/05/2002 Manchester
//


#include <iostream.h>

#include "tracer.h"


int Tracer::_depth = 0;


Tracer::Tracer (const char* fun) 
  : 
  _fun (fun) 
{
  // print _depth spaces and increase _depth
  for (int i = _depth++ - 1; i >= 0; i--) {
    cout << ' ';
  }
  cout << '+' << fun << "\n" << flush;
//  cout << fun << "\n" << flush;
} // Tracer::Tracer


Tracer::~Tracer () 
{
  // decrease _depth and print _depth spaces

  for (int i = --_depth - 1; i >= 0; i--) {
    cout << ' ';
  }
  cout << '-' << _fun << "\n" << flush;
} // Tracer::~Tracer

