
/*
 * File CNF.hpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#ifndef __CNF__
#define __CNF__


class Problem;
class FormulaList;
class LiteralList;
class Unit;
class Position;


class CNF
{
public:
  static void clausify (Problem&);
private:
  static void clausify (Problem&, 
			const FormulaList& formulas, 
			const LiteralList& literals,
			const Unit& parent,
			const Position& position);
}; 


#endif
