
/*
 * File Global.cpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#include "Tracer.hpp"
#include "Allocator.hpp"
#include "Unit.hpp"
#include "XML.hpp"
#include "Run.hpp"
#include "Query.hpp"
#include "Options.hpp"
#include "IntNameTable.hpp"
#include "Signature.hpp"
#include "DestructionMode.hpp"






#if DEBUG_PREPRO
string MyTracer::_lastControlPoint;
MyTracer* MyTracer::_current;
long MyTracer::_passedControlPoints;
ControlPointKind MyTracer::_lastPointKind = CP_MID;
#endif


int _mapCapacities[] =
  { 0, 11, 29, 47, 89, 167, 277, 547, 1229, 2749, 6143, 12569, 
    26407, 48619, 93187, 187973,
    389173, 814309, 1712369, 3451241, 7368791, 17144507, 37667713,
    76918277, 141650963, 217645199,  0};

bool DestructionMode::_isFast = false;

#if DEBUG_PREPRO


Map<void*,Debugger::Info> Debugger::_allocatedPieces;


#endif








const int IntNameTable::_noOfBuckets = 2039;
IntNameTable IntNameTable::vars;


string Formula::_connectiveNames[] =
  {"atomic", "and", "or", "imp", "iff", "xor", "not", "forall", "exists"};

Options Options::globalOptions;















template<> Allocator<2> * Allocator<2>::_freeList = 0;
template<> Allocator<3>* Allocator<3>::_freeList = 0;
template<> Allocator<4>* Allocator<4>::_freeList = 0;
template<> Allocator<5>* Allocator<5>::_freeList = 0;
template<> Allocator<6>* Allocator<6>::_freeList = 0;
template<> Allocator<7>* Allocator<7>::_freeList = 0;
template<> Allocator<8>* Allocator<8>::_freeList = 0;
template<> Allocator<9>* Allocator<9>::_freeList = 0;
template<> Allocator<10>* Allocator<10>::_freeList = 0;
template<> Allocator<11>* Allocator<11>::_freeList = 0;
template<> Allocator<12>* Allocator<12>::_freeList = 0;
template<> Allocator<14>* Allocator<14>::_freeList = 0;



XML::DeepElement* Run::log = new XML::DeepElement("run");

Signature Signature::sig;

