
/*
 * File PureLiteral.hpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#ifndef __PureLiteral__
#define __PureLiteral__

class Problem;
class Signature;


class PureLiteral {
public:
  PureLiteral (Problem& problem,Signature& signature);
  int findAndRemove ();

private:
  class Counter;

  Problem& _problem;
  Signature& _signature;
}; 

#endif
