
/*
 * File RenamingToNew.cpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#include "RenamingToNew.hpp"


RenamingToNew::RenamingToNew ()
  : _last(-1)
{
} 


Var RenamingToNew::findOrBindToNew (Var v)
{
  TRACER("RenamingToNew::findOrBindToNew");

  int found;
  if (_map.find(v.toInt(),found)) {
    return Var(found);
  }

  _map.insert(v.toInt(), ++_last);
  return Var(_last);
} 
