
/*
 * File RenamingToNew.hpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#ifndef __RenamingToNew__
#define __RenamingToNew__


#include "Var.hpp"
#include "Map.hpp"


class RenamingToNew
{
public:
  Var findOrBindToNew (Var v);
  RenamingToNew ();
private:
  
  int _last;
  Map<int,int> _map;
}; 


#endif 
