#ifndef INC_XMLLexer_hpp_
#define INC_XMLLexer_hpp_

#line 19 "XML.g"

    // gets inserted before antlr generated includes in the header file
#include "Query.hpp"

#line 10 "XMLLexer.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.3 (20040506-1): "XML.g" -> "XMLLexer.hpp"$ */
#include <antlr/CommonToken.hpp>
#include <antlr/InputBuffer.hpp>
#include <antlr/BitSet.hpp>
#include "XMLLexerTokenTypes.hpp"
#include <antlr/CharScanner.hpp>
#line 23 "XML.g"

    // gets inserted after antlr generated includes in the header file
     // outside any generated namespace specifications

#line 23 "XMLLexer.hpp"
#line 36 "XML.g"

    // gets inserted after generated namespace specifications in the header
    // file. But outside the generated class.

#line 29 "XMLLexer.hpp"
class CUSTOM_API XMLLexer : public antlr::CharScanner, public XMLLexerTokenTypes
{
#line 1 "XML.g"
#line 33 "XMLLexer.hpp"
private:
	void initLiterals();
public:
	bool getCaseSensitiveLiterals() const
	{
		return true;
	}
public:
	XMLLexer(std::istream& in);
	XMLLexer(antlr::InputBuffer& ib);
	XMLLexer(const antlr::LexerSharedInputState& state);
	antlr::RefToken nextToken();
	protected: void mLETTER(bool _createToken);
	protected: void mDIGIT(bool _createToken);
	public: void mNAME(bool _createToken);
	public: void mSTART_TAG(bool _createToken);
	public: void mSTART_OF_END_TAG(bool _createToken);
	public: void mEND_OF_TAG(bool _createToken);
	public: void mEND_OF_EMPTY_TAG(bool _createToken);
	public: void mEQ(bool _createToken);
	public: void mSTRING(bool _createToken);
	public: void mCOMMENT(bool _createToken);
	public: void mWHITE(bool _createToken);
private:
	
	static const unsigned long _tokenSet_0_data_[];
	static const antlr::BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const antlr::BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const antlr::BitSet _tokenSet_2;
};

#endif /*INC_XMLLexer_hpp_*/
