#ifndef INC_XMLParser_hpp_
#define INC_XMLParser_hpp_

#line 19 "XML.g"

    // gets inserted before antlr generated includes in the header file
#include "Query.hpp"

#line 10 "XMLParser.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.3 (20040506-1): "XML.g" -> "XMLParser.hpp"$ */
#include <antlr/TokenStream.hpp>
#include <antlr/TokenBuffer.hpp>
#include "XMLLexerTokenTypes.hpp"
#include <antlr/LLkParser.hpp>

#line 23 "XML.g"

    // gets inserted after antlr generated includes in the header file
     // outside any generated namespace specifications

#line 23 "XMLParser.hpp"
#line 36 "XML.g"

    // gets inserted after generated namespace specifications in the header
    // file. But outside the generated class.

#line 29 "XMLParser.hpp"
class CUSTOM_API XMLParser : public antlr::LLkParser, public XMLLexerTokenTypes
{
#line 140 "XML.g"

#line 33 "XMLParser.hpp"
public:
	void initializeASTFactory( antlr::ASTFactory& factory );
protected:
	XMLParser(antlr::TokenBuffer& tokenBuf, int k);
public:
	XMLParser(antlr::TokenBuffer& tokenBuf);
protected:
	XMLParser(antlr::TokenStream& lexer, int k);
public:
	XMLParser(antlr::TokenStream& lexer);
	XMLParser(const antlr::ParserSharedInputState& state);
	int getNumTokens() const
	{
		return XMLParser::NUM_TOKENS;
	}
	const char* getTokenName( int type ) const
	{
		if( type > getNumTokens() ) return 0;
		return XMLParser::tokenNames[type];
	}
	const char* const* getTokenNames() const
	{
		return XMLParser::tokenNames;
	}
	public: Query*  start();
	public: Query*  query();
	public: Query*  assertion();
	public: void terminate();
	public: void kw_bye();
	public: void kw_query();
	public: Query::Attribute*  attributes();
	public: void kw_assertion();
	public: Query::Attribute*  attribute();
	public: void recover();
public:
	antlr::RefAST getAST()
	{
		return returnAST;
	}
	
protected:
	antlr::RefAST returnAST;
private:
	static const char* tokenNames[];
#ifndef NO_STATIC_CONSTS
	static const int NUM_TOKENS = 47;
#else
	enum {
		NUM_TOKENS = 47
	};
#endif
	
};

#endif /*INC_XMLParser_hpp_*/
